commit dafdcefd172e79ed4819554fccc093491c531e2d
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Apr 15 09:32:08 2011 -0400

    bump version

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 8eabbe22201318c92f782027804b523fa4e5199f
Author: Paolo Borelli <pborelli@gnome.org>
Date:   Wed Apr 6 04:43:09 2011 +0200

    Free MenuPopulateData struct in all the cases.

    For clarity factor out create/free functions.

    https://bugzilla.gnome.org/show_bug.cgi?id=646876

 gtk/gtkrecentchoosermenu.c |   41
 +++++++++++++++++++++++++++++------------
 1 files changed, 29 insertions(+), 12 deletions(-)

commit 6fdfc879c898299d9a323bfe141ebb1326aa7816
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Apr 14 20:22:18 2011 -0400

    Don't leak a list when activating keybindings

    Patch by Rui Matos,
    https://bugzilla.gnome.org/show_bug.cgi?id=647790

 gtk/gtkkeyhash.c   |    5 +++--
 gtk/gtkmenushell.c |    7 +++++--
 2 files changed, 8 insertions(+), 4 deletions(-)

commit e604efd8d3e15ff535cd655e33dda7484eccfd93
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Apr 14 10:15:46 2011 -0400

    Updates

 NEWS |   23 +++++++++++++++++++++++
 1 files changed, 23 insertions(+), 0 deletions(-)

commit f5eee56b56e2f371a0dc659f2d402b0cfc1c42c2
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Apr 13 13:28:46 2011 -0400

    GtkMenuShell: always 'activate' menu shells

    Failing to do so can leave us with a stuck grab in some cases.
    https://bugzilla.gnome.org/show_bug.cgi?id=554057

 gtk/gtkmenubar.c          |    1 -
 gtk/gtkmenushell.c        |    3 ++-
 gtk/gtkmenushellprivate.h |    1 -
 3 files changed, 2 insertions(+), 3 deletions(-)

commit 8990ad6a2004aa8640ca0195b710180d6c0bc307
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Apr 14 08:56:07 2011 -0400

    GtkTimeline: don't look when animations are disabled

    Otherwise, we end up doing maximal work with minimal effect, and
    bring the X server to 100% CPU. Note that this makes spinner widgets
    look really unclear, but they really have to be changed to adapt
    to enable-animations == FALSE at the widget level.

 gtk/gtktimeline.c |   12 ++++++++----
 1 files changed, 8 insertions(+), 4 deletions(-)

commit 15de4031bc2bf656e6627f88fd4f999ca6441110
Author: Javier Jardón <jjardon@gnome.org>
Date:   Wed Apr 13 13:53:41 2011 +0100

    docs: Fix a typo: gtk_style_get_context -> gtk_style_has_context

 docs/reference/gtk/gtk3-sections.txt |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 713488ed50732eabe13a3174eded073c60a24b1b
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Tue Apr 12 14:20:27 2011 -0400

    combobox: always give the full allocation to the button in menu mode

    The button is what draws the background/frame outline of the combobox,
    and padding is defined as the spacing *inside* the widget between the
    border and the content.

    https://bugzilla.gnome.org/show_bug.cgi?id=646882

 gtk/gtkcombobox.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 503466c8939b86c0a007059c82b08fe17a17d620
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Tue Apr 12 14:10:43 2011 -0400

    combobox: rename border->padding for code clarity

    https://bugzilla.gnome.org/show_bug.cgi?id=646882

 gtk/gtkcombobox.c |  122
 ++++++++++++++++++++++++++--------------------------
 1 files changed, 61 insertions(+), 61 deletions(-)

commit e94b311fbfd1fd3d1cc5fd252ada45c9511d0854
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Tue Apr 5 22:36:24 2011 -0400

    combobox: allocate the right border to the arrow and not to the label

    When the combobox is in menu mode, the right padding of the
    togglebutton
    inside, should be allocated to its rightmost children, which is the
    arrow.

    https://bugzilla.gnome.org/show_bug.cgi?id=646882

 gtk/gtkcombobox.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 22eb1f5b91ef125fa41de6480e3709b27cf62a7e
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Tue Apr 5 17:44:49 2011 -0400

    combobox: don't use the border as a padding

    This causes the combobox to behave badly from the theme.

    https://bugzilla.gnome.org/show_bug.cgi?id=646882

 gtk/gtkcombobox.c |   44 +++++++++++++++++++-------------------------
 1 files changed, 19 insertions(+), 25 deletions(-)

commit 9f4183c453e46b7e1bdec7466ffc969e4f949c4d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Tue Apr 5 17:36:42 2011 -0400

    combobox: don't add the button style class to the whole widget

    It already has a toggle button inside, and this way we cannot
    theme them
    separately.

    https://bugzilla.gnome.org/show_bug.cgi?id=646882

 gtk/gtkcombobox.c |    4 ----
 1 files changed, 0 insertions(+), 4 deletions(-)

commit 2c293119553141d31a9c50f65d22ca42f4340396
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Tue Apr 5 15:35:05 2011 -0400

    button: don't use the border values for padding

    It's wrong, and makes it impossible to theme the button properly.

    https://bugzilla.gnome.org/show_bug.cgi?id=646882

 gtk/gtkbutton.c |   36 +++++++++++-------------------------
 1 files changed, 11 insertions(+), 25 deletions(-)

commit 29e45c4c89cd3614b2a8eb7a57abeedd7004b208
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Tue Apr 5 15:34:32 2011 -0400

    button: make gtk_button_get_props() return the padding too

    https://bugzilla.gnome.org/show_bug.cgi?id=646882

 gtk/gtkbutton.c |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 00802c73e4295450353cf25c9d30c2c6beb624f9
Author: Dan Winship <danw@gnome.org>
Date:   Tue Apr 12 14:48:27 2011 -0400

    gtk_window_present_with_time: fix when window is not initially visible

    When called on a hidden window, gtk_window_present_with_time() would
    just fall back to gtk_widget_show(), completely ignoring the passed-in
    timestamp. This ended up working anyway if the timestamp came from
    in-process, since gdk_window_x11_show() would initialize its user_time
    from the time of the most recent event. But if the timestamp came from
    another process, this would result in the window being shown with an
    out-of-date timestamp.

    Fix this by remembering the timestamp from
    gtk_window_present_with_time(), and then setting the GdkWindow's
    user_time from that when it the window is realized.

    https://bugzilla.gnome.org/show_bug.cgi?id=647275

 gtk/gtkwindow.c |   34 ++++++++++++++++++++++++++--------
 1 files changed, 26 insertions(+), 8 deletions(-)

commit 9404f77eb19047793783bb47f503b75239353b9b
Author: Dan Winship <danw@gnome.org>
Date:   Tue Apr 12 14:48:02 2011 -0400

    GdkDeviceManagerXI2: don't set user_time on ButtonRelease

    The XI2 device manager was mistakenly setting the window user_time on
    both ButtonPress and ButtonRelease, which meant that processes that
    tried to launch another process based on the time of a ButtonPress
    event would end up always focus-stealing-preventing the new app.

    https://bugzilla.gnome.org/show_bug.cgi?id=647275

 gdk/x11/gdkdevicemanager-xi2.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 94b9e819a005945065482095aa7e5cde8972f039
Author: Dan Winship <danw@gnome.org>
Date:   Tue Mar 15 12:25:36 2011 -0400

    GdkDeviceManagerXI2: process send_event core events

    XSendEvent doesn't currently work with XI2 events, so add code to
    translate core events when they have the send_event flag.

    (We still don't actually select for core pointer/keyboard events, so
    we will only receive send_event events that are sent with a 0
    event_mask.)

    https://bugzilla.gnome.org/show_bug.cgi?id=644847

 gdk/x11/gdkdevicemanager-xi2.c |   96
 ++++++++++++++++++++++++++++++----------
 1 files changed, 72 insertions(+), 24 deletions(-)

commit a0d9da74545576696d235d9465d258b5974a275f
Author: Takayoshi OKANO <kano@na.rim.or.jp>
Date:   Mon Apr 11 23:17:23 2011 +0900

    Updated Japanese translation.

 po/ja.po | 1372
 +++++++++++++++++++++++++++++++++++++-------------------------
 1 files changed, 823 insertions(+), 549 deletions(-)

commit e21d72cf3a7af18284ea23e7ad9d3acd2327ed08
Author: Tristan Van Berkom <tristan.van.berkom@gmail.com>
Date:   Sat Apr 9 01:55:50 2011 +0900

    Fix some crashes caused by unimplemented functions in
    GdkOffscreenWindow

    These crashes happen when accessing GtkWindow properties and the
    GdkWindow is an offscreen (fixes
    https://bugzilla.gnome.org/show_bug.cgi?id=647244)

 gdk/gdkoffscreenwindow.c |   25 ++++++++++++++++++-------
 1 files changed, 18 insertions(+), 7 deletions(-)

commit f14a1af30e5266166b1630d8f8786dd26210febb
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Apr 8 20:46:57 2011 -0400

    Avoid a warning out of the print dialog

    Reported in https://bugzilla.gnome.org/show_bug.cgi?id=647152

 gtk/gtkprintunixdialog.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit dcaafb1bc109be73df79a4638e40fa6a88a33c5a
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Thu Apr 7 15:22:18 2011 -0400

    themingengine: don't set a line width before saving the cairo context

    https://bugzilla.gnome.org/show_bug.cgi?id=647086

 gtk/gtkthemingengine.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit e5ae44bd1b7971309addc4ba084673fab39d5dd3
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Thu Apr 7 15:21:51 2011 -0400

    separator: call gtk_style_context_restore() after drawing

    https://bugzilla.gnome.org/show_bug.cgi?id=647086

 gtk/gtkseparator.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit ccc173916118862e9f36f17b66304252fbfbd07d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Thu Apr 7 15:21:32 2011 -0400

    calendar: make sure to call gtk_style_context_restore()

    https://bugzilla.gnome.org/show_bug.cgi?id=647086

 gtk/gtkcalendar.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 68c2bac9b154f6b02f70702bb0427eb2a7ccc330
Author: Paolo Borelli <pborelli@gnome.org>
Date:   Wed Apr 6 06:18:18 2011 +0200

    Do not leak list when drawing notebook.

    When we construct the list in the other order we must free it.

    https://bugzilla.gnome.org/show_bug.cgi?id=646886

 gtk/gtknotebook.c |   12 +++++-------
 1 files changed, 5 insertions(+), 7 deletions(-)

commit f6cfd6a8625ba53f35b44ccf4465a64de8da0fcd
Author: Manoj Kumar Giri <mgiri@redhat.com>
Date:   Thu Apr 7 15:32:41 2011 +0530

    Updated Oriya Translation

 po/or.po |  129
 ++++++++++++++++++++++++++++----------------------------------
 1 files changed, 58 insertions(+), 71 deletions(-)

commit ffda85161cbb8c3e0858f0f2ebdcaa0249eb5edd
Author: Manoj Kumar Giri <mgiri@redhat.com>
Date:   Thu Apr 7 14:38:13 2011 +0530

    Updated Oriya Translation

 po-properties/or.po | 4841
 +++++++++++++++++++++++++++++----------------------
 1 files changed, 2770 insertions(+), 2071 deletions(-)

commit 4e514b5b627db0941833212901bb42a93fdf22fe
Author: Manoj Kumar Giri <mgiri@redhat.com>
Date:   Thu Apr 7 14:36:31 2011 +0530

    Updated Oriya Translation

 po/or.po | 2108
 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 1206 insertions(+), 902 deletions(-)

commit 32428d8c12a5d0c25f89ac4fb9957662c8feec9e
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Apr 6 00:56:37 2011 -0400

    GtkColorButton: Don't leak references

    https://bugzilla.gnome.org/show_bug.cgi?id=646815

 gtk/gtkcolorbutton.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit be19d1ae1439f0b389024a89d5e9b6ab1c4a604b
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Mar 30 02:24:00 2011 -0400

    GtkGrid: Add forgotten RTL flipping

    How did we manage to add a non-RTL savy container in GTK+ 3.0 ?

 gtk/gtkgrid.c    |    4 ++++
 tests/testgrid.c |    3 +++
 2 files changed, 7 insertions(+), 0 deletions(-)

commit 0da77d180db40b68403c97f92cea3b85e137a9b6
Author: Petr Kovar <pknbe@volny.cz>
Date:   Wed Apr 6 03:43:06 2011 +0200

    Update Czech translation

 po-properties/cs.po | 4871
 ++++++++++++++++++++++++++-------------------------
 1 files changed, 2490 insertions(+), 2381 deletions(-)

commit 845066293c9c9c7982c9185eada7f0e53647417f
Author: Jordi Serratosa <serratosa@gmail.com>
Date:   Mon Apr 4 21:53:00 2011 +0200

    [l10n]Fixes on Catalan translation

 po/ca.po |   17 +++++++++--------
 1 files changed, 9 insertions(+), 8 deletions(-)

commit 76a4f1ed31f5be484ac12500a9d392d98fe4733d
Author: Jordi Serratosa <serratosa@gmail.com>
Date:   Mon Apr 4 21:50:08 2011 +0200

    [l10n]Fixes on Catalan translation

 po-properties/ca.po |  138
 +++++++++++++++++++++++++-------------------------
 1 files changed, 69 insertions(+), 69 deletions(-)

commit 68653d113fea6cb2640f14fcaec299f8d7d3f269
Author: Jamil Ahmed <itsjamil@gmail.com>
Date:   Tue Apr 5 01:40:43 2011 +0600

    Updated Bengali translation

 po-properties/bn.po | 4708
 ++++++++++++++++++++++++++++++---------------------
 1 files changed, 2742 insertions(+), 1966 deletions(-)

commit e0b5853a0f7464ba196e088b56368c926d414d36
Author: Chao-Hsiung Liao <j_h_liau@yahoo.com.tw>
Date:   Mon Apr 4 20:31:41 2011 +0800

    Updated Traditional Chinese translation (Hong Kong and Taiwan)

 po-properties/zh_HK.po | 2765
 ++++++++++++++++++++++++----------------------
 po-properties/zh_TW.po | 2858
 ++++++++++++++++++++++++------------------------
 po/zh_HK.po            | 1422 ++++++++++---------------
 po/zh_TW.po            | 1433 ++++++++++---------------
 4 files changed, 3999 insertions(+), 4479 deletions(-)

commit 234802e0df4a2254d4a9ca041b9e19cf5472c3d5
Author: Jamil Ahmed <itsjamil@gmail.com>
Date:   Mon Apr 4 16:44:56 2011 +0600

    Updated Bengali translation

 po/bn.po | 2147
 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 1217 insertions(+), 930 deletions(-)

commit 56a53bb5ba9091701553f62f33258266dd3f7423
Author: Amitakhya Phukan <amitakhya@svn.gnome.org>
Date:   Mon Apr 4 11:20:11 2011 +0530

    Updated Assamese translations

 po/as.po | 4109
 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 2191 insertions(+), 1918 deletions(-)

commit 9ae29b3214e80bcb4f22df88edee6c0589781538
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Mon Apr 4 03:32:50 2011 +0300

    Uploaded Ukranian

 po-properties/uk.po |  695
 +++++++++++++++++++++++++++------------------------
 1 files changed, 366 insertions(+), 329 deletions(-)

commit 0a0687a4763cb6aad3e2dfaf5051c3b8a6797f96
Author: Gil Forcada <gforcada@gnome.org>
Date:   Mon Apr 4 01:07:15 2011 +0200

    [l10n]Updated Catalan translation

 po-properties/ca.po | 4662
 ++++++++++++++++++++++++++++-----------------------
 1 files changed, 2592 insertions(+), 2070 deletions(-)

commit fbf8bc4b5185754dc898f409fba5f6f76690e873
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Apr 3 17:54:34 2011 -0400

    Update for 3.0.8

 NEWS |   28 ++++++++++++++++++++++++++++
 1 files changed, 28 insertions(+), 0 deletions(-)

commit 9c1b238bf98b6354b011be9a62d5d175a41014a0
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Apr 3 17:40:37 2011 -0400

    Make gdk_x11_window_set_theme_variant do nothing for non-toplevels

    This avoids problems when calling this e.g. on offscreen windows.

 gdk/x11/gdkwindow-x11.c |    7 ++++++-
 1 files changed, 6 insertions(+), 1 deletions(-)

commit 62053dbe476ee8f74552373eda52b5146ee30da6
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Apr 2 18:39:28 2011 -0400

    Keymap: properly initialize lock state

    We need to get explicitly lock state initially, before we can
    rely on state changed events to track it.
    https://bugzilla.gnome.org/show_bug.cgi?id=645341

 gdk/x11/gdkkeys-x11.c |   44 +++++++++++++++++++++++++++++++++++++++-----
 1 files changed, 39 insertions(+), 5 deletions(-)

commit cc837f531bb61fbc10c95cca065b1fd078f96d45
Author: Tristan Van Berkom <tristan.van.berkom@gmail.com>
Date:   Sun Apr 3 18:09:22 2011 +0900

    Fixed warning catch in gtk_window_compute_hints().

 gtk/gtkwindow.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c551de2576ea6a6acba21e3490ee30da357f3c7a
Author: Wolfgang Stöggl <c72578@yahoo.de>
Date:   Sun Apr 3 19:19:30 2011 +0200

    [l10n] Updated German translation, umlauts fixed

 po-properties/de.po |  241
 +++++++++++++++++++++++++++++----------------------
 1 files changed, 137 insertions(+), 104 deletions(-)

commit 544d5820cc08f7f8d7b4b1423e01b179fa046ddc
Author: Yuri Kozlov <yaray@komyakino.ru>
Date:   Sun Apr 3 20:15:51 2011 +0400

    Updated Russian translation

 po-properties/ru.po |  294
 ++++++++++++++++++++++++++-------------------------
 1 files changed, 151 insertions(+), 143 deletions(-)

commit 0435283237ea129d2934ba48a8f288a47134d6a1
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Sun Apr 3 13:36:57 2011 +0200

    Updated Basque language

 po/eu.po | 1010
 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 578 insertions(+), 432 deletions(-)

commit e6a5ce020973792db6f71e01c207bcf24bc77a76
Author: Inaki Larranaga Murgoitio <dooteo@zundan.com>
Date:   Sun Apr 3 13:25:26 2011 +0200

    Updated Basque language

 po-properties/eu.po | 1717
 ++++++++++++++++++++++++++-------------------------
 1 files changed, 878 insertions(+), 839 deletions(-)

commit 45f350bbfd5b26eec637f874a495da4eba8169e7
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Sun Apr 3 12:21:57 2011 +0200

    theme: Fix prelight on selected rows' expanders

    There was no prelight effect on selected rows' expanders with the
    builtin theme, noticed by Kris Rietveld.

 gtk/gtkcssprovider.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 5a340126ccfe83c4b745078240431273847467f5
Author: Daniel Nylander <po@danielnylander.se>
Date:   Sun Apr 3 11:36:46 2011 +0200

    Updated Swedish translation

 po-properties/sv.po |  916
 ++++++++++++++++++++++++---------------------------
 1 files changed, 437 insertions(+), 479 deletions(-)

commit ca73bcf566030238e0d473f4263adb101f882f62
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:   Sun Apr 3 02:12:32 2011 +0200

    Updated Romanian translation

 po-properties/ro.po |  816
 +++++++++++++++++++--------------------------------
 1 files changed, 306 insertions(+), 510 deletions(-)

commit 7ef205c52e16d611c6dd37bb6cb46c387892129d
Author: Lucian Adrian Grijincu <lucian.grijincu@gmail.com>
Date:   Sun Apr 3 02:06:14 2011 +0200

    Updated Romanian translation

 po-properties/ro.po | 4258
 ++++++++++++++++++++++++++++-----------------------
 po/ro.po            | 1675 ++++++++++++---------
 2 files changed, 3340 insertions(+), 2593 deletions(-)

commit 88181d1cc2b4ed817114284ca472c5600607c241
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sat Apr 2 20:45:05 2011 +0200

    Updated Spanish translation

 po-properties/es.po |  784
 ++++++++++++++++++++++++++-------------------------
 1 files changed, 397 insertions(+), 387 deletions(-)

commit c7f02139bfd6a90d2499b4c3e94fbf8db137d352
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Apr 2 11:13:16 2011 -0400

    Revert "Added GTK_SIZE_REQUEST_CONSTANT_SIZE to GtkSizeRequestMode"

    This reverts commit bb39638c4f9fadca4a9254d1f6d3f18b72ee3d06.

 gtk/gtkbin.c         |   14 +++++++++++++
 gtk/gtkbox.c         |   12 +++++++++++
 gtk/gtkcellview.c    |   11 ----------
 gtk/gtkcontainer.c   |   54
 --------------------------------------------------
 gtk/gtkenums.h       |    4 +--
 gtk/gtkgrid.c        |   21 +++++++++++++++---
 gtk/gtklabel.c       |    8 ++----
 gtk/gtksizerequest.c |   40 +++++++-----------------------------
 gtk/gtkwidget.c      |    4 +-
 gtk/gtkwidget.h      |   15 +++++--------
 10 files changed, 63 insertions(+), 120 deletions(-)

commit c69d473a3b8cb3d2885d6e529bf6ee3f533515ef
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Apr 2 11:13:07 2011 -0400

    Revert "Reduce memory consumption of the size request cache."

    This reverts commit 148d4cd3fa6eaae027baad89c9c479dfb1a9122c.

 gtk/gtksizerequest.c   |  168
 +++++++++++++++--------------------------------
 gtk/gtkwidget.c        |    3 -
 gtk/gtkwidgetprivate.h |   20 ++----
 3 files changed, 59 insertions(+), 132 deletions(-)

commit 7790f3091b2fc5ac5483d14a153d4907458a0da1
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Apr 2 11:11:31 2011 -0400

    Revert "Cache heights-for-range-of-widths instead of height for
    every width."

    This reverts commit edb44589dc141565aeb33891f0e54f6dfec0ebe2.

 gtk/gtksizerequest.c   |  411
 ++++++++++++++++++++----------------------------
 gtk/gtkwidget.c        |    3 +-
 gtk/gtkwidgetprivate.h |   42 +++---
 3 files changed, 192 insertions(+), 264 deletions(-)

commit 42ce306c8de7441f52b864c0215e5114f3997fee
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   Sat Apr 2 19:44:22 2011 +0200

    Updated Danish translation

 po-properties/da.po |  319
 +++++++++++++++++++++++++--------------------------
 1 files changed, 159 insertions(+), 160 deletions(-)

commit eb45a064b32b353c5781b9f4483cb6264a0d3ae3
Author: George Stefanakis <george.stefanakis@gmail.com>
Date:   Sat Apr 2 17:56:17 2011 +0300

    l10n: Updated Greek translation for gtk+

 po/el.po | 1355
 ++++++++++++++++++++++++++++----------------------------------
 1 files changed, 615 insertions(+), 740 deletions(-)

commit ae4de72b555997f5ac59e2b19480d11aaa756107
Author: Gil Forcada <gforcada@gnome.org>
Date:   Sat Apr 2 09:09:35 2011 +0200

    [l10n]Updated Catalan translation

 po/ca.po |  611
 ++++++++++++++++++++++++++++++++++++++------------------------
 1 files changed, 377 insertions(+), 234 deletions(-)

commit b9031f7bc81970979a240583d8314fa7c8a8631d
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Apr 1 23:52:46 2011 -0400

    GtkAppChooserButton: avoid some leaks

    gtk_tree_model_get() returns a reference for objects.
    https://bugzilla.gnome.org/show_bug.cgi?id=646462

 gtk/gtkappchooserbutton.c |   16 ++++++++++------
 1 files changed, 10 insertions(+), 6 deletions(-)

commit c546cf5f596b25d9a6d4c8ac3375fa5039b6dd6c
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Apr 1 22:02:38 2011 -0400

    Fix some refcounting issues in the print dialog

    gtk_tree_model_get returns a reference for objects, but the
    printers in the model can be NULL,
    https://bugzilla.gnome.org/show_bug.cgi?id=646446

 gtk/gtkprintunixdialog.c |   22 ++++++++++------------
 1 files changed, 10 insertions(+), 12 deletions(-)

commit 53ae5a1c09fb4fc8e8c81e6ebdd5cbb93bc39c3d
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Apr 2 03:57:27 2011 +0200

    widget: Do the sanity checks earlier

    This avoids a crash in broken applications, in particular the gdm
    greeter.

    https://bugzilla.gnome.org/show_bug.cgi?id=646498

 gtk/gtkwidget.c |   20 ++++++++++----------
 1 files changed, 10 insertions(+), 10 deletions(-)

commit 6647a735631ed10318a2b422b31340b90ef1e5df
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Apr 2 03:54:38 2011 +0200

    frame: Make sure the size we compute doesn't get unsigned-promoted

 gtk/gtkframe.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 51737af6fca2f05237966b7a4fbd7eb5e0b5e86f
Author: Fran Dieguez <frandieguez@gnome.org>
Date:   Sat Apr 2 01:17:02 2011 +0200

    Updated Galician translations

 po-properties/gl.po |  546
 ++++++++++++++++++++++++++-------------------------
 1 files changed, 277 insertions(+), 269 deletions(-)

commit d031b3731e0e78745be2070e860f393dd4fb52d2
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Apr 1 17:10:41 2011 -0400

    Bump version

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 258be04514c3964977833f325ef3e915fab726ba
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Apr 1 15:36:22 2011 -0400

    Update

 NEWS |   36 ++++++++++++++++++++++++++++++++++++
 1 files changed, 36 insertions(+), 0 deletions(-)

commit 9f7ec82a4c0fa28f3f0f805c1271d24f6ff87da3
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Fri Apr 1 15:16:57 2011 +0200

    Updated Hungarian translation

 po/hu.po |   43 ++++++++++++++++---------------------------
 1 files changed, 16 insertions(+), 27 deletions(-)

commit 92679efbb374576019da4026a1bfd53c58719992
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Fri Apr 1 15:12:56 2011 +0200

    Updated Hungarian translation

 po-properties/hu.po |  791
 +++++++++++++++++++++++----------------------------
 1 files changed, 356 insertions(+), 435 deletions(-)

commit 8f4a492d46fe13445c42a5b50a3345ae374451a5
Author: Gabriel F. Vilar <cogumm@gmail.com>
Date:   Fri Apr 1 09:11:15 2011 -0300

    Updated Brazilian Portuguese translation

 po/pt_BR.po | 2115
 +++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 1195 insertions(+), 920 deletions(-)

commit cef24481bc122dc3d51a5f68e655da3150020645
Author: Bruno Brouard <annoa.b@gmail.com>
Date:   Fri Apr 1 09:43:02 2011 +0200

    Updated French translation

 po-properties/fr.po | 1070
 +++++++++++++++++++++++++--------------------------
 1 files changed, 524 insertions(+), 546 deletions(-)

commit ee8bbbc7be24f0ecfdcee05a1a9ec7bdafc601fe
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Thu Mar 31 23:22:12 2011 +0100

    Updated Portuguese translation

 po-properties/pt.po |  781
 ++++++++++++++++++++++++++-------------------------
 1 files changed, 405 insertions(+), 376 deletions(-)

commit 1187577c82c1fa247ec9130763a1e3d531aadf41
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Thu Mar 31 21:30:20 2011 +0200

    Updated Hebrew translation.

 po-properties/he.po |  546
 ++++++++++++++++++++++++++-------------------------
 1 files changed, 277 insertions(+), 269 deletions(-)

commit 38e304273fd2ddc21b9abaee3e91dcf7e4048948
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Thu Mar 31 21:30:12 2011 +0200

    [l10n] Updated German translation

 po/de.po |  189
 ++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 93 insertions(+), 96 deletions(-)

commit fa13e719d48a06ee01064700860569b67e0cc4f2
Author: liwei <lw124124@gmail.com>
Date:   Thu Mar 31 16:31:56 2011 +0000

    Update Simplified Chinese translation.

 po-properties/zh_CN.po |  388
 ++++++++++++++++++++++++-----------------------
 1 files changed, 198 insertions(+), 190 deletions(-)

commit a91623a6454ff10cfb421dbe42fb1fb1ed4d7c44
Author: Djavan Fagundes <djavan@comum.org>
Date:   Thu Mar 31 11:06:29 2011 -0300

    Updated Brazilian Portuguese translation

 po-properties/pt_BR.po |  536
 ++++++++++++++++++++----------------------------
 1 files changed, 221 insertions(+), 315 deletions(-)

commit 28d3886b620c3286416cfac7b7a8e6f1ecd5741d
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Thu Mar 31 13:27:48 2011 +0200

    Updated Polish translation

 po-properties/pl.po |  760
 ++++++++++++++++++++++++++-------------------------
 1 files changed, 384 insertions(+), 376 deletions(-)

commit 33af35a396a29ac0851b4349b82a68290e86efbf
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Thu Mar 31 09:40:22 2011 +0200

    [l10n] Updated German translation

 po-properties/de.po |  633
 ++++++++++++++++++++++++--------------------------
 1 files changed, 304 insertions(+), 329 deletions(-)

commit 39f60f1ed6c59ad749cc002725ea6fe9bc560ce3
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Thu Mar 31 06:34:51 2011 +0300

    Updated Bulgarian translation

 po-properties/bg.po |  394
 ++++++++++++++++++++++++++-------------------------
 1 files changed, 201 insertions(+), 193 deletions(-)

commit 1485443d13fea5530e75c4bffca4d9ce138e2494
Author: Miroslav Nikolić <miroslavnikolic@rocketmail.com>
Date:   Thu Mar 31 01:11:14 2011 +0200

    Updated Serbian translation

 po-properties/sr.po       | 4768
 ++++++++++++++++++++++++--------------------
 po-properties/sr@latin.po | 4873
 +++++++++++++++++++++++++--------------------
 2 files changed, 5349 insertions(+), 4292 deletions(-)

commit edb44589dc141565aeb33891f0e54f6dfec0ebe2
Author: Tristan Van Berkom <tristan.van.berkom@gmail.com>
Date:   Sun Mar 6 15:13:56 2011 +0900

    Cache heights-for-range-of-widths instead of height for every width.

    This patch optimizes window resizes by assuming that if a widget
    has the same height at a width of 50 as with a width of 150, the
    height for width 100 will also be the same.

    The patch also further optimizes the cache allocator, now there
    are 2 pointer arrays of up to a maximum of 5 requests, the arrays
    will only be allocated if a request is ever made in that orientation
    and the array will be sparse until each request is made (i.e. if a
    label can only wrap to 3 lines, there will only be 3 out of a
    possible 5 SizeRequest structures allocated to cache it).

 gtk/gtksizerequest.c   |  411
 ++++++++++++++++++++++++++++--------------------
 gtk/gtkwidget.c        |    3 +-
 gtk/gtkwidgetprivate.h |   42 +++---
 3 files changed, 264 insertions(+), 192 deletions(-)

commit 148d4cd3fa6eaae027baad89c9c479dfb1a9122c
Author: Tristan Van Berkom <tristan.van.berkom@gmail.com>
Date:   Sat Mar 5 19:29:10 2011 +0900

    Reduce memory consumption of the size request cache.

    This patch makes contextual height-for-width request caching
    optional (the contextual cache is not allocated for widgets that
    report GTK_SIZE_REQUEST_CONSTANT_SIZE).

 gtk/gtksizerequest.c   |  168
 ++++++++++++++++++++++++++++++++---------------
 gtk/gtkwidget.c        |    3 +
 gtk/gtkwidgetprivate.h |   20 ++++--
 3 files changed, 132 insertions(+), 59 deletions(-)

commit bb39638c4f9fadca4a9254d1f6d3f18b72ee3d06
Author: Tristan Van Berkom <tristan.van.berkom@gmail.com>
Date:   Sat Mar 5 17:49:49 2011 +0900

    Added GTK_SIZE_REQUEST_CONSTANT_SIZE to GtkSizeRequestMode

    The constant size request mode defines a request mode where
    height-for-width geometry is unneeded, thus optimizing GTK+
    by reducing the overall amount of requests that need to be
    performed and cached while resizing an interface.

 gtk/gtkbin.c         |   14 -------------
 gtk/gtkbox.c         |   12 -----------
 gtk/gtkcellview.c    |   11 ++++++++++
 gtk/gtkcontainer.c   |   54
 ++++++++++++++++++++++++++++++++++++++++++++++++++
 gtk/gtkenums.h       |    4 ++-
 gtk/gtkgrid.c        |   21 +++---------------
 gtk/gtklabel.c       |    8 ++++--
 gtk/gtksizerequest.c |   40 +++++++++++++++++++++++++++++-------
 gtk/gtkwidget.c      |    4 +-
 gtk/gtkwidget.h      |   15 ++++++++-----
 10 files changed, 120 insertions(+), 63 deletions(-)

commit 99eb81b683e2955693ba4e6e3ed60313bdd99240
Author: Og B. Maciel <ogmaciel@gnome.org>
Date:   Wed Mar 30 17:02:54 2011 -0400

    Partial update for Brazilian Portuguese.

 po-properties/pt_BR.po | 4614
 +++++++++++++++++++++++++++---------------------
 1 files changed, 2617 insertions(+), 1997 deletions(-)

commit b467d5fdbba559bd1ab79e9da048aafb6201be9c
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Mar 30 16:38:45 2011 +0200

    widget: Propagate the right states to the widget when setting
    the parent

 gtk/gtkwidget.c |   16 +++++++++++-----
 1 files changed, 11 insertions(+), 5 deletions(-)

commit b948654d27e276d51bb6d7d9cf9a71c83dd5122d
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Mar 30 16:15:21 2011 +0200

    widget: Get rid of parent_sensitive flag

    Instead rely on state_flags & GTK_STATE_FLAG_INSENSITIVE to tell us
    if a
    widget is sensitive.
    This has the huge benefit that the way the widget is actually rendered
    corresponds to the return value of gtk_widget_is_sensitive().

    As a side effect, we do not ever allow unsetting the
    GTK_STATE_FLAG_INSENSITIVE for a widget the is set to not be sensitive
    (via gtk_widget_set_sensitive()). This way we stop propagation
    of making
    stuff sensitive at insensitive widgets.

    https://bugzilla.gnome.org/show_bug.cgi?id=642918

 gtk/gtkwidget.c |   32 ++++++--------------------------
 1 files changed, 6 insertions(+), 26 deletions(-)

commit 91d3a5ac7e191b7deccd437adb96f6f295a37e94
Author: Benjamin Otte <otte@redhat.com>
Date:   Thu Mar 17 16:45:19 2011 +0100

    widget: Don't override state data when recursing to children

    Writing onto the passed-in GtkStateData could cause changes that would
    propagate to siblings, as the data was not reset again.
    By copying the data structure, this is avoided and the proper
    values are
    passed to sibling widgets.

 gtk/gtkwidget.c |   12 +++++++-----
 1 files changed, 7 insertions(+), 5 deletions(-)

commit 63e261ed9f7d14ba162e28d5602c1621b2bd495c
Author: Benjamin Otte <otte@redhat.com>
Date:   Thu Mar 17 16:26:50 2011 +0100

    widget: Fix typo in docs

 gtk/gtkwidget.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ae640f8eb4e77eda92d1bcbdfa5c9cc4f209b7fa
Author: Benjamin Otte <otte@redhat.com>
Date:   Tue Mar 29 02:27:16 2011 +0200

    tracker: Include gdk.h

 gtk/gtksearchenginetracker.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 6121cb691f8a3313b4295eefa0bec6d468905037
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Mar 30 02:25:12 2011 -0400

    Make GtkWidget::halign RTL-save

    This commit makes GTK_ALIGN_START/_END pay attention to
    the text direction when used in horizontal context.

    This is how similar parameters in GtkMisc and GtkAlignment work,
    and is generally expected of GTK+ positioning parameters. And this
    is new GTK+ 3 api, so it is basically still unused at this point.

    If explicit right/left turn out to be needed at some point, we
    can expand the enumeration with new values.

 gtk/gtkenums.h         |    3 +++
 gtk/gtkwidget.c        |   36 ++++++++++++++++++++++++++----------
 tests/testadjustsize.c |    3 +++
 tests/testexpand.c     |    3 +++
 4 files changed, 35 insertions(+), 10 deletions(-)

commit a91e01c86c0cf02fe5f955ff326cfa8f4c88c04d
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   Wed Mar 30 15:25:09 2011 +0100

    Updated British English translation

 po-properties/en_GB.po |  234
 +++++++++++++++++++++++++-----------------------
 1 files changed, 121 insertions(+), 113 deletions(-)

commit a7f48fa6fdc0e2c6b8945be3c7602399242e221c
Author: Sandeep Shedmake <sshedmak@redhat.com>
Date:   Wed Mar 30 14:47:47 2011 +0530

    Updated Marathi Translations

 po-properties/mr.po | 5202
 +++++++++++++++++++++++++-------------------------
 po/mr.po            | 2167 ++++++++++++----------
 2 files changed, 3807 insertions(+), 3562 deletions(-)

commit 78844cdf26cead277e3e3d7b431c11aa1aaf72b8
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   Tue Mar 29 23:43:04 2011 +0200

    Updated Danish translation

 po-properties/da.po | 4689
 ++++++++++++++++++++++++++++-----------------------
 1 files changed, 2612 insertions(+), 2077 deletions(-)

commit 63f5933ad1c160c87ecf8b387662e899a09016bc
Author: Ask H. Larsen <asklarsen@gmail.com>
Date:   Tue Mar 29 23:39:44 2011 +0200

    Updated Danish translation

 po/da.po | 2095
 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 1179 insertions(+), 916 deletions(-)

commit 856a7c63bc5a7106e6b859dc36d9876d0a8703a7
Author: Ryan Lortie <desrt@desrt.ca>
Date:   Tue Mar 29 23:44:21 2011 +0530

    GtkStatusIcon: support fixed-sized icons

    Use the _NET_SYSTEM_TRAY_ICON_SIZE property set by the tray
    mananger as
    a hint that we should use a specific icon size.  This allows the
    tray to
    instruct us that it expects 16x16 icons, for example.

    Bug #645232

 gtk/gtkstatusicon.c   |   20 +++++++++++
 gtk/gtktrayicon-x11.c |   86
 ++++++++++++++++++++++++++++++++++++++++++++++++-
 gtk/gtktrayicon.h     |    1 +
 3 files changed, 106 insertions(+), 1 deletions(-)

commit 51cd2a4f236b2b8b6bb130dbaaaa1a4b520ed535
Author: Aron Xu <aronxu@gnome.org>
Date:   Tue Mar 29 11:10:03 2011 +0000

    Update Simplified Chinese translation.

 po-properties/zh_CN.po | 1076
 +++++++++++++++++++++++-------------------------
 1 files changed, 507 insertions(+), 569 deletions(-)

commit ca619031df23299103b2a6b45f00c16cfd187909
Author: Alexander Larsson <alexl@redhat.com>
Date:   Fri Mar 25 10:53:05 2011 +0100

    Ensure we always grab the gdk lock in async callbacks

    Async callbacks are delivered in idles, so we need to make sure
    we get the gdk lock before calling any gdk/gtk stuff. This was
    missing in a few places.
    (cherry picked from commit e274dbbdced7f3f8e6349bdfadcd743326cfa799)

 gtk/gtkappchooserdialog.c    |    8 ++++++++
 gtk/gtkfilechooserdefault.c  |    9 ++++++++-
 gtk/gtkfilesystem.c          |    3 +++
 gtk/gtkfilesystemmodel.c     |    4 ++++
 gtk/gtkrecentmanager.c       |    6 ++++++
 gtk/gtksearchenginetracker.c |   12 ++++++++++++
 6 files changed, 41 insertions(+), 1 deletions(-)

commit bdd41d50a4e97f3bad63d637611ace6977e9e764
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Mon Mar 28 01:46:00 2011 +0300

    Updated Latvian translation.

 po-properties/lv.po |  327
 ++++++++++++++++++---------------------------------
 1 files changed, 112 insertions(+), 215 deletions(-)

commit cc03ac2c42951e1e6baa085a7c24304bcd7462a6
Author: Wolfgang Stöggl <c72578@yahoo.de>
Date:   Sun Mar 27 22:49:54 2011 +0200

    Updated German translation

 po-properties/de.po |  226
 +++++++++++++++++++++++++-------------------------
 1 files changed, 113 insertions(+), 113 deletions(-)

commit 29ee1c302a361a1d66c3f309d087a47695eef262
Author: Yuri Kozlov <yaray@komyakino.ru>
Date:   Sun Mar 27 14:27:45 2011 +0400

    Updated Russian translation

 po-properties/ru.po | 5061
 ++++++++++++++++++++++++++-------------------------
 1 files changed, 2552 insertions(+), 2509 deletions(-)

commit ef2cb57a136132b31536b651a617bda2c4ac67d2
Author: Benjamin Otte <otte@redhat.com>
Date:   Sun Mar 27 01:51:20 2011 +0100

    widget: Call the non-deprecated function

    Both functions are identical, just that one isn't deprecated.

 gtk/gtkwidget.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 57140a79d3400b768de073377e4618a01ee66480
Author: Benjamin Otte <otte@redhat.com>
Date:   Sun Mar 27 01:53:04 2011 +0100

    widget: Update path unconditionally in gtk_widget_reset_style()

    Also, don't set the new path twice on the style context.

 gtk/gtkwidget.c |    7 +------
 1 files changed, 1 insertions(+), 6 deletions(-)

commit 5a8bbf627c12a49b5a1366fcc061c0c249bec94f
Author: Benjamin Otte <otte@redhat.com>
Date:   Sun Mar 27 01:52:16 2011 +0100

    widget: Don't duplicate style context updates

    The screen changes are done in do_screen_change(), the widget path is
    updated in gtk_widget_reset_style().

 gtk/gtkwidget.c |   13 -------------
 1 files changed, 0 insertions(+), 13 deletions(-)

commit bc6c6b749c8d736e884a5e71f5b04e7f846946e0
Author: Benjamin Otte <otte@redhat.com>
Date:   Tue Mar 15 12:16:28 2011 +0100

    paned: Remove unused variable

 gtk/gtkpaned.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 6444f30e8195fc0aef6a74f42f26b32c25bf9699
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Mar 26 23:34:45 2011 +0100

    widget: Emit initial style-set signal in the same situations as GTK2

    This ensures that widgets that aren't ported and rely on the style-set
    signal being emitted work as well as before. They should not rely on
    style-set being emitted however.

    Note that this function is a no-op if the initial style has been set
    already and is very cheap if it has not been set yet. It only becomes
    relevant if the resulting style actually gets used.

    https://bugzilla.gnome.org/show_bug.cgi?id=639584

 gtk/gtksizerequest.c |    2 ++
 gtk/gtkwidget.c      |    5 ++++-
 2 files changed, 6 insertions(+), 1 deletions(-)

commit f285dd49b533c589e5d878e7978e353da4c57625
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Mar 26 23:33:39 2011 +0100

    widget: Create the widget's style lazily

    That way we don't have to update the style's colors all the time on
    theme changes when the widget is not actually using GtkStyle.

 gtk/gtkwidget.c |   24 ++++++++++++++----------
 1 files changed, 14 insertions(+), 10 deletions(-)

commit 2f0c819287953d5aed89598517ac64e392005f7c
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Mar 26 21:55:35 2011 +0100

    widget: Don't call gtk_style_attach() and gtk_style_detach() anymore

 gtk/gtkwidget.c |    8 --------
 1 files changed, 0 insertions(+), 8 deletions(-)

commit 2444b611f517baa0340a29e6e60b774ed15e05db
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Mar 26 21:46:50 2011 +0100

    docs: Make clear that gtk_widget_set_style() does not do anything

 gtk/gtkwidget.c |    7 ++-----
 1 files changed, 2 insertions(+), 5 deletions(-)

commit ac43de26c6a598b4e440affc3db27bf9d1aaf26f
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Mar 26 21:45:32 2011 +0100

    widget: Use a priv variable

 gtk/gtkwidget.c |   10 +++++++---
 1 files changed, 7 insertions(+), 3 deletions(-)

commit 7ef2c6a55f86140dbe697fd7fa443d775b7d29b0
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Mar 26 21:42:41 2011 +0100

    widget: Widgets always have a style, so no need to check for NULL

 gtk/gtkwidget.c |    6 ++----
 1 files changed, 2 insertions(+), 4 deletions(-)

commit a4c9c4d7cde66e37f4cf223446d16a3471b92522
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Mar 26 19:22:31 2011 +0100

    combobox: Don't set the menu's name twice

 gtk/gtkcombobox.c |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 5d3c52c60e2a3369b362c266be161b1062194add
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Mar 26 17:00:36 2011 +0100

    notebook: Only reset style on tab labels when it actually changes

 gtk/gtknotebook.c |   14 +++++++++++++-
 1 files changed, 13 insertions(+), 1 deletions(-)

commit 52d27f712eeff6d49bca243e0d93d1bf5c2723ed
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Mar 26 16:07:54 2011 +0100

    widget: Reshuffle code for style context getter

    The intention of this patch is to make the code clearer, shorter and
    most of all to avoid recreating the widget path and setting it path
    twice on the style context when the style context was recreated.

 gtk/gtkwidget.c |   29 ++++++++++++++---------------
 1 files changed, 14 insertions(+), 15 deletions(-)

commit 866e37f57dd1e4e66e0418f69d45d9fec7ba6334
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Mar 26 15:22:11 2011 +0100

    widget: Don't create the style context if not necessary

    If all we want to do is update the context's screen, we don't need to
    create it if it doesn't exist yet.

 gtk/gtkwidget.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 320730505b05d3a4d9c1ca55d7ca1b2ef1aa2d2e
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Mar 26 14:49:24 2011 +0100

    gtk: Reset children styles when changing name

    Changing the name of a widget does not just change the current
    widget's
    path, but also the path of all its children.

 gtk/gtkwidget.c |   12 +-----------
 1 files changed, 1 insertions(+), 11 deletions(-)

commit 622ce47aca00d66650808d05c69f44a34d6fcd03
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Mar 26 14:44:12 2011 +0100

    widgetpath: Sanitize pos argument for iters correctly

    The comparison done was off by one and would have caused invalid
    reads or writes.

 gtk/gtkwidgetpath.c |   36 ++++++++++++++++++------------------
 1 files changed, 18 insertions(+), 18 deletions(-)

commit ebc83efb1bf2e6c62abca85db516ee7eb04394fb
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Feb 19 20:45:54 2011 +0100

    dnd: Use G_N_ELEMENTS()

    Now that we have wesome macros in glib 2.0, we can use them. Woohoo,
    GTK
    2.0 will be so awesome in the future.
    (Did anybody touch dnd code this millenium?)

 gtk/gtkdnd.c |   12 +++++-------
 1 files changed, 5 insertions(+), 7 deletions(-)

commit 0133870fa844078ebee7d0ab055394beff4611df
Author: Claude Paroz <claude@2xlibre.net>
Date:   Sat Mar 26 17:14:41 2011 +0100

    Updated French translation of po-properties

    Contributed by Gérard Baylard, Bruno Brouard and Claude Paroz

 po-properties/fr.po | 7033
 ++++++++++++++++++++++++++-------------------------
 1 files changed, 3584 insertions(+), 3449 deletions(-)

commit cb54b994cc640f64a76839d8d2648bcd66bb56ee
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Sat Mar 26 13:37:11 2011 +0200

    Updated Latvian translation.

 po-properties/lv.po | 3051
 ++++++++++++++++++++++++---------------------------
 1 files changed, 1459 insertions(+), 1592 deletions(-)

commit e31364a504da2cfdc6252d82303e66dcf2a422e1
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Sat Mar 26 15:28:19 2011 +0800

    Update VS property sheet

    Make GDK-Pixbuf include path consistent with the autofiscated builds

 build/win32/vs9/gtk+.vsprops |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1732def837bd37c86d2b8188b94c9114fcf92b43
Author: Daniel Nylander <po@danielnylander.se>
Date:   Fri Mar 25 22:29:34 2011 +0100

    Updated Swedish translation

 po/sv.po |  970
 ++++++++++++++++++++++++++++++++++++++++++++++++--------------
 1 files changed, 757 insertions(+), 213 deletions(-)

commit 2296dc089ad0ecdfe6d6500d02d2cba1c54f532e
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Fri Mar 25 22:28:19 2011 +0200

    Updated Bulgarian translation

 po-properties/bg.po |  797
 ++++++++++++++++++++++++++-------------------------
 1 files changed, 401 insertions(+), 396 deletions(-)

commit 79628d4f18a44793a10eb5eec57e91aae83b8995
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Mar 25 14:15:25 2011 -0400

    Bump version

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 21c2a52318ee5797f5db4dcbb6528bcc8f6d881b
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Mar 25 13:21:45 2011 -0400

    Updates for 3.0.6

 NEWS |   13 +++++++++++++
 1 files changed, 13 insertions(+), 0 deletions(-)

commit 7707c3bdc09d32339504bfd647f60c3b1a646cfc
Author: Florian Müllner <fmuellner@gnome.org>
Date:   Fri Mar 25 15:46:41 2011 +0100

    window: Use settings from screen rather than default

    gtk_settings_get_default() was used to monitor the
    "gtk-application-prefers-dark-theme" setting, rather
    than the GtkSettings object associated with the window's
    screen.

 gtk/gtkwindow.c |   19 +++++++++++++++----
 1 files changed, 15 insertions(+), 4 deletions(-)

commit e5f18717488f8a9b685dac1865bbe6c408ecc655
Author: Florian Müllner <fmuellner@gnome.org>
Date:   Sun Mar 20 14:37:27 2011 +0100

    window: Export theme variant to X11

    The metacity theme format allows to use colors from the current
    GTK+ theme in window decorations. Since GTK+ now gained support
    for dark theme variants, window managers using that theme format
    (metacity, mutter, compiz via gtk-window-decorator) should be able
    to use colors from the correct variant; so in case a variant is
    requested, export it in the _GTK_THEME_VARIANT property on
    toplevel windows.

    https://bugzilla.gnome.org/show_bug.cgi?id=645354

 docs/reference/gdk/gdk3-sections.txt |    1 +
 gdk/gdk.symbols                      |    1 +
 gdk/x11/gdkwindow-x11.c              |   37 ++++++++++++++++++++++++++
 gdk/x11/gdkx11window.h               |    2 +
 gtk/gtkwindow.c                      |   48
 ++++++++++++++++++++++++++++++++++
 5 files changed, 89 insertions(+), 0 deletions(-)

commit 91bce8e1cb02ceb716bfee22e4d2afa619de1361
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Fri Mar 25 22:01:43 2011 +0900

    Updated Korean translation

 po/ko.po |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit 34d2028da30b969ec25b26a079126db708019756
Author: Amitakhya Phukan <amitakhya@svn.gnome.org>
Date:   Fri Mar 25 14:34:24 2011 +0530

    Updated Assamese translations

 po-properties/as.po | 5044
 ++++++++++++++++++++++++++++-----------------------
 1 files changed, 2775 insertions(+), 2269 deletions(-)

commit e6f0ed36bc891220b219f718a4f300c58fc45a41
Author: Friedel Wolff <friedel@translate.org.za>
Date:   Thu Mar 24 23:13:33 2011 +0200

    Update translation for Afrikaans (af)

 po/af.po | 2155
 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 1210 insertions(+), 945 deletions(-)

commit 1c581263dac0f17454f547d75e08021dff22c0a6
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Mar 24 12:44:03 2011 -0400

    Make selectable labels work again

    You can select something, but moving the focus somewhere else,
    or bringing up
    the context menu makes the selection go away. This makes it
    impossible to
    copy-paste the text.

    The reason for this regression is that gtk_label_state_changed was
    sloppy and
    assumed that it would only ever be called when a labels goes
    insensitive, which
    is no longer the case.

    The patch fixes things by explicitly checking if the widget is
    insensitive, and
    only resetting the selection in that case, which is the same behaviour
    we have
    for e.g. GtkEntry.

 gtk/gtklabel.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 6cee7e305600053085530c8c2a3bd72f8e0bcca2
Author: chiachen <luojiazhen@gmail.com>
Date:   Thu Mar 24 16:29:02 2011 +0000

    Update simplified Chinese translation.

 po/zh_CN.po |  802
 ++++++++++++++++++++++++++++++++++------------------------
 1 files changed, 470 insertions(+), 332 deletions(-)

commit ebe04950b4c22abc29ae1372a19819352fc8c8f1
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Mar 23 17:30:25 2011 -0400

    Bump version

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit bb82228b3d92056595a66410e283d2db9c79eec3
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Mar 23 16:26:21 2011 -0400

    Updates for 3.0.5

 NEWS |   12 ++++++++++++
 1 files changed, 12 insertions(+), 0 deletions(-)

commit e4fef8ce289944be39b64e4f378f48d8b64c3d71
Author: Luca Ferretti <lferrett@gnome.org>
Date:   Wed Mar 23 20:09:48 2011 +0100

    Updated Italian translation

 po-properties/it.po |   98 +++++----
 po/it.po            |  602
 +++++++++++++++++++++++++++++++-------------------
 2 files changed, 428 insertions(+), 272 deletions(-)

commit e30a32cd1c41f85a19e921d37576e4a902df0639
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Tue Mar 22 14:53:21 2011 -0400

    switch: hardcode a smaller font size for the switch label

    This should not really be done here, but we can't override font size
    from the theme just yet.

    https://bugzilla.gnome.org/show_bug.cgi?id=645458

 gtk/gtkswitch.c |   23 +++++++++++++++++++++++
 1 files changed, 23 insertions(+), 0 deletions(-)

commit d2ef917821f2a18ac5f1cd2e3d1930d0498d01ba
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Tue Mar 22 14:51:06 2011 -0400

    gtksettings: unset attributes set to normal from font description

    So that they do not override values coming from the theme.

    Based on a patch by Carlos Garnacho.

    https://bugzilla.gnome.org/show_bug.cgi?id=645458

 gtk/gtksettings.c |   18 ++++++++++++++++++
 1 files changed, 18 insertions(+), 0 deletions(-)

commit 3321b0b0b567738f0374e8dbedbab3d8959b302c
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Tue Mar 22 14:35:23 2011 -0400

    Revert "styleproperties: don't force replacing the font description"

    It turns out the bug is more complicated than I originally understood.
    Not replacing the font description fields while merging here makes it
    impossible for application's CSS to override fonts.

    This reverts commit 89c1d93b68aaaebeb5db0dc2a58895721c6665aa.

    https://bugzilla.gnome.org/show_bug.cgi?id=645458

 gtk/gtkstyleproperties.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3a8f432d49b45b59ca312ad2b4ec96eb7212ab38
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Tue Mar 22 15:51:03 2011 +0530

    Updated Gujarati Translations

 po/gu.po | 2140
 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 1196 insertions(+), 944 deletions(-)

commit 15485873869669386e72dffd928d91abf7b52753
Author: Sweta Kothari <swkothar@redhat.com>
Date:   Tue Mar 22 15:36:50 2011 +0530

    Updated Gujarati Translations

 po-properties/gu.po | 5149
 +++++++++++++++++++++++++++------------------------
 1 files changed, 2686 insertions(+), 2463 deletions(-)

commit 73d8ed97dd3f1dca43d1d8f390801e23dc42e110
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Mar 21 13:15:41 2011 -0400

    Bump version

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 1d9dbf6cbc8de423db5f7ce41b8c6c1964dff5d6
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Mar 21 11:13:37 2011 -0400

    Update NEWS

 NEWS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 3dde093b71b47e2512d74d6573af4c2eea54043e
Author: Marek Kasik <mkasik@redhat.com>
Date:   Fri Nov 19 10:55:25 2010 +0100

    Check whether a resolution has been set in GtkPrintSettings

    If resolution has not been set then use default resolution from ppd.

    https://bugzilla.gnome.org/show_bug.cgi?id=635254

 modules/printbackends/cups/gtkprintbackendcups.c |   36
 +++++++++++++---------
 1 files changed, 21 insertions(+), 15 deletions(-)

commit 2af93a0b41e8456eba98b4f43af4c5ee17bd0418
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Mar 21 11:05:51 2011 -0400

    Update NEWS

 NEWS |   34 ++++++++++++++++++++++++++++++++++
 1 files changed, 34 insertions(+), 0 deletions(-)

commit 0032b1e88c842057d45ae26871db62eb47528785
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Mon Mar 21 10:53:12 2011 -0400

    themingengine: don't hardcode white to draw insensitive labels shadow

    Use the background color instead.
    I think the optimal solution would be delegating the shadow
    rendering to
    the theme completely, and removing this in GtkThemingEngine, but for
    now, this simple fix makes the dark variant more usable.

    https://bugzilla.gnome.org/show_bug.cgi?id=645405

 gtk/gtkthemingengine.c |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletions(-)

commit 8d0e30c4b545a3ea486e7a87749b1e430c3360a6
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Fri Mar 18 16:28:11 2011 -0400

    filechooserdefault: fix a build warning

 gtk/gtkfilechooserdefault.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 488241b3be34547827f7196d72b419e2b72380ae
Author: Garrett Regier <alias301@gmail.com>
Date:   Sat Mar 19 09:09:27 2011 -0700

    Fix leaking calls to gdk_device_manager_list_devices()

    gdk_device_manager_list_devices() returns a newly allocated list.

    https://bugzilla.gnome.org/show_bug.cgi?id=645234

 gdk/gdkwindow.c      |    2 ++
 gtk/gtkaboutdialog.c |    2 ++
 gtk/gtktreeview.c    |    2 ++
 3 files changed, 6 insertions(+), 0 deletions(-)

commit acbdd23d298193be079b9db9fedc5764918d3567
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Mar 21 10:32:49 2011 -0400

    Fix portability issues in configure

    Avoid using bash features unnecessarily.
    Patch by Matteo Settenvini
    https://bugzilla.gnome.org/show_bug.cgi?id=645057

 configure.ac |   20 ++++++++++----------
 1 files changed, 10 insertions(+), 10 deletions(-)

commit 4dc4740b6973af48d6a5e2732f0c17aa5f87c2c5
Author: Garrett Regier <alias301@gmail.com>
Date:   Sat Mar 19 09:11:45 2011 -0700

    Free the motion hint infos in GdkDisplay

    https://bugzilla.gnome.org/show_bug.cgi?id=645235

 gdk/gdkdisplay.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 6048d8c5e2fc1c39174f0703c46bdceadc39be5a
Author: Gintautas Miliauskas <gintautas@miliauskas.lt>
Date:   Mon Mar 21 14:29:25 2011 +0100

    Updated Lithuanian translation.

 po/lt.po | 1914
 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 1075 insertions(+), 839 deletions(-)

commit c6593fbf7a470075e2b19788d97d258f81b5c848
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Sun Mar 20 15:27:18 2011 +0200

    Updated Latvian translation.

 po/lv.po | 2177
 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 1238 insertions(+), 939 deletions(-)

commit bc05fbd531b6b8b5fc88046b43f0a016e1a20e59
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Sat Mar 19 23:45:36 2011 +0100

    Updated Hungarian translation

 po-properties/hu.po | 4935
 ++++++++++++++++++++++++++-------------------------
 1 files changed, 2513 insertions(+), 2422 deletions(-)

commit 8df5aad492c91763a3af64f77fb8de41e94cf7b9
Author: Wouter Bolsterlee <wbolster@gnome.org>
Date:   Sat Mar 19 17:58:06 2011 +0100

    Updated Dutch translation by Wouter Bolsterlee

 po/nl.po | 2120
 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 1188 insertions(+), 932 deletions(-)

commit 64860e184a2e459c4fa5ef18f179fdcc92b00b28
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Fri Mar 18 15:14:25 2011 -0400

    radiobutton: exclude states we set manually from the previous state

    https://bugzilla.gnome.org/show_bug.cgi?id=645172

 gtk/gtkradiobutton.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit db4034ddd855166df269dd4f8b0ea6b7a1665d13
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Fri Mar 18 15:00:11 2011 -0400

    radiobutton: build the new state flags from the previous flags
    on click

    This fixes e.g. sensitivity issues with GtkRadioButton on state
    update.

    https://bugzilla.gnome.org/show_bug.cgi?id=645172

 gtk/gtkradiobutton.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit fdf7bb1f9ae95dd39b90b0f5f63a398a22a362a5
Author: Мирослав Николић <miroslavnikolic@rocketmail.com>
Date:   Fri Mar 18 19:02:04 2011 +0100

    Updated Serbian Translation

 po/sr.po       | 2449
 +++++++++++++++++++++++++++++++-------------------------
 po/sr@latin.po | 2449
 +++++++++++++++++++++++++++++++-------------------------
 2 files changed, 2719 insertions(+), 2179 deletions(-)

commit 78051a69357a9133ba7564ab907e7da3bf56713d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Thu Mar 17 18:27:03 2011 -0400

    switch: fix boundaries for the switch motion

    We were ignoring the focus ring padding, and we were incorrectly
    setting
    handle_x to padding.left, while the draw handler already takes padding
    into account while redrawing.

    https://bugzilla.gnome.org/show_bug.cgi?id=645134

 gtk/gtkswitch.c |   19 ++++++++++++++++---
 1 files changed, 16 insertions(+), 3 deletions(-)

commit 0bc9efd230c359e2becff818739ba6310396759d
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Thu Mar 17 17:26:15 2011 -0400

    notebook: don't forget to reset the style after setting show-tabs

    This fixes a regression after commit
    b04f4c536aeab4281a9f0117e67accae19d691b9

 gtk/gtknotebook.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 6544532e5128d51933903103da8268eed9676eee
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Thu Mar 17 17:08:41 2011 -0400

    treeview: add the separator style class to the tree view separator
    lines

 gtk/gtktreeview.c |   17 ++++++++++++-----
 1 files changed, 12 insertions(+), 5 deletions(-)

commit 0d7da653e85e62d0cc7e954a358ad9e9b88c360b
Author: William Jon McCann <jmccann@redhat.com>
Date:   Thu Jan 27 22:00:20 2011 -0500

    filechooser: use the sidebar style class for the file chooser sidebar

    https://bugzilla.gnome.org/show_bug.cgi?id=642712

 gtk/gtkfilechooserdefault.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 3652a771ab7807e6d4cab229882ce683c42a7ce8
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Thu Mar 17 17:09:05 2011 -0400

    stylecontext: add a sidebar style class

 gtk/gtkstylecontext.h |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit 882cdf372869e943dd29ce4046066efefd09160b
Author: William Jon McCann <jmccann@redhat.com>
Date:   Thu Jan 27 21:12:05 2011 -0500

    set initial pane position

    https://bugzilla.gnome.org/show_bug.cgi?id=642712

 gtk/gtkfilechooserdefault.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 6c1524b48f11d850b2a283be4a3712e9a63863ae
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Thu Mar 17 15:44:18 2011 -0400

    filechooser: add the inline-toolbar style class to the bottom toolbar

 gtk/gtkfilechooserdefault.c |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit 0e5b591a578cf2ee2a3dd05fea7781dd0ebdfb0f
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Thu Mar 17 15:44:03 2011 -0400

    stylecontext: add an inline-toolbar style class

 gtk/gtkstylecontext.h |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit 89c1d93b68aaaebeb5db0dc2a58895721c6665aa
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Thu Mar 17 14:31:57 2011 -0400

    styleproperties: don't force replacing the font description

    Otherwise custom fonts will always get overridden by the default
    stored
    in GtkSettings when merging them.

    https://bugzilla.gnome.org/show_bug.cgi?id=644975

 gtk/gtkstyleproperties.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b04f4c536aeab4281a9f0117e67accae19d691b9
Author: Bastien Nocera <hadess@hadess.net>
Date:   Thu Mar 17 17:59:46 2011 +0000

    notebook: Don't set notebook style with hidden tabs

    When tabs are not shown, and the notebook is used as a container,
    we should not set the notebook style, otherwise the theme has no
    way to know whether tabs are shown or not, and which colour to draw
    the background.

    https://bugzilla.gnome.org/show_bug.cgi?id=640692

 gtk/gtknotebook.c |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 31af69084416be2720fcb2378b0745f59f94c071
Author: Frédéric Péters <fpeters@0d.be>
Date:   Thu Mar 17 14:40:09 2011 +0100

    Update properties POTFILES

 po-properties/POTFILES.in |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit ec7a50f5f2d9c43027be53f0e93987a68c3b40f5
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   Thu Mar 17 12:50:44 2011 +0000

    Updated British English properties translation

 po-properties/en_GB.po |  677
 ++++++++++++++++++++++++------------------------
 1 files changed, 341 insertions(+), 336 deletions(-)

commit 8d680da02333be219c2bea6702d571eb68338df1
Author: Mario Blättermann <mariobl@gnome.org>
Date:   Thu Mar 17 11:52:28 2011 +0100

    [l10n] Updated German translation

 po-properties/de.po | 4608
 +++++++++++++++++++++++++++++----------------------
 1 files changed, 2597 insertions(+), 2011 deletions(-)

commit 2dcfc1ebae078ff5ead0591bc7a3705d4d7ae08b
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Wed Mar 16 19:04:20 2011 -0400

    Don't only use ch != 0 to check if a character is a control char.

    https://bugzilla.gnome.org/show_bug.cgi?id=644976

 gtk/gtkimcontextsimple.c |    2 +-
 gtk/gtkimmulticontext.c  |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 0164c69568a6a4d3540a521f33e2c8c33808855d
Author: Jasper St. Pierre <jstpierre@mecheye.net>
Date:   Wed Mar 16 19:03:34 2011 -0400

    gdkkeyuni: Fix DEL for binary search

    The list needs to be sorted in order for the binary search to work
    properly.

    https://bugzilla.gnome.org/show_bug.cgi?id=644976

 gdk/gdkkeyuni.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit c96057e6138aa4b33597543951fa17cbae41972e
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Mon Mar 14 18:21:47 2011 -0400

    range: allow stepper-spacing > 0 and trough-under-steppers = TRUE

    Commit 4bb3d6441439e4d99255a3a08b39da7100ced953 introduced a
    limitation
    to GtkRange style properties; when stepper-spacing is > 0,
    trough-under-steppers is automatically set to FALSE; this means that
    setting a spacing between the steppers (e.g. the scrollbar buttons)
    and
    the trough (i.e. the area over which the slider is free to move) would
    make the buttons always get the full allocation on the !orientation
    direction.
    The rationale is without this limitation, you would get an area which
    seems clickable, but it's actually not.

    While this is true, and undesirable, for big stepper spacings, themes
    that use trough-under-steppers (which is TRUE by default anyway),
    might want to set smaller spacings to avoid drawing a double line
    between
    the button and the slider borders.

    To add confusion, the documentation got it flipped, i.e. it stated
    setting a positive stepper-spacing would set trough-under-steppers to
    TRUE (which would also make the behavior expected by commit
    4bb3d6441439e4d99255a3a08b39da7100ced953 impossible).

    I don't think hardcoding either of the two limitations is a good
    thing.
    We should let themes handle this instead, and remove this
    limitation. If
    you want the old behavior, you can manually set trough-under-steppers
    to
    FALSE if you set a positive stepper-spacing in your theme.

    https://bugzilla.gnome.org/show_bug.cgi?id=644777

 gtk/gtkrange.c |   12 +-----------
 1 files changed, 1 insertions(+), 11 deletions(-)

commit ff412d2c5dd7544f074ef4e557d5e2b22a37f9e1
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Mar 16 12:46:45 2011 -0400

    Make gdk_keyval_to_unicode return more codes

    Previously, we didn't map ASCII controls to their Unicode
    counterparts. Fix that.

    https://bugzilla.gnome.org/show_bug.cgi?id=644836

 gdk/gdkkeyuni.c |   24 +++++++++++++++++-------
 1 files changed, 17 insertions(+), 7 deletions(-)

commit b9b535d7a20c3414cd9d16ba592151f164cc928f
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Wed Mar 16 10:50:03 2011 -0400

    widget: reset widget style after applying style classes from
    GtkBuilder

    Otherwise, the parsed style classes do not get propagated to the
    children.

    https://bugzilla.gnome.org/show_bug.cgi?id=644925

 gtk/gtkwidget.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit c89f9d8da035fa6f8c96176bc703ac35e8c42483
Author: Fran Diéguez <fran@openhost.es>
Date:   Tue Mar 15 20:27:41 2011 +0100

    Updated Galician translations

 po-properties/gl.po |  901
 ++++++++++++++++++++++++++-------------------------
 1 files changed, 453 insertions(+), 448 deletions(-)

commit fda0032d8a8450302e53924e804885239e9a8116
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Mar 14 14:31:02 2011 -0400

    Bump version

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 5b3d82176a82628dcdbf4c4e379262e2601a337c
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Mar 14 12:31:13 2011 -0400

    Update NEWS

 NEWS |   29 +++++++++++++++++++++++++++++
 1 files changed, 29 insertions(+), 0 deletions(-)

commit 565744d498cb81095ea29c80c26707007d03d1fc
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Mon Mar 14 11:01:43 2011 -0400

    notebook: make GtkNotebook respect the focus-padding style property

    https://bugzilla.gnome.org/show_bug.cgi?id=644348

 gtk/gtknotebook.c |   48 ++++++++++++++++++++++++------------------------
 1 files changed, 24 insertions(+), 24 deletions(-)

commit 318dbe7524a155c3020e4ec543bf7316753cdfd6
Author: Erdal Ronahi <erdal.ronahi@gmail.com>
Date:   Mon Mar 14 00:04:10 2011 +0100

    Updated Kurdish translation

 po/ku.po |  476
 +++++++++++++++++++++++++-------------------------------------
 1 files changed, 192 insertions(+), 284 deletions(-)

commit 80b6fd0978824c29a4d2d222a57cada0d28d99ed
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Sun Mar 13 23:27:02 2011 +0900

    Updated Korean translation

 po-properties/ko.po |  979
 ++++++++++++++++++++++++++-------------------------
 1 files changed, 494 insertions(+), 485 deletions(-)

commit da22745fa299a6c08e990ddad72b9c88741826d9
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Mar 12 21:25:07 2011 -0500

    Add annotations to gtk_window_get_position

    Part of bug 644353, patch by Ulrik Sverdrup.

 gtk/gtkwindow.c |   14 ++++++++------
 1 files changed, 8 insertions(+), 6 deletions(-)

commit 7abeab8490565f04e164c854166d4cf9f40130a3
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Mar 12 21:33:04 2011 -0500

    Fix annotations for gtk_accelerator_parse

    Part of bug 644353, patch by Ulrik Sverdrup.

 gtk/gtkaccelgroup.c |    8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)

commit be3fc28e6663e9cc806b5d162da0531598e0ff21
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Wed Mar 9 01:14:24 2011 -0500

    paned: don't set the "pane-separator" style class to all the container

    Otherwise children inherit color properties specified for the pane
    separator itself.

    https://bugzilla.gnome.org/show_bug.cgi?id=644276

 gtk/gtkpaned.c |    4 +---
 1 files changed, 1 insertions(+), 3 deletions(-)

commit 647f8fb2fb09a669efdf00d86bb788bb5be4abe4
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sat Mar 12 17:02:49 2011 +0100

    themingengine: Use render_background_internal() to render handle
    background

    Instead of using always the background color. This fixes handles that
    have a background image like gnome-panel applets in a transparent
    panel.

    https://bugzilla.gnome.org/show_bug.cgi?id=644570

 gtk/gtkthemingengine.c |   17 ++++-------------
 1 files changed, 4 insertions(+), 13 deletions(-)

commit c65309b673c1fe05ecbc656f06eb5bdb9edc853e
Author: Petr Kovar <pknbe@volny.cz>
Date:   Sat Mar 12 23:33:53 2011 +0100

    Update Czech translation

 po/cs.po | 1509
 ++++++++++++++++++++++++++++++++------------------------------
 1 files changed, 788 insertions(+), 721 deletions(-)

commit 6ff74f6e0642fb06c8d77892e8b2472d50aa34a7
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Mar 12 13:42:05 2011 -0500

    GtkAboutDialog: keep toggle button state in sync

    When hiding the dialog, we hide the credits/license parts, so
    we need to update the toggle buttons controlling them.
    https://bugzilla.gnome.org/show_bug.cgi?id=644355

 gtk/gtkaboutdialog.c |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

commit 021ba76ceba998c57354ae91a1cfc83fc8a76816
Author: Bruno Brouard <annoa.b@gmail.com>
Date:   Sat Mar 12 18:03:08 2011 +0100

    Updated French translation

 po/fr.po | 2129
 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 1198 insertions(+), 931 deletions(-)

commit 1859972b3bd04a91804a5063f208f6b09619190a
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Sat Mar 12 06:21:40 2011 +0200

    Updated Hebrew translation.

 po-properties/he.po |  895
 ++++++++++++++++++++++++++-------------------------
 1 files changed, 450 insertions(+), 445 deletions(-)

commit f17bed1eace6f26ba14d427eef981cfdaa1b17c1
Author: Luca Ferretti <lferrett@gnome.org>
Date:   Sat Mar 12 02:09:30 2011 +0100

    Updated Italian translation

 po-properties/it.po | 5179
 +++++++++++++++++++++++++--------------------------
 1 files changed, 2549 insertions(+), 2630 deletions(-)

commit 6accf7bf16a80c1ccc3b4411f0060c23c373db6a
Author: Daniel Nylander <po@danielnylander.se>
Date:   Fri Mar 11 23:52:05 2011 +0100

    Updated Swedish translation

 po-properties/sv.po | 3398
 ++++++++++++++++++++++++++++-----------------------
 1 files changed, 1898 insertions(+), 1500 deletions(-)

commit a5d5edace1c49b6e5583a24145b03511a3a6aa29
Author: Daniel Nylander <po@danielnylander.se>
Date:   Fri Mar 11 23:51:51 2011 +0100

    Updated Swedish translation

 po/sv.po | 1389
 ++++++++++++++++++++++++++++++++++----------------------------
 1 files changed, 773 insertions(+), 616 deletions(-)

commit ed188c8b1027024f6d0d10d4a1fce6c7b4c8d6d5
Author: Klemen Košir <klemen.nna@gmail.com>
Date:   Fri Mar 11 21:51:36 2011 +0100

    Updated Slovenian translation

 po/sl.po |11911
 ++++++++++++++++++++++++++------------------------------------
 1 files changed, 4933 insertions(+), 6978 deletions(-)

commit fa8bd08f5d552116950fc21597be5f00ea149a5a
Author: Benjamin Otte <otte@redhat.com>
Date:   Fri Mar 11 19:42:26 2011 +0100

    gtk: Queue a resize after state changes

    Lots of style properties - border-width in this case - can change the
    size of widgets, so we need to queue a resize instead of just
    redrawing.

 gtk/gtkwidget.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit 8ee894ae46784d3067cb5c928d019ae6d5edbcf4
Author: Tristan Van Berkom <tristan.van.berkom@gmail.com>
Date:   Thu Mar 10 14:08:15 2011 +0900

    Fixed gdk_window_beep() to pass the toplevel instance to the
    toplevel's implementation vfunc.

    This incorrect assignment would cause asynchronous aborts from the
    X server
    (they would occur if for instance, an offscreen GtkTreeView calls
    gtk_widget_error_bell()).

 gdk/gdkwindow.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 934f4e5a25076421c8b7134282c5195e6414c96a
Author: Tristan Van Berkom <tristan.van.berkom@gmail.com>
Date:   Wed Mar 9 15:06:45 2011 +0900

    Fixed GtkTreeModel::row-deleted documentation

    This documentation was in direct conflict with the documentation
    of gtk_tree_model_row_deleted() docs, the function docs are TRUE,
    the signal docs were FALSE, fixed.

 gtk/gtktreemodel.c |    9 +++------
 1 files changed, 3 insertions(+), 6 deletions(-)

commit e772082a2a7310cdef527f18d48c1aca23e93b60
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Tue Mar 8 17:08:03 2011 -0500

    stylecontext: add a raised style class

    This is useful for raised elements, for example raised buttons on
    primary toolbars.

    https://bugzilla.gnome.org/show_bug.cgi?id=644248

 gtk/gtkstylecontext.h |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit a3b2840cae2fa82aa1e7a1851238b798f084df5c
Author: Alexander Larsson <alexl@redhat.com>
Date:   Mon Mar 7 16:01:46 2011 +0100

    Remove support for GDK_NATIVE_WINDOWS

    GDK_NATIVE_WINDOWS was a way to keep some old apps running that
    did weird
    things in gtk2. We should not have to carry this forwards in gtk 3.x.

    We do however keep a g_warning() call reminding people of this fact to
    ease debugging when they try to port their applications.

    https://bugzilla.gnome.org/show_bug.cgi?id=644119

 docs/reference/gtk/running.sgml |   10 ----
 gdk/gdk.c                       |    4 +-
 gdk/gdkdevice.c                 |    5 +--
 gdk/gdkdisplay.c                |    4 --
 gdk/gdkglobals.c                |    1 -
 gdk/gdkinternals.h              |    1 -
 gdk/gdkwindow.c                 |   96
 ++++-----------------------------------
 gdk/win32/gdkwindow-win32.c     |    1 -
 8 files changed, 12 insertions(+), 110 deletions(-)

commit 191428f596a532799059124ed41b4b348e48634e
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Mon Mar 7 23:05:03 2011 +0100

    gtksettings: plug a leak

    Make the GValue take the created GString.

 gtk/gtksettings.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit fe12c46531ac8020470ece87b73fe4c05247c885
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Mon Mar 7 23:00:16 2011 +0100

    cssprovider: Reset the scope before skipping to the next rule after
    an error happens.

    This is so the selector token gets parsed with the correct GScanner
    scope/config
    on all situations.

 gtk/gtkcssprovider.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit aa6eee73e54a846644b515a1fa45c49955cac363
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Mon Mar 7 22:59:45 2011 +0100

    cssprovider: plug two more leak fixes

 gtk/gtkcssprovider.c |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 794593a4f8208c8c52363e4bdf7103f5f215a9fc
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Mon Mar 7 22:42:33 2011 +0100

    cssprovider: return immediately if there's remaining data behind a
    parsed value

    parse_value() could fill in a GError, but yet (incorrectly) return
    G_TOKEN_NONE,
    having the GError leaked as a result.

    https://bugzilla.gnome.org/show_bug.cgi?id=642604 , Reported by
    Felix Riemann.

 gtk/gtkcssprovider.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit f7f9e16939112b3c06444c92c833625ecd2d8028
Author: John Ralls <jralls@ceridwen.us>
Date:   Mon Mar 7 12:28:20 2011 -0800

    Finish making the GtkSettings object identical on all backends so
    that it doesn't assert on non-X11 backends

 gtk/gtksettings.c |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 8d1b7362b3f2e3d52153c2ac2e41b8926c05f143
Author: Benjamin Otte <otte@redhat.com>
Date:   Mon Mar 7 17:45:08 2011 +0100

    x11: Copy from actual window, not parent

    This code is a relic from GTK2 days and should not be necessary
    anymore,
    as code now makes sure to only copy those parts of the window that are
    not overlapped by parent windows.

    By deleting it we fix potential issues with composited and translucent
    windows copying the wrong data.

    https://bugzilla.gnome.org/show_bug.cgi?id=643416

 gdk/x11/gdkgeometry-x11.c |   18 +-----------------
 1 files changed, 1 insertions(+), 17 deletions(-)

commit 7fe353b1861df58245a4cdcc97ff56508dc38a6e
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Mar 7 10:08:48 2011 -0500

    Bump version

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 2ef4d9862aff0a00b6012c526d8159f2582bb463
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Mar 7 08:24:27 2011 -0500

    Update NEWS

 NEWS |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit 96d6c2d108a3f69759a5a23f76e6b4d309da0b15
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Mon Mar 7 00:17:08 2011 -0500

    treeview: propagate the selected state from the row

    An expander in a row can't be selected on its own otherwise. This way
    themes can override the expander colors when the row is selected.

    https://bugzilla.gnome.org/show_bug.cgi?id=644089

 gtk/gtktreeview.c |   10 +++++++++-
 1 files changed, 9 insertions(+), 1 deletions(-)

commit b93a2ebeedd656af65e0ef536cad4d5e8614f193
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Mon Mar 7 11:59:33 2011 +0100

    entry: Do not clobber state when rendering the default icons.

    Use lower level methods that just require changing the state in the
    GtkStyleContext instead. Fixes a problem where the insensitive state
    was being set to the entry becasuse a parent was insensitive, spotted
    by Alex Larsson.

 gtk/gtkentry.c |   61
 ++++++++++++++++++++++++++++++++-----------------------
 1 files changed, 35 insertions(+), 26 deletions(-)

commit a3b3c91001840908891c1954a35c6892ca569e6e
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Sat Mar 5 03:01:44 2011 -0500

    notebook: flip the render order

    The render order for tabs is now

    - left to right until the active tab
    - right to left until the active tab
    - active tab

    This allows themes that use non-straight lines for the tab curvature
    to
    draw them not worrying about flipping one side after the active tab.

 gtk/gtknotebook.c |   38 +++++++++++++++++++++++++++++++++++++-
 1 files changed, 37 insertions(+), 1 deletions(-)

commit a54ca77fb7aa159ec8c1d50db3c5c608fe9c27d3
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Sun Mar 6 22:04:13 2011 -0500

    notebook: fixup the last commit

    Let the tab overlap eat the padding, otherwise having tab-overlap >
    tab-curvature without cutting the label is impossible.
    This way we give the label widget all the allocation possible before
    giving up and cutting it if the values for tab-overlap are too extreme
    for the given padding.

 gtk/gtknotebook.c |   13 +++++++++----
 1 files changed, 9 insertions(+), 4 deletions(-)

commit da814ae767be3836c6335512f126d5ec5090dbe4
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Sat Mar 5 03:05:12 2011 -0500

    notebook: make sure the label widget allocation not exceeds the
    overlap

 gtk/gtknotebook.c |   35 ++++++++++++++++++++++++++++++++++-
 1 files changed, 34 insertions(+), 1 deletions(-)

commit 27a0cef60ca53232197b8bfa75f4dbc3a390fff7
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Sat Mar 5 03:05:54 2011 -0500

    notebook: make sure the allocation keeps track of the tab curvature

    This was a genuine typo, because "padding" was calculated but
    unused in
    this branch of the code.

 gtk/gtknotebook.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 2556657517501c0a9c1764d1368773ed16846d83
Author: Kristjan SCHMIDT <kristjan.schmidt@googlemail.com>
Date:   Sun Mar 6 18:27:14 2011 +0100

    Updated Esperanto translation

 po-properties/eo.po | 5186
 ++++++++++++++++++++++++++++-----------------------
 1 files changed, 2847 insertions(+), 2339 deletions(-)

commit 2e71f6e1cc0ffb873375394cc82472db72c05502
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Sun Mar 6 15:20:37 2011 +0000

    Updated Portuguese translation

 po-properties/pt.po |  264
 ++++++++++++++++++++++++++------------------------
 1 files changed, 137 insertions(+), 127 deletions(-)

commit 69281030e1149be4df8499980c5215080f8c0f1c
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sun Mar 6 15:21:41 2011 +0100

    Updated Spanish translation

 po/es.po |  146
 ++++++++++++++++++++++++++++++--------------------------------
 1 files changed, 71 insertions(+), 75 deletions(-)

commit 7aeb3c725b7638a92ef0e7aa5c06f8cdee1bbb39
Author: Carlos Garcia Campos <carlosgc@gnome.org>
Date:   Sat Mar 5 12:13:19 2011 +0100

    xi2: Ignore button release events of button 4-7

    We treat button presses of button 4-7 as scroll wheel events,
    so release
    events should be ignored.

    https://bugzilla.gnome.org/show_bug.cgi?id=643925

 gdk/x11/gdkdevicemanager-xi2.c |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit 0a03e812243565285a75dc5d5b2d085e32f45e1d
Author: Ignacio Casal Quinteiro <icq@gnome.org>
Date:   Sun Mar 6 11:16:28 2011 +0100

    Fix conversion from GdkColor to GdkRGBA

 gtk/gtkstylecontext.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 39d4207ab7ecedc0fce2e65478dbd5d152e23b65
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Mar 6 00:31:20 2011 -0500

    Use existing mime type for GTK_FILE stock icon

    document-x-generic is not actually a mimetype. Using text-x-generic
    instead lets us work out-of-the-box in a11y themes.

 gtk/Makefile.am                           |    6 +-
 gtk/gtkiconfactory.c                      |    2 +-
 gtk/gtkrecentmanager.c                    |    2 +-
 gtk/stock-icons/16/document-x-generic.png |  Bin 569 -> 0 bytes
 gtk/stock-icons/16/document-x-generic.svg |  246
 -----------------------------
 gtk/stock-icons/16/text-x-generic.png     |  Bin 0 -> 569 bytes
 gtk/stock-icons/16/text-x-generic.svg     |  246
 +++++++++++++++++++++++++++++
 gtk/stock-icons/24/document-x-generic.png |  Bin 736 -> 0 bytes
 gtk/stock-icons/24/document-x-generic.svg |  213
 -------------------------
 gtk/stock-icons/24/text-x-generic.png     |  Bin 0 -> 736 bytes
 gtk/stock-icons/24/text-x-generic.svg     |  213
 +++++++++++++++++++++++++
 11 files changed, 463 insertions(+), 465 deletions(-)

commit e2ba86289f7524a174a8e5e27801585cacb0169a
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Mar 5 23:25:35 2011 -0500

    Only count visible children during size request

    This was causing spacing between image and label to be requested
    in buttons, even though the image is invisible.

 gtk/gtkbox.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 8b17b16d63bebbf85fa211b192e0cdc669120ba2
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Mar 5 15:01:19 2011 +0100

    theme: Fix spinner for inactive state.

    Previously, the inactive state caused the spinner's solid line to be
    drawn to the right. Now it's drawn to the top instead, which makes the
    inactive state look more natural.

 gtk/gtkthemingengine.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 9b8fbe5b7256f89ccadbf716f691142ca4aa491f
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Mar 5 14:59:25 2011 +0100

    theme: Make spinner animation turn clockwise

 gtk/gtkthemingengine.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2482847ecffbf528ab60606a4d70a06847147355
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Mar 5 14:57:55 2011 +0100

    theme: Make spinner steps count forward, not backward

    This makes the spinner roate the right way again.

 gtk/gtkthemingengine.c |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit de3616d52c349fa304cf2625b81f639452e1d907
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Mar 5 14:53:26 2011 +0100

    theme: Make spinner drawing start with the solid line

    Previously, for i == 0, we were drawing the translucent line first.
    However, people reading the code would always assume the solid line is
    indicated by the current step. So make the code do that.

    Note that the spinner now rotates in the wrong direction. This will be
    fixed in a future commit.

 gtk/gtkthemingengine.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 41b5a6a900a625771366f3492ac2b9463feabf4b
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Mar 5 14:49:19 2011 +0100

    theme: Compute scale values once

    Use a local variable to store the xscale and yscale, so that it's only
    computed once.
    Makes it easier to do the changes I'm about to do.

 gtk/gtkthemingengine.c |   10 ++++++----
 1 files changed, 6 insertions(+), 4 deletions(-)

commit 8c8dda6a6bab8d5a334faeefc909b6153bb364b0
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Mar 5 14:47:55 2011 +0100

    theme: Do general cairo setup in one place

    Also remove wrong comment.

 gtk/gtkthemingengine.c |    6 ++----
 1 files changed, 2 insertions(+), 4 deletions(-)

commit 639bf2a2a5011678f6175af8264803ceaa2f81d0
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Mar 5 14:46:36 2011 +0100

    theme: Remove unnecessary save/restore in spinner code

 gtk/gtkthemingengine.c |    4 ----
 1 files changed, 0 insertions(+), 4 deletions(-)

commit 3e524ac28e92a3cd90c6ede101493c3b215bd985
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Mar 5 14:30:17 2011 +0100

    theme: Simplify spinner drawing code a bit.

 gtk/gtkthemingengine.c |   13 +++++--------
 1 files changed, 5 insertions(+), 8 deletions(-)

commit 5b347db1af73e19d41016a7e3d699c262d147c18
Author: Murray Cumming <murrayc@murrayc.com>
Date:   Sat Mar 5 14:53:52 2011 +0100

    gtk_init*(): Document that argc/argv can be 0,NULL.

    * gtk/gtkmain.c: (gtk_init): Mention that argc and argv can be 0,
      using the new text from the g_applicatoin_run() documentation.
      There was already introspection annotation about that.
      (gtk_init_check, gtk_init_with_args): Use the same text here.
      See bug #643649 comment 2.

 gtk/gtkmain.c |   25 +++++++++++++++++--------
 1 files changed, 17 insertions(+), 8 deletions(-)

commit c28b483c06e2b93454f8a472de13a13583d980d5
Author: Rudolfs Mazurs <rudolfs.mazurs@gmail.com>
Date:   Sat Mar 5 15:48:26 2011 +0200

    Added Latvian translation.

 po-properties/lv.po | 4643
 ++++++++++++++++++++++++++++++---------------------
 1 files changed, 2700 insertions(+), 1943 deletions(-)

commit 4180652d6e795db6d738a7a74ded61c5c99fb852
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sat Mar 5 13:16:06 2011 +0100

    Added Spanish translation

 po-properties/es.po |  652
 ++++++++++++++++++++++++++-------------------------
 1 files changed, 329 insertions(+), 323 deletions(-)

commit a75ab78c3c37330b6322fc73d705b1a1d1399f31
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Fri Mar 4 23:34:51 2011 +0000

    Updated Portuguese translation

 po/pt.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit f0e83f8abe0fca22cd965c787133f3d5f2d83057
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Fri Mar 4 23:33:55 2011 +0000

    Updated Portuguese translation

 po/pt.po |   20 +++++++++++---------
 1 files changed, 11 insertions(+), 9 deletions(-)

commit f8f42d22b85c9d966a084df1f5e1137e1ab9bd43
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Fri Mar 4 23:32:59 2011 +0000

    Updated Portuguese translation

 po-properties/pt.po | 4691
 ++++++++++++++++++++++++++++-----------------------
 1 files changed, 2603 insertions(+), 2088 deletions(-)

commit eeedcf36124e3a145042a52bddd3e89bf68519e1
Author: Xan Lopez <xlopez@igalia.com>
Date:   Fri Mar 4 21:43:08 2011 +0100

    spinbutton: remove unused variable

 gtk/gtkspinbutton.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 6a0b82bfd5dbaa38533533f7892e0a1cfd854024
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Mar 4 13:55:06 2011 -0500

    Prime NEWS for 3.0.2

 NEWS |   40 ++++++++++++++++++++++++++++++++++++++++
 1 files changed, 40 insertions(+), 0 deletions(-)

commit 6a423a99ad1f71edf3f6eaa6f09dd86efbd80769
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Mon Feb 28 15:44:53 2011 -0500

    spinbutton: rework GtkSpinButton drawing handler

    Make the arrows bigger, and position them according to the mockups.

 gtk/gtkspinbutton.c |   89
 ++++++++++++++++++++-------------------------------
 1 files changed, 35 insertions(+), 54 deletions(-)

commit cae7b937291799f4f4fa985529016ffd1c853bf5
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Fri Mar 4 11:12:32 2011 -0500

    Revert "spinbutton: center-align by default"

    This reverts commit 64ef11985bb11de3e1369cfa3d187d274096cf6e.

 gtk/gtkspinbutton.c |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit fb245b8ece888a845ba0d9c6b0cade5fab60c1c6
Author: Abduxukur Abdurixit <abdurixit@gmail.com>
Date:   Fri Mar 4 16:36:06 2011 +0100

    Added UG translation

 po-properties/ug.po |14737
 ++++++++++++++++++++++++++-------------------------
 1 files changed, 7510 insertions(+), 7227 deletions(-)

commit ef5869842702af1a68615196994989eb1c64f3d6
Author: Abduxukur Abdurixit <abdurixit@gmail.com>
Date:   Fri Mar 4 16:29:30 2011 +0100

    Added UG translation

 po/ug.po |12808
 ++++++++++++++++++++++++++------------------------------------
 1 files changed, 5298 insertions(+), 7510 deletions(-)

commit b324b9e8202e070612531c9f9843a57584b4072d
Author: Abduxukur Abdurixit <abdurixit@gmail.com>
Date:   Fri Mar 4 16:27:22 2011 +0100

    Added UG translation

 po/ug.po |12808
 ++++++++++++++++++++++++++++++++++++--------------------------
 1 files changed, 7510 insertions(+), 5298 deletions(-)

commit 98936999e2aec608149225495f3619db1c130600
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Fri Mar 4 10:58:08 2011 +0200

    Uploaded Ukranian

 po-properties/uk.po |  582
 +++++++++++++++++++++++++--------------------------
 1 files changed, 290 insertions(+), 292 deletions(-)

commit 132eed56f82ac561e3c5fbfb965e1fca1ddb5d26
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Fri Mar 4 09:54:03 2011 +0100

    Updated Polish translation

 po-properties/pl.po |  970
 ++++++++++++++++++++++++++-------------------------
 1 files changed, 487 insertions(+), 483 deletions(-)

commit e10759af163bdb78945e27e12ba7e821248c476a
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Mar 3 19:24:02 2011 -0500

    Bump the Pango requirement to 1.24

    This avoids warnings in some situations. 1.24 is 2 years old,
    so should not cause any problems.
    https://bugzilla.gnome.org/show_bug.cgi?id=643370

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2ccc6c0d603cd30b14aea01664a314cf5ed32236
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Mar 3 18:26:09 2011 -0500

    GtkNotebooks: fix regressions from tab-pack removal

 gtk/gtknotebook.c |  110
 +++++++++++++++++++++++------------------------------
 1 files changed, 48 insertions(+), 62 deletions(-)

commit a71e8019433b32923eb04c4b2f8065476ccfb2e1
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Mar 3 18:24:58 2011 -0500

    GtkNotebook: Don't let tab allocation go negative

 gtk/gtknotebook.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 8da124aa1fbe16019bf4a3b2c17fc3cfe29f00ce
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Thu Mar 3 17:47:50 2011 -0500

    Cleanup unused variables

 gtk/gtkswitch.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 6a21e4ce94b94068d00fa5ceca2eaedc2b1e80ff
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Thu Mar 3 10:13:29 2011 -0500

    docs: update to include the new style classes

 docs/reference/gtk/gtk3-sections.txt |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit e9182123a85d78e6393f629187f6dfa74ff215bc
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Thu Mar 3 10:13:10 2011 -0500

    stylecontext: add a primary toolbar style class

 gtk/gtkstylecontext.h |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit d5c4a0f503e997b10586e74214422fcecb5e38c2
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Wed Mar 2 22:55:25 2011 -0500

    all: add a "separator" style class

 gtk/gtkseparator.c         |    4 ++++
 gtk/gtkseparatormenuitem.c |    4 ++++
 gtk/gtkseparatortoolitem.c |    5 +++++
 gtk/gtkstylecontext.h      |    7 +++++++
 4 files changed, 20 insertions(+), 0 deletions(-)

commit fe3f9ca9cd2fd93db3524cda9b8c8a6ef4c5c404
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Wed Mar 2 18:41:24 2011 -0500

    menuitem: set the menubar style class for menu items on a bar

    So that themes can distinguish them from the other menu items.

 gtk/gtkmenuitem.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 4a99e75ce7d94dab3bea16ee62ec24c033826aea
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Wed Mar 2 16:06:09 2011 -0500

    window: don't confuse priv->type_hint with priv->gdk_type_hint

    This broke, among the others, menu rendering.

 gtk/gtkwindow.c |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit ee43f55b5f416d787bf998bfeae116e9a0335e89
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Tue Mar 1 22:33:15 2011 -0500

    menuitem: mark with the GTK_STYLE_CLASS_MENUITEM style class

 gtk/gtkmenuitem.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 64aac9624ce58e76f1c9ab58d0c6357ca7f97b1f
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Tue Mar 1 22:31:13 2011 -0500

    Use 16 as default size for checkbutton indicator

    So that 16x16 icons can be used from themes such as Adwaita in their
    natural size.

 gtk/gtkcellrenderertoggle.c |    2 +-
 gtk/gtkcheckbutton.c        |    2 +-
 gtk/gtkcheckmenuitem.c      |    4 ++--
 3 files changed, 4 insertions(+), 4 deletions(-)

commit ea7661cb3f50de3bed1201916758f800220bd475
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Tue Mar 1 09:00:19 2011 -0500

    switch: remove slider padding from available allocation when drawing

    This also simplifies the code a bit, and makes previous workarounds
    useless.

 gtk/gtkswitch.c |   32 +++++++++++++++-----------------
 1 files changed, 15 insertions(+), 17 deletions(-)

commit 6abbd68674dc9b1ff53ce2e9d1c6ee0b3310c794
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Tue Mar 1 08:59:02 2011 -0500

    switch: fetch the padding values from the slider

    It's the slider which acts as a child inside the container through, so
    we should fetch the slider padding when computing height/width.

 gtk/gtkswitch.c |   36 ++++++++++++++++++++++++++++++++----
 1 files changed, 32 insertions(+), 4 deletions(-)

commit c310c35a7a87307c1534a932f43f9255d26faa9b
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Mon Feb 28 18:46:46 2011 -0500

    switch: propagate the active state to the slider

 gtk/gtkswitch.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 0ff4fdb2335a27f72c482eaa0e69879430b500b7
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Mon Feb 28 16:37:52 2011 -0500

    combobox: add an arrow-scaling property to GtkComboBox

 gtk/gtkcombobox.c |   21 ++++++++++++++++++++-
 1 files changed, 20 insertions(+), 1 deletions(-)

commit 64ef11985bb11de3e1369cfa3d187d274096cf6e
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Mon Feb 28 15:45:51 2011 -0500

    spinbutton: center-align by default

 gtk/gtkspinbutton.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit fa4fb6724c4afbd59535148303bc5ba8265f4d70
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Sat Feb 26 19:29:44 2011 -0500

    arrow: x and y coordinates of the arrow rendering should be double

    To prevent off-by-one rounding errors when drawing them later.

 gtk/gtkarrow.c |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit 230bd4b4617bb2bc803d946658529a0b3e15b44c
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Sat Feb 26 19:29:08 2011 -0500

    range: x and y coordinates of the arrow rendering should be double

    To prevent off-by-one rounding errors when drawing them later.

 gtk/gtkrange.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 11f07f9bdcc34861368faa8b54775157bbd0d9e6
Author: Cosimo Cecchi <cosimoc@gnome.org>
Date:   Sat Feb 26 19:28:33 2011 -0500

    range: don't set junction sides on scrollbar steppers

 gtk/gtkrange.c |   10 ++++++++--
 1 files changed, 8 insertions(+), 2 deletions(-)

commit 77e46de0e173fda917d1141ccfe69ce668a81b31
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Mar 3 16:47:55 2011 -0500

    GtkScale: Add style classes for marks

    This enables better styling of the slider in the presence of
    marks. Based on a patch by Bastien Nocera,
    https://bugzilla.gnome.org/show_bug.cgi?id=643685

 gtk/gtkscale.c        |   34 +++++++++++++++++++++++++++++++---
 gtk/gtkstylecontext.h |   18 ++++++++++++++++++
 2 files changed, 49 insertions(+), 3 deletions(-)

commit 2a9d130ed207bb83dc4ac7ab4510b13e8d60f84d
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Mar 3 16:30:21 2011 -0500

    GtkScale: Normalize mark positions

    This is in preparation for making scale marks styling better.
    As a side-effect, TOP and LEFT position are treated the same now,
    as well as BOTTOM and RIGHT.

    Based on a patch by Bastien Nocera,
    https://bugzilla.gnome.org/show_bug.cgi?id=643685

 gtk/gtkscale.c |   66
 +++++++++++++++++++++++++++++--------------------------
 1 files changed, 35 insertions(+), 31 deletions(-)

commit a47a7abe23775815c55543d4a834452406441b86
Author: John (J5) Palmieri <johnp@redhat.com>
Date:   Thu Mar 3 16:06:28 2011 -0500

    [gi] don't skip gtk_menu_attach_to_widget, correctly annotate the
    async callback

 gtk/gtkmenu.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit cdf69b4bede018994230590acd856ab56465d09b
Author: John (J5) Palmieri <johnp@redhat.com>
Date:   Thu Mar 3 16:05:28 2011 -0500

    [gi] add missing annotations for signals that emit Gdk.Events

 gtk/gtkclipboard.c  |    2 +-
 gtk/gtkentry.c      |    6 +++---
 gtk/gtkstatusicon.c |    9 ++++++---
 gtk/gtkwidget.c     |    6 +++---
 4 files changed, 13 insertions(+), 10 deletions(-)

commit 57fa43d44b1b35b975c9b360a1961752bd0c7d0f
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Mar 3 13:48:34 2011 -0500

    Add a test for interpretation of mark positions

 tests/testscale.c |   25 +++++++++++++++++++++++++
 1 files changed, 25 insertions(+), 0 deletions(-)

commit 1442fe96949341e73a0fcda0d68197a35b86ee5e
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Mar 2 22:17:02 2011 -0500

    Don't distribute gdkconfig.h

    https://bugzilla.gnome.org/show_bug.cgi?id=643440

 gdk/Makefile.am |   13 ++++---------
 1 files changed, 4 insertions(+), 9 deletions(-)

commit a3883683e5abb0b7ae143a9f87d3bf7c1534ec9e
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Mar 2 20:07:36 2011 -0500

    Add GtkBuilder custom attributes for style classes

    GtkWidget now parses custom attributes like

      <style>
         <class name="dark-label"/>
         <class name="big-heading"/>
      </style>

    to add style classes to widgets.

    https://bugzilla.gnome.org/show_bug.cgi?id=643347

 gtk/gtkwidget.c |   87
 ++++++++++++++++++++++++++++++++++++++++++++++++++++--
 1 files changed, 83 insertions(+), 4 deletions(-)

commit 62fa7e803c2067e5f28e5cf1bdcaf04a9f8ce380
Author: Duarte Loreto <happyguy_pt@hotmail.com>
Date:   Wed Mar 2 23:48:34 2011 +0000

    Updated Portuguese translation

 po/pt.po | 2085
 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 1176 insertions(+), 909 deletions(-)

commit 7693804fcf74cfacfde70987a1df164094e5e962
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Mar 2 17:29:21 2011 +0100

    window: Add check for X11 window when calling x11 function

 gtk/gtkwindow.c |    9 ++++++---
 1 files changed, 6 insertions(+), 3 deletions(-)

commit 172f894120810f8e1bf2048adff5174018af72e1
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Mar 2 17:18:49 2011 +0100

    settings: Always use the same default values

    Set the Mac key theme when creating a Quartz settings object
    instead of
    having it the default when quartz is enabled.
    This keeps compatibility with the GTK2 behavior that the Mac key theme
    is not used for the X11 backend, which could now happen for a
    multi-backend build.

 gtk/gtksettings.c |   15 +++++++--------
 1 files changed, 7 insertions(+), 8 deletions(-)

commit e69badbcd1667de6999363f44b098ffd63077483
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Mar 2 17:02:51 2011 +0100

    settings: Keep the GtkSettings object identical no matter the backend

    Previously we were enabling some settings properties only if the X11
    backend was enabled. This worked fine with GTK2 where only one backend
    was enabled at a time, but now when multiple backends can be enabled,
    this does not make sense.

 gtk/gtksettings.c |   31 +++++++++++++------------------
 1 files changed, 13 insertions(+), 18 deletions(-)

commit 399dc74d74d4996da886e6fd1ecf0c8b3905eb05
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Mar 2 16:21:44 2011 +0100

    settings: Avoid a segfault when loading keyfile

    When the keyfile is loaded, no screen exists yet, so we need to vheck
    for that.

 gtk/gtksettings.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c844a24ae6209b916e8aaa0559f1c45643a255d2
Author: Tristan Van Berkom <tristan.van.berkom@gmail.com>
Date:   Tue Mar 1 19:41:15 2011 +0900

    Allow GtkAppChooser classes to be instantiated with content-type=NULL.

    Mostly for corner cases such as Glade that treats objects generically
    and needs to have an object that doesnt crash out of g_object_new().

 gtk/gtkappchooserbutton.c |   25 +++++++++++++------------
 gtk/gtkappchooserdialog.c |   37 ++++++++++++++++++++++---------------
 gtk/gtkappchooserwidget.c |   20 +++++++++++---------
 3 files changed, 46 insertions(+), 36 deletions(-)

commit 0e608f1b1f9003d2d53baad38a816bb4651859f2
Author: Leonid Kanter <leon@asplinux.ru>
Date:   Tue Mar 1 16:20:21 2011 +0200

    update Russian translation

 po/ru.po | 2966
 +++++++++++++++++++++++++-------------------------------------
 1 files changed, 1179 insertions(+), 1787 deletions(-)

commit 63c7701ca35d98b650ee419b2ff8b7336dee6f04
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Feb 28 19:24:29 2011 -0500

    Don't use GDK_NONE when GDK_SELECTION_CLIPBOARD is meant

 gtk/gtkentry.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 49c48546c870167f6a3af9bfdab631f8e8ccce4a
Author: Patricia Santana Cruz <patriciasc@openismus.com>
Date:   Mon Feb 28 17:54:31 2011 +0100

    Removed incorrect description's sentence.

    Description was wrong when it explained: "The two areas are separated
    by a GtkHSeparator.". These separators are not used any more.

    Fixes https://bugzilla.gnome.org/show_bug.cgi?id=643496

 gtk/gtkdialog.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 033bd235b7689799794b3c011cb15cbae6d561f1
Author: Michael Natterer <mitch@gimp.org>
Date:   Mon Feb 28 17:34:52 2011 +0100

    gdk: add precondition checks to many GdkDisplay functions

    instead of crashing in GDK_DISPLAY_GET_CLASS(NULL)->foo(NULL);

 gdk/gdkdisplay.c |   79
 +++++++++++++++++++++++++++++++++++++++++------------
 1 files changed, 61 insertions(+), 18 deletions(-)

commit 9707d8a3e679cef15106f7fc8406464dc2646a3f
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Feb 28 07:52:59 2011 -0500

    Don't assert on zero width/height in render functions

    We can just silently ignore those rendering calls.
    https://bugzilla.gnome.org/show_bug.cgi?id=643041

 gtk/gtkstylecontext.c |   61
 +++++++++++++++++++++++++++++-------------------
 1 files changed, 37 insertions(+), 24 deletions(-)

commit 8ee9e132e19aede0a0fd8c16ea038551451be527
Author: Michael Natterer <mitch@gimp.org>
Date:   Sun Feb 27 15:06:41 2011 +0100

    gdk: gdk_x11_device_xi2_get_state(): move stuff to local scope

 gdk/x11/gdkdevice-xi2.c |   15 ++++++++-------
 1 files changed, 8 insertions(+), 7 deletions(-)

commit 7e3c7e3aa36875988c80dc7c102cb9076de5f0b2
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Sun Feb 27 12:20:37 2011 +0200

    Uploaded Ukranian

 po-properties/uk.po |  424
 +++++++++++++++++++++++----------------------------
 1 files changed, 193 insertions(+), 231 deletions(-)

commit 7df2ce8eabe6eb9b466e978f0cec886bdc95c601
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Feb 26 22:13:06 2011 -0500

    Drop _gdk_x11_set_input_focus_safe

    All that this function did was to asynchronously catch errors.
    Since we have asynchronous error traps now, we can just use
    XSetInputFocus().

 gdk/x11/gdkasync.c       |   93
 ----------------------------------------------
 gdk/x11/gdkasync.h       |    4 --
 gdk/x11/gdkdisplay-x11.c |   13 ++++--
 gdk/x11/gdkwindow-x11.c  |   11 +++--
 4 files changed, 16 insertions(+), 105 deletions(-)

commit 3dc3767d0cf79b8733646d0fb7d5d9d637fe7fde
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Sat Feb 26 22:01:32 2011 +0200

    Uploaded Ukranian

 po-properties/uk.po | 4661
 ++++++++++++++++++++++++++++-----------------------
 1 files changed, 2605 insertions(+), 2056 deletions(-)

commit 2e192d01f11fc6da2d5aba092640d050e8776303
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Feb 26 00:23:47 2011 -0500

    List all available icons in Makefile.am

    This mismatch was causing e.g. gtk-caps-lock-warning.png to show
    up as missing image in entries.

 gtk/Makefile.am |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit 46cc85fd7e0ff20c83254713f1092e7207c788f8
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Feb 25 15:47:03 2011 -0500

    GtkSwitch: use regular activation

    GtkSwitch was listening for Space/Enter keyreleases itself, instead
    of providing an 'activate' action signal, like e.g GtkButton. As a
    side-effect, this fixes
    https://bugzilla.gnome.org/show_bug.cgi?id=643321

 gtk/gtkswitch.c |   51
 ++++++++++++++++++++++++++++++++++++---------------
 gtk/gtkswitch.h |    3 ++-
 2 files changed, 38 insertions(+), 16 deletions(-)

commit 6b91392afd2bf014cbd959a39640b9f56bd022c9
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Feb 25 14:37:57 2011 -0500

    GtkTrayIcon: chain up in dispose

    Pointed out in bug 643131

 gtk/gtktrayicon-x11.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit f85e80aadadbd5ff96e18c5669376278f84ab451
Author: Tristan Van Berkom <tristan.van.berkom@gmail.com>
Date:   Fri Feb 25 16:00:20 2011 +0900

    More patchwork for icon view subclasses that access the icon view
    api prematurely.

    In this patch we adress rows_reordered() and row_deleted() callbacks
    (since some icon view subclasses manipulate the connected treemodel
    from _init()).

 gtk/gtkiconview.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit 2408b1c59ee3f6c190f5bfcbd7f22520175f1aaf
Author: Tristan Van Berkom <tristan.van.berkom@gmail.com>
Date:   Fri Feb 25 14:53:12 2011 +0900

    More patchwork to ensure GtkIconView subclasses can use the icon
    view api
    from the subclass's instance structure initializer

 gtk/gtkiconview.c |   12 ++++++++----
 1 files changed, 8 insertions(+), 4 deletions(-)

commit 651410fa2a2c9c1e390ecbe384ea259f9bd319c8
Author: Carlos Garcia Campos <cgarcia@igalia.com>
Date:   Thu Feb 24 17:38:40 2011 +0100

    Copy event axes for double/triple click events in gdk_event_copy()

    Button event axes for double/triple click events are freed by
    gdk_event_free(), so copy them to avoid an invalid free when
    releasing a
    copied event.

 gdk/gdkevents.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 6c4196e9e4b66aef4054cca0597f9799654ae43a
Author: Federico Mena Quintero <federico@gnome.org>
Date:   Thu Feb 24 14:53:09 2011 -0600

    [GtkFileChooser] Fix initial selection when hidden files are shown

    We were breaking prematurely out of the loop that goes through
    each file that is pending selection; not only does that loop
    disable filtering and show hidden files if needed, but it also
    selects the files themselves.  So we need to walk the whole
    list of files.

    Signed-off-by: Federico Mena Quintero <federico@gnome.org>

    https://bugzilla.gnome.org/show_bug.cgi?id=643170

 gtk/gtkfilechooserdefault.c |   43
 +++++++++++++++++++++++++++++++------------
 1 files changed, 31 insertions(+), 12 deletions(-)

commit 4164a49b84d56b195e5eb88173e229d8fd7be0f2
Author: Tristan Van Berkom <tristan.van.berkom@gmail.com>
Date:   Thu Feb 24 16:05:41 2011 +0900

    Added documentation to "cell-area" construct-only properties.

    Indicate what kind of area will be used by default if none is
    provided by the user.

 gtk/gtkcellview.c        |    3 +++
 gtk/gtkcombobox.c        |    3 +++
 gtk/gtkentrycompletion.c |    3 +++
 gtk/gtkiconview.c        |    3 +++
 gtk/gtktreeviewcolumn.c  |    3 +++
 5 files changed, 15 insertions(+), 0 deletions(-)

commit 0b0f110152df40795f473c805afd8548facf7377
Author: Alexander Larsson <alexl@redhat.com>
Date:   Thu Feb 24 19:44:16 2011 +0100

    Avoid spurious emissions of monitors-changed

    The monitor change detection code in _gdk_x11_screen_size_changed()
    and
    process_monitors_change() goes to some length to make sure its
    only emitted
    when there is an actual change to the data visible via the GdkScreen
    monitors
    api.

    However, commit 662e69ad added some code that always emits
    "monitors-changed"
    in _gdk_x11_screen_size_changed when we have randr13 and get a
    ConfigureNotify
    on the root window (even though we may already have emitted it in the
    RRScreenChangesNotify event!).

    As far as I can tell this is due to a comment in the bug referenced
    by the
    commit (https://bugzilla.gnome.org/show_bug.cgi?id=601712#c4) where
    it says:

      This version of the patch changes GdkDisplay to emit
      "monitors-changed" when
      the primary monitor changes (see the change in
      _gdk_x11_screen_size_changed).

    And, if you remove this part of the change the signal is not emitted
    when just
    the primary is changed. However, this is not really the right
    approach. We
    should just also check for if the primary changes in
    process_monitors_change()
    to avoid spurious signal emissions.

    https://bugzilla.gnome.org/show_bug.cgi?id=643216

 gdk/x11/gdkscreen-x11.c |   14 ++++++++------
 1 files changed, 8 insertions(+), 6 deletions(-)

commit 66e23b3a3b0544d57b6cb3d0c471a54d7cc62f0d
Author: Klemen Košir <klemen.nna@gmail.com>
Date:   Thu Feb 24 17:23:23 2011 +0100

    Updated Slovenian translation

 po/sl.po |11652
 +++++++++++++++++++++++++++++++++++++-------------------------
 1 files changed, 6976 insertions(+), 4676 deletions(-)

commit db4fa1a9410b3d4ddebfc85826fd341785d00d30
Author: Tristan Van Berkom <tristan.van.berkom@gmail.com>
Date:   Wed Feb 23 22:07:27 2011 +0900

    Removed unused EXPOSE_EVENT enumeration from the GtkWidget signals.

 gtk/gtkwidget.c |    5 +----
 1 files changed, 1 insertions(+), 4 deletions(-)

commit 30f03a1c65c213fbe5f9d2d022878285a7a19736
Author: Tristan Van Berkom <tristan.van.berkom@gmail.com>
Date:   Wed Feb 23 21:58:48 2011 +0900

    Remove mention of GtkWidget::expose-event from docs in gtkwidget.c

 gtk/gtkwidget.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 4d76644f5c753874224d62c660ba96ec6c19c6f1
Author: Tristan Van Berkom <tristan.van.berkom@gmail.com>
Date:   Wed Feb 23 20:50:50 2011 +0900

    Add more defensive code to avoid accessing GtkIconView's cell area
    before it exists.

    Adding these cases here to cater to icon view subclasses that want to
    access icon view APIs from the instance structure initializer instead
    of properly waiting for the super class to initialize and adding
    renderers
    from the ->constructor() vfunc.

 gtk/gtkiconview.c |   87
 +++++++++++++++++++++++++++++++++++++---------------
 1 files changed, 62 insertions(+), 25 deletions(-)

commit 3ab4cb61e2ce5baf50b6236e679c398308e6dc11
Author: Christian Kirbach <Christian.Kirbach@googlemail.com>
Date:   Wed Feb 23 23:08:02 2011 +0100

    [l10n] Updated German translation

 po/de.po |  580
 ++++++++++++++++++++++++++++++++++++++------------------------
 1 files changed, 356 insertions(+), 224 deletions(-)

commit a95e4c5ee1b8d819f6f2a8245c8f6f75db094122
Author: Aron Xu <aronxu@gnome.org>
Date:   Wed Feb 23 17:19:35 2011 +0000

    Update Simplified Chinese translation.

 po-properties/zh_CN.po | 4837
 +++++++++++++++++++++++++++---------------------
 1 files changed, 2729 insertions(+), 2108 deletions(-)

commit 8d54fa7102e915cb03b272152417fe951e821c1a
Author: Murray Cumming <murrayc@murrayc.com>
Date:   Wed Feb 23 11:09:20 2011 +0100

    More tiny documentation typo fixes.

 gtk/gtkstylecontext.c  |    6 +++---
 gtk/gtkstyleprovider.c |    4 ++--
 2 files changed, 5 insertions(+), 5 deletions(-)

commit f91c04e2846de010871ee21389eb926dd18e065e
Author: Murray Cumming <murrayc@murrayc.com>
Date:   Wed Feb 23 10:26:21 2011 +0100

    Minor documentation improvements

    Mostly correcting it's to its and changing some , to .

 gdk/gdkwindow.c                   |    2 +-
 gdk/quartz/gdkeventloop-quartz.c  |    2 +-
 gdk/win32/gdkkeys-win32.c         |    2 +-
 gtk/gtkbuildable.c                |    2 +-
 gtk/gtkbutton.c                   |    4 ++--
 gtk/gtkcellarea.c                 |   34
 +++++++++++++++++-----------------
 gtk/gtkcellareabox.c              |    2 +-
 gtk/gtkcellareacontext.c          |    6 +++---
 gtk/gtkcellrenderer.c             |    4 ++--
 gtk/gtkcellview.c                 |    8 ++++----
 gtk/gtkcontainer.c                |    2 +-
 gtk/gtkentry.c                    |    2 +-
 gtk/gtkmenu.c                     |    2 +-
 gtk/gtkrange.c                    |    2 +-
 gtk/gtktestutils.c                |    2 +-
 gtk/gtktextview.c                 |    2 +-
 gtk/gtktoolpalette.c              |    4 ++--
 gtk/gtktreemenu.c                 |   12 ++++++------
 gtk/gtktreeviewcolumn.c           |    2 +-
 gtk/gtkwidget.c                   |    2 +-
 gtk/gtkwindow.c                   |    2 +-
 modules/other/gail/gailtreeview.c |    4 ++--
 tests/cellareascaffold.c          |    4 ++--
 23 files changed, 54 insertions(+), 54 deletions(-)

commit 31419f2026988ccb0170700b8a54bc78cc3250f7
Author: Murray Cumming <murrayc@murrayc.com>
Date:   Wed Feb 23 09:37:06 2011 +0100

    GdkDevice: Minor improvement to the overview documentation.

    The last paragraph still seems to be out of place though, as if it
    was a previous attempt at an overview or part of some older text
    elsewhere.

    This overuses the passive too.

 gdk/gdkdevicemanager.c |   16 ++++++++--------
 1 files changed, 8 insertions(+), 8 deletions(-)

commit 15a2cf4548db60888752c220a50d628890739362
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Feb 21 18:58:22 2011 -0500

    Post-release version bump to 3.0.2

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 753f372c0138a7563df15f474c99346a92eb6a87
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Feb 21 18:52:27 2011 -0500

    Remove more unwanted garbage

 po-properties/gtk20.pot   | 7184
 -------------------------------------------
 po-properties/gtk30.pot   | 7420
 ---------------------------------------------
 po-properties/messages.mo |  Bin 224944 -> 0 bytes
 3 files changed, 0 insertions(+), 14604 deletions(-)

commit c9f0d78775823c8be71a29be9d0550a21d8252c9
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Feb 21 18:41:46 2011 -0500

    Remove some unwanted garbage

 po-properties/1  | 2148
 ------------------------------------------------------
 po-properties/a  |    3 -
 po-properties/a~ |   47 --
 3 files changed, 0 insertions(+), 2198 deletions(-)

commit f90f84bbc33433f53aa574d29eaf897abc930f8c
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Feb 21 18:34:09 2011 -0500

    Fix distcheck

 modules/other/gail/Makefile.am |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit cfba3a8f40221815bff5a4032d3576f1277b1958
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Feb 21 18:09:57 2011 -0500

    Update NEWS

 NEWS |   43 +++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 43 insertions(+), 0 deletions(-)

commit 700276eae4089fd3441d64da3329b9436c697d88
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Feb 21 17:31:37 2011 -0500

    Don't export extra symbols for accessibility

 gtk/gtkseparatormenuitem.c |   16 ++++++++--------
 1 files changed, 8 insertions(+), 8 deletions(-)

commit 48ef37e489a9500cb9e46627ceac8c34286af8a3
Author: Alexander Shopov <ash@kambanaria.org>
Date:   Sun Jan 23 10:00:53 2011 +0200

    Updated Bulgarian translation

 po-properties/1           | 2148 +++++++++++++
 po-properties/a           |    3 +
 po-properties/a~          |   47 +
 po-properties/bg.po       | 4470 +++++++++++++++-------------
 po-properties/gtk20.pot   | 7184
 +++++++++++++++++++++++++++++++++++++++++++
 po-properties/gtk30.pot   | 7420
 +++++++++++++++++++++++++++++++++++++++++++++
 po-properties/messages.mo |  Bin 0 -> 224944 bytes
 po/bg.po                  | 2039 +++++++------
 8 files changed, 20380 insertions(+), 2931 deletions(-)

commit c0daaccd09787eaa821def6741a36493adf49fae
Author: A S Alam <aalam@users.sf.net>
Date:   Mon Feb 21 07:02:22 2011 +0530

    update Punjabi Translation by A S Alam

 po/pa.po |  547
 +++++++++++++++++++++++++++++++++++++++-----------------------
 1 files changed, 347 insertions(+), 200 deletions(-)

commit f598f75dfb82bcd2d7f2b69ec7a582743f42b0c5
Author: Marc-André Lureau <marcandre.lureau@redhat.com>
Date:   Mon Feb 21 01:44:35 2011 +0100

    gdk_cursor_new_from_pixmap: Fix gdk_display_is_closed call

    This was typoed in commit dfe6ba932ca798c53121f90b7d696b5d2231a179
    https://bugzilla.gnome.org/show_bug.cgi?id=642843

 gdk/x11/gdkcursor-x11.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 4a286010d34d0f113d0ffb5c81d9de5794058bea
Author: Benjamin Otte <otte@redhat.com>
Date:   Mon Feb 21 00:06:08 2011 +0100

    docs: Fix typo

 docs/reference/gtk/migrating-2to3.xml |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5f2ac56ec61f9967ca4441f1baec47fed0985c49
Author: Benjamin Otte <otte@redhat.com>
Date:   Sun Feb 20 23:42:43 2011 +0100

    docs: Replace pixmap use in migration guide with cairo surfaces

    Merge my patch for this with Matthias' previous patch and keep
    the best
    of both.

    https://bugzilla.gnome.org/show_bug.cgi?id=642677

 docs/reference/gtk/migrating-2to3.xml |   19 ++++++++++++-------
 1 files changed, 12 insertions(+), 7 deletions(-)

commit ff5d4e13dedf8f9496344ef46f0abb132dd86358
Author: Benjamin Otte <otte@redhat.com>
Date:   Sun Feb 20 23:35:16 2011 +0100

    textview: Remove x/y arguments from render_para() func

    We were only passing 0 anyway and it's easy to translate the cairo
    context in use instead of passing x/y coordinates.

 gtk/gtktextdisplay.c |   38 +++++++++++++++++---------------------
 1 files changed, 17 insertions(+), 21 deletions(-)

commit c647085e76c4986a97856b539773510e06c348c4
Author: Benjamin Otte <otte@redhat.com>
Date:   Sun Feb 20 23:29:49 2011 +0100

    textview: Translate the cairo context instead of keeping y value

    This avoids overflow when transforming a large value to a pango unit.
    To reproduce the problem:
    seq 200000 > test.txt && tets/print-editor test.txt
    Then scroll to around line 140.000 to see it (depends on font size of
    course).

 gtk/gtktextdisplay.c |   13 ++++++++-----
 1 files changed, 8 insertions(+), 5 deletions(-)

commit 608c1e40eb776f57c58350cbe55f239599391006
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Feb 20 17:03:45 2011 -0500

    Remove no-longer existing API from the migration guide

    Some parts of the migration guide were written before the demise
    of pixmaps, and still referred to pixmap API in their replacements.

 docs/reference/gtk/migrating-2to3.xml |   28 +++++++++++++++++-----------
 1 files changed, 17 insertions(+), 11 deletions(-)

commit acc01ac944e60be483801469094d25cefdb0d1b7
Author: Tor Lillqvist <tml@iki.fi>
Date:   Sun Feb 20 23:54:57 2011 +0200

    Tweak include order a bit to get around compilation errors

    wintab.h defines an INT() macro that interfers with some lines in
    commctrl.h.

 gdk/win32/gdkdevicemanager-win32.c |    5 +----
 gdk/win32/gdkevents-win32.c        |    2 +-
 2 files changed, 2 insertions(+), 5 deletions(-)

commit 14fcfd3f7a35b0b8dd5d358082868af7072f1572
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Feb 20 16:46:27 2011 -0500

    Fix spelling

    It is 'accessible', not 'accesible'.

 gtk/gtkaccessible.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 48b0a55775e3ccda3c933767808059be74b3a3d1
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Feb 20 16:44:26 2011 -0500

    React to is-focus change, not ignore it

    A very old bug, noticed in
    https://bugzilla.gnome.org/show_bug.cgi?id=642791

 gtk/gtksocket.c |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

commit bffd26e4762e0bc62b2ca5c7ce44d4f5a7ee522f
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sun Feb 20 18:48:11 2011 +0100

    Updated Spanish translation

 po-properties/es.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3379c52f65f9f10f03cfca5877385e176c054126
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sun Feb 20 18:47:10 2011 +0100

    Updated Spanish translation

 po-properties/es.po |   12 ++++++------
 1 files changed, 6 insertions(+), 6 deletions(-)

commit b9b07b2178408445d33b92c2c21cb107e768fb7f
Author: Jorge González <jorgegonz@svn.gnome.org>
Date:   Sun Feb 20 18:22:59 2011 +0100

    Updated Spanish translation

 po-properties/es.po |  132
 +++++++++++++++++++++++++--------------------------
 1 files changed, 65 insertions(+), 67 deletions(-)

commit 5b420c024d27d8366b7e84dd062e57ef27f989ba
Author: Bruce Cowan <bruce@bcowan.me.uk>
Date:   Sun Feb 20 17:02:13 2011 +0000

    Updated British English translation

 po-properties/en_GB.po | 2012
 +++++++++++++++++++++++++-----------------------
 po/en_GB.po            | 1025 ++++++++++++++-----------
 2 files changed, 1629 insertions(+), 1408 deletions(-)

commit 00f960f5b644039888bec2fc10e5585bfa4a1d7d
Author: Gabor Kelemen <kelemeng@gnome.hu>
Date:   Sun Feb 20 15:55:58 2011 +0100

    Updated Hungarian translation

 po/hu.po | 1370
 +++++++++++++++++++++++++++++++++++++-------------------------
 1 files changed, 812 insertions(+), 558 deletions(-)

commit 1fb88120824d2fd21b3d073462a5eaaee43542f9
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Feb 20 09:46:42 2011 -0500

    Correctly treat GdkColor properties

    Noticed by Daniel Garcia,
    https://bugzilla.gnome.org/show_bug.cgi?id=642782

 modules/other/gail/libgail-util/gailmisc.c |   10 ++++++----
 1 files changed, 6 insertions(+), 4 deletions(-)

commit 5e5f232e789c55af7500588ccee12b58ef124b9c
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Sun Feb 20 14:02:24 2011 +0100

    Updated Spanish translation

 po-properties/es.po |  926
 +++++++++++++++++++++++++-------------------------
 1 files changed, 463 insertions(+), 463 deletions(-)

commit 8e6932f46ef1e1369dff48ed9cccae2c8de6aa17
Author: Tor Lillqvist <tml@iki.fi>
Date:   Sun Feb 20 01:39:13 2011 +0200

    Handle emulated keyboard input that arrives as VK_PACKET

    Fixes bug #642772. Thanks to the anonymous bug reporter for providing
    a test program.

 gdk/win32/gdkevents-win32.c |   16 ++++++++++------
 1 files changed, 10 insertions(+), 6 deletions(-)

commit 50233edbc9627942291334f892389f7ee4d60742
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Feb 19 13:47:43 2011 -0500

    Replace GtkStyle uses from migration guide examples

    Part of https://bugzilla.gnome.org/show_bug.cgi?id=642677

 docs/reference/gtk/migrating-2to3.xml |   21 +++++++++++----------
 1 files changed, 11 insertions(+), 10 deletions(-)

commit 5cb6beec5439432d8b2b9253df97bb1ccce03a8e
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Feb 19 13:34:42 2011 -0500

    Fix a typo

    https://bugzilla.gnome.org/show_bug.cgi?id=642751

 docs/reference/gtk/migrating-2to3.xml |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1a645d4e615cfff5dfe7da2064fb7d07f8f8818b
Author: Andre Klapper <a9016009@gmx.de>
Date:   Sat Feb 19 19:33:21 2011 +0100

    Fix typo

 po/de.po |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2180267f5d4c7c400180dd2dd418e795d92c914f
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Feb 19 13:31:50 2011 -0500

    Plug a memleak in the tracker search engine

    Patch by Vincent Untz,
    https://bugzilla.gnome.org/show_bug.cgi?id=642771

 gtk/gtksearchenginetracker.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 84b259d0768e6fcccb5e5d2b0ed05c9bd3beaab1
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Feb 19 13:27:51 2011 -0500

    Make gtk_combo_box_text_get_active_text() behave as documented

    If there is an entry, it is supposed to return the contents
    of the entry. Pointed out by Allin Cottrell,
    https://bugzilla.gnome.org/show_bug.cgi?id=642681

 gtk/gtkcomboboxtext.c |   20 ++++++++++++++------
 1 files changed, 14 insertions(+), 6 deletions(-)

commit 8d9144a0c4d4a8f8a997d439e4c0486718e04956
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Feb 19 08:34:21 2011 -0500

    Use the correct function to free boxed GdkColors

    This fixes a segfault in gtk3-demo when running under accerciser.

 modules/other/gail/gailtextcell.c |   34
 +++++++++++++++++-----------------
 1 files changed, 17 insertions(+), 17 deletions(-)

commit d1fbb52eb4827d3629db8ece47413db9ad0cbd38
Author: Javier Jardón <jjardon@gnome.org>
Date:   Fri Feb 18 22:17:04 2011 +0000

    docs: migrating-2to3: improve cross-reference

 docs/reference/gtk/migrating-2to3.xml |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 5a987c314bc41af1bec8f87c02bfd02da4fc5e29
Author: Javier Jardón <jjardon@gnome.org>
Date:   Fri Feb 18 22:09:40 2011 +0000

    docs: migrating-2to3: Make the examples look prettier

 docs/reference/gtk/migrating-2to3.xml |   60
 ++++++++++++++++----------------
 1 files changed, 30 insertions(+), 30 deletions(-)

commit 6d3b8c2c6b44b9a5f17480c24b5af957c9a3ce3c
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Feb 17 23:06:33 2011 -0500

    GtkSwitch: Add an AtkAction implementation

 gtk/gtkswitch.c |  127
 ++++++++++++++++++++++++++++++++++++++++++++++++++++--
 1 files changed, 122 insertions(+), 5 deletions(-)

commit 163f0daf6a4baa19798ae450076f620ca1e1f639
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Feb 17 21:55:54 2011 -0500

    GtkSwitch: Use ATK_DEFINE_TYPE properly

 gtk/gtkswitch.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit edeb6aaf88e5985187a33207b61ded9e0dd0fa6f
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Feb 17 21:00:35 2011 -0500

    Hypertext does not really make sense for GtkLinkButton

    Instead, implement HyperLinkImpl and return the single link
    object. This commit also adds an AtkAction implementation
    for the link object.

 modules/other/gail/gaillinkbutton.c |  145
 +++++++++++++++++++++++++---------
 1 files changed, 106 insertions(+), 39 deletions(-)

commit d6e3855f95c8e7c442e84ac0bd6b3b40b6c08190
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Feb 17 19:06:19 2011 -0500

    GailEntry: remove idle if cell editing is canceled

    This avoids warnings when cell editing is interrupted e.g. by
    adding or removing a row.

 modules/other/gail/gailentry.c |    6 +-----
 1 files changed, 1 insertions(+), 5 deletions(-)

commit f3687a9490a6b8646c75abeccc363e3c39ca21e2
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Feb 17 19:06:19 2011 -0500

    GailEntry: remove idle if cell editing is canceled

    This avoids warnings when cell editing is interrupted e.g. by
    adding or removing a row.

 modules/other/gail/gailentry.c |   12 ++++++++++++
 1 files changed, 12 insertions(+), 0 deletions(-)

commit 0127d0bbc7850e0c0793a731b0c63d70cec798a9
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Feb 17 18:49:01 2011 -0500

    gtk-demo: plug a memleak in the editable cells demo

 demos/gtk-demo/editable_cells.c |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit e7d4d77093c7bf09e9839b4c19c390625a11df5f
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Feb 17 18:34:28 2011 -0500

    Fix a memory leak with file chooser previews

 gtk/gtkfilechooserdefault.c |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit d93934ba6c4e0412ca0314d3a92c7ad98a1574fd
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Feb 17 16:40:00 2011 -0500

    gtk-demo: Make the menu example work again

 demos/gtk-demo/menus.c |   44
 +++++++-------------------------------------
 1 files changed, 7 insertions(+), 37 deletions(-)

commit c9b152ec715387030db0911c805a8e4cb1ba994c
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Feb 17 15:56:52 2011 -0500

    Remove a leaking get_name implementation

    This was leaking a lot of memory; just rely on atk_object_get_name.

 gtk/gtkiconview.c |   29 ++++-------------------------
 1 files changed, 4 insertions(+), 25 deletions(-)

commit 91b8417d3564cf4ec1002d9d1149216ad4b5b3b7
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Feb 17 15:54:50 2011 -0500

    Don't leak the GDir in the iconview example

 demos/gtk-demo/iconview.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 3f78b251b99f8bb301dae92ad94b6d1a6f66be96
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Thu Feb 17 20:43:31 2011 +0100

    Free event axes for double/triple click events.

    The button event axes are copied over when synthesizing
    these events, so free them as well in gdk_event_free().

 gdk/gdkevents.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 3100b76ba946090059142c7f61cd091b3a32ad82
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Thu Feb 17 20:04:29 2011 +0100

    Fix parsing of color names containing numbers

    They were being defined correctly through @define-color
    in CSS, but parsing failed at the moment of creating
    GtkSymbolicColors depending on these.

 gtk/gtkcssprovider.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit bdacdfb78b6ba84e6e9fd063acba8b060e697358
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Feb 17 13:29:59 2011 -0500

    Check if the accessible is actually an AtkAction

 gtk/gtkwidget.c |   53
 +++++++++++++++++++++++++++++------------------------
 1 files changed, 29 insertions(+), 24 deletions(-)

commit ba6107d39ae155bab086f3d2673e047f64571a51
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Feb 17 13:20:27 2011 -0500

    GailProgressBar: make value setters work

 modules/other/gail/gailprogressbar.c |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 3e4780b2e6f64d677287e911e3722bd598d109b8
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Feb 17 13:17:09 2011 -0500

    Add forgotten include

 modules/other/gail/gail.h |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 13d717e2cec948626dde933d1fa420e1e84be0dd
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Feb 17 12:35:07 2011 -0500

    Fix includes in gtkassistant.c

    Also fix a bad case in gtk_assistant_accessible_get_n_children.

 gtk/gtkassistant.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 7bddfb579091885f4d3a6d2275f4e243036a07f4
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Feb 17 12:25:23 2011 -0500

    GtkAssistant: Use _gtk_accessible_set_factory_type

 gtk/gtkassistant.c |   20 ++------------------
 1 files changed, 2 insertions(+), 18 deletions(-)

commit 169282959410c23d63db0a7ded81567ea7918120
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Feb 17 11:51:16 2011 -0500

    GtkGrid: Avoid problems with uninitialized memory

    valgrind complained about these, and they make for bad size allocation
    and the occasional crash.

 gtk/gtkgrid.c |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit da93864f5859e3811a4bd49072ba334a5ca8323a
Author: Runa Bhattacharjee <runab@redhat.com>
Date:   Thu Feb 17 20:31:19 2011 +0530

    Updated Bengali India Translation

 po/bn_IN.po | 2693
 ++++++++++-------------------------------------------------
 1 files changed, 440 insertions(+), 2253 deletions(-)

commit 515f0a47a9b555824d5010966716949287296d58
Author: Runa Bhattacharjee <runab@redhat.com>
Date:   Thu Feb 17 20:02:47 2011 +0530

    Updated Bengali India Translation

 po/bn_IN.po | 2587
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 files changed, 2581 insertions(+), 6 deletions(-)

commit af0db9188a44b74121492be6bfc49a256c9f1a86
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Feb 17 07:10:31 2011 -0500

    Add a AtkHypertext implementation for GtkLinkButton

    https://bugzilla.gnome.org/show_bug.cgi?id=586201

 modules/other/gail/Makefile.am      |    1 +
 modules/other/gail/gail.c           |    2 +
 modules/other/gail/gaillinkbutton.c |  188
 +++++++++++++++++++++++++++++++++++
 modules/other/gail/gaillinkbutton.h |   53 ++++++++++
 4 files changed, 244 insertions(+), 0 deletions(-)

commit 64934a762311630e2a9146ee1c8ddab3c040d24d
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Feb 17 09:33:07 2011 +0000

    m4: Fix GTK_CHECK_BACKEND() to also check for a minimum version

    This should make the macro slightly more useful.

    Update the documentation mentioning the macro as well.

 docs/reference/gtk/compiling.sgml     |    7 ++++---
 docs/reference/gtk/migrating-2to3.xml |    2 +-
 m4macros/gtk-3.0.m4                   |   29
 ++++++++++-------------------
 3 files changed, 15 insertions(+), 23 deletions(-)

commit a88a1fc8324eee0cfd809674c68b8cb846e14702
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Thu Feb 17 09:24:25 2011 +0000

    Build fix in GtkSeparatorMenuItem

    https://bugzilla.gnome.org/show_bug.cgi?id=642541

 gtk/gtkseparatormenuitem.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ed901afe37b308d6d88aa68a9336357156ed014e
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Feb 17 01:34:10 2011 -0500

    Use _gtk_accessible_set_factory_type in GtkSeparatorMenuItem

 gtk/gtkseparatormenuitem.c |   24 ++++--------------------
 1 files changed, 4 insertions(+), 20 deletions(-)

commit 221415f71fd8975f57f5b7b114046cbe929fca1b
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Feb 17 01:32:24 2011 -0500

    Use _gtk_accessible_set_factory_type in GtkSwitch

 gtk/gtkswitch.c |   23 +++--------------------
 1 files changed, 3 insertions(+), 20 deletions(-)

commit e757d1b2d28b5921736eef31cd61cd4e21074e8d
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Feb 17 01:30:33 2011 -0500

    Use _gtk_accessible_set_factory_type for GtkIconView

 gtk/gtkiconview.c |   25 ++++---------------------
 1 files changed, 4 insertions(+), 21 deletions(-)

commit 9d321437b664f6909011c59837739d8bce4863f4
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Feb 17 01:24:43 2011 -0500

    Add a private function for accessible factory registration

    This avoids repeating the same code for each widget that
    has its own accessible implementation inside GTK+.

 gtk/Makefile.am            |    1 +
 gtk/gtkaccessible.c        |   31 +++++++++++++++++++++++++++++++
 gtk/gtkaccessibleprivate.h |   31 +++++++++++++++++++++++++++++++
 3 files changed, 63 insertions(+), 0 deletions(-)

commit 4a4004b7067fcde4cdb1423e403dd31d27f3f338
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Feb 17 00:44:26 2011 -0500

    Add an a11y implementation to GtkSeparatorMenuItem

    Its all boilerplate, and it more than doubles the line count.
    Yay :-(

 gtk/gtkseparatormenuitem.c |   98
 ++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 98 insertions(+), 0 deletions(-)

commit fd069132fdb2e3ca54b930cd76dd32267db9e66c
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Feb 16 23:56:33 2011 -0500

    ifdef X11-specific parts in gail

    GTK_IS_PLUG() and GTK_IS_SOCKET() now need this protection.
    https://bugzilla.gnome.org/show_bug.cgi?id=642263

 modules/other/gail/gail.c         |    4 ++++
 modules/other/gail/gailtoplevel.c |   12 ++++++++----
 modules/other/gail/gailwindow.c   |    2 ++
 3 files changed, 14 insertions(+), 4 deletions(-)

commit 14cd22996d2411d53254b1fe2a4ef1deea42e5ff
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Feb 16 23:30:21 2011 -0500

    Remove a bunch of crazy code from gail

    ...and replace it with only slightly less crazy code.
    No need to create an destroy hash tables for each key press.

 modules/other/gail/gailutil.c |   94
 +++++++++++++++++++++++-----------------
 1 files changed, 54 insertions(+), 40 deletions(-)

commit 292e23f5158cd4a4e2b6596413c2c4b9498ed366
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Feb 16 23:26:36 2011 -0500

    Forgotten file

 modules/other/gail/gailchecksubmenuitem.c |   25
 ++++++++++++++-----------
 1 files changed, 14 insertions(+), 11 deletions(-)

commit 66db0d698a4afaafe959c9f8ec90c9ef6e43d01d
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Feb 16 22:57:25 2011 -0500

    gail: Fix the atk_add_key_event_listener implementation

    Based on a patch by Alejandro Piñeiro Iglesias,
    https://bugzilla.gnome.org/show_bug.cgi?id=599907

 modules/other/gail/gailutil.c |   10 ++++++----
 1 files changed, 6 insertions(+), 4 deletions(-)

commit 47579790755cabfc81b99010af3e81085304cc9a
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Feb 16 22:35:16 2011 -0500

    gail: support indeterminate state of check menuitems

    Patch by Szilárd Pfeiffer
    https://bugzilla.gnome.org/show_bug.cgi?id=626730

 modules/other/gail/gailcheckmenuitem.c |   25 ++++++++++++++-----------
 1 files changed, 14 insertions(+), 11 deletions(-)

commit f74632993341828b09f955d62471b731b06276af
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Feb 16 21:58:10 2011 -0500

    Fix gailstatusbar problems

    Reported in https://bugzilla.gnome.org/show_bug.cgi?id=630971

 modules/other/gail/gailstatusbar.c |   16 +++++++++++++++-
 1 files changed, 15 insertions(+), 1 deletions(-)

commit 405b54c72e35dba0ec47c28f123af3438969f6df
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Feb 16 18:46:44 2011 -0500

    Check the return value of gtk_tree_model_get_iter

    Noticed in passing, didn't really see it crash there, but
    better safe than sorry.

 gtk/gtktreeview.c |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

commit 0c3da06a62bea69cb34ab80205644fa25856b019
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Feb 16 18:40:14 2011 -0500

    gtk_tree_model_filter_row_deleted: don't emit signals too early

    gtk_tree_model_filter_row_deleted was emitting ::row-deleted while
    the internal state of the model was still in disarray, causing
    segfaults e.g. when mapping the file chooser with accessibility
    turned on. This is just a bandaid fix, and doesn't try address
    any of the deeper problems of the filter model code.

    I did take the time to reduce rampant variable shadowing in that
    function, though.

 gtk/gtktreemodelfilter.c |   59
 +++++++++++++++++++++++++---------------------
 1 files changed, 32 insertions(+), 27 deletions(-)

commit 32298832ed70d5ac7836d46de3df0049b37a3eec
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Feb 16 15:53:20 2011 +0000

    Allow checking for GDK backends

    Now that a single shared object can contain multiple backends we also
    need to provide a simple way for third party code to verify that the
    copy of GDK they are linking to supports their backend.

    The simplest way to verify is an m4 macro, GTK_CHECK_BACKEND(),
    shipped
    with the gtk+ m4 macros.

    The usage is pretty basic:

      GTK_CHECK_BACKEND([x11], [gtk_has_x11=yes], [gtk_has_x11=no])
      AM_CONDITIONAL(BUILD_X11_CODE, test "x$gtk_has_x11" = "xno")

    https://bugzilla.gnome.org/show_bug.cgi?id=642479

 docs/reference/gtk/compiling.sgml     |   28 ++++++++++++++++++++++++++++
 docs/reference/gtk/migrating-2to3.xml |   13 +++++++++++++
 m4macros/gtk-3.0.m4                   |   32
 ++++++++++++++++++++++++++++++++
 3 files changed, 73 insertions(+), 0 deletions(-)

commit 68d176d80bf148f7a391dbc73fb0c9ee4111fa9f
Author: Michael Natterer <mitch@gimp.org>
Date:   Wed Feb 16 18:39:33 2011 +0100

    gtk: don't always invalidate spinbuttons on each leave_notify()

    but only when an arrow was prelighted. Also, chain up unconditonally
    in enter_notify() and leave_notify() because GtkEntry implements them
    too.

 gtk/gtkspinbutton.c |   17 +++++++----------
 1 files changed, 7 insertions(+), 10 deletions(-)

commit 97d1f1d16f5ddb185eec3aaf7c8387216d73f095
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Wed Feb 16 07:30:59 2011 +0200

    Uploaded Ukranian

 po/uk.po | 2129
 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 1198 insertions(+), 931 deletions(-)

commit 9799519555bbe47051864500bdabd08fa632ecd1
Author: Daniel Korostil <ted.korostiled@gmail.com>
Date:   Tue Feb 15 21:57:17 2011 +0200

    Updated Ukranian

 po/uk.po |  448
 +++++++++++++++++++++++++++++++-------------------------------
 1 files changed, 221 insertions(+), 227 deletions(-)

commit f04504ac94741171ac63de04a8bd29cbe210427a
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Feb 14 13:20:33 2011 -0500

    Allow custom icon size in gtk_render_icon_pixbuf()

    Pointed out in bug 642213.

 gtk/gtkstylecontext.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b1a0a08d946eece89260570288e3f0890ad3f1f7
Author: Javier Jardón <jjardon@gnome.org>
Date:   Sun Feb 13 14:21:12 2011 +0000

    testgtk: Fix compilation warning

 tests/testgtk.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 3842399b7020b8b725039c87333e065779e3ee97
Author: Javier Jardón <jjardon@gnome.org>
Date:   Sun Feb 13 12:09:52 2011 +0000

    configure.ac: Remove fd_set checks

    fd_set uses were removed in GTK+ 2.2

 configure.ac |   20 --------------------
 1 files changed, 0 insertions(+), 20 deletions(-)

commit a3f52949c421000c6fb5f3b5b6b4995bb866554b
Author: Martin Nordholts <martinn@src.gnome.org>
Date:   Tue Feb 1 23:07:21 2011 +0100

    Bug 633291 - Handle Shift-keys in X11 gdk_test_simulate_key()

    If a level 1 key maps to a key value passed to
    gdk_test_simulate_key(), raise the GDK_SHIFT_MASK flag so the reqested
    key value is generated. Also add a regression test for this fix.

 gdk/x11/gdktestutils-x11.c |    9 +++++++--
 gtk/tests/testing.c        |   41
 +++++++++++++++++++++++++++++++++++++++++
 2 files changed, 48 insertions(+), 2 deletions(-)

commit 932ab55c65fbb6cb7590512a4f3ae2d2770d0ba5
Author: Javier Jardón <jjardon@gnome.org>
Date:   Sun Feb 6 22:36:58 2011 +0000

    configure.ac: Use AC_CONFIG_COMMANDS instead deprecated
    AC_OUTPUT_COMMANDS

 configure.ac |    8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)

commit dffc96a2416f766b02dc5257cb7c8e2c216ef937
Author: Javier Jardón <jjardon@gnome.org>
Date:   Sun Feb 6 22:26:02 2011 +0000

    configure.ac: Use AC_PREPROC_IFELSE instead deprecated AC_TRY_CPP

 configure.ac |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit efeade2a06dbf24343a378c9384a2eeaf1739755
Author: Javier Jardón <jjardon@gnome.org>
Date:   Sun Feb 6 22:19:23 2011 +0000

    configure.ac: Use AC_RUN_IFELSE instead deprecated AC_TRY_RUN

 configure.ac |   30 ++++++++++++++----------------
 1 files changed, 14 insertions(+), 16 deletions(-)

commit d5872527e5014ffb670b0421cbd5d2ad2fc0f14a
Author: Javier Jardón <jjardon@gnome.org>
Date:   Sun Feb 6 22:10:21 2011 +0000

    configure.ac: Use AC_LINK_IFELSE instead deprecated AC_TRY_LINK

 configure.ac |   43 ++++++++++++++++++++++---------------------
 1 files changed, 22 insertions(+), 21 deletions(-)

commit 8c4d8c1aed0839aca5fa8cdeef120f971c99579f
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Sun Feb 13 17:51:49 2011 +0700

    Updated Vietnamese translation

 po/vi.po |  153
 +++++++++++++++++++++++++++++---------------------------------
 1 files changed, 72 insertions(+), 81 deletions(-)

commit 48819b4de78766032eefd56d5861256cba1bd194
Author: Nguyễn Thái Ngọc Duy <pclouds@gmail.com>
Date:   Sun Feb 13 17:40:54 2011 +0700

    po/vi.po: import from Damned Lies

 po/vi.po | 2170
 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 1237 insertions(+), 933 deletions(-)

commit 33a46dd55310b7d668876568eadcdcd2af6a75f1
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Feb 12 22:07:37 2011 +0100

    gdk: Select the X11 backend a the last possible backend

    On Windows and OS X we want to prefer the native backends over the X11
    backend.
    On Linux, nothing changes as nobody is going to enable those backends
    (and if they do, they'll know what they get).

 gdk/gdkdisplaymanager.c |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit 9f5c734e146baac0d21dfacf2b757f8dfaf6aed9
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Feb 12 22:03:08 2011 +0100

    doc: Document the GDK_BACKEND environment variable

 docs/reference/gtk/running.sgml |   28 ++++++++++++++++++++++++++++
 1 files changed, 28 insertions(+), 0 deletions(-)

commit a1d96af9ed87c754b8291c05aee9ed0945120f6e
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Feb 12 21:50:52 2011 +0100

    colorsel: Remove WINDOWING ifdef

    That one was leftover from the times when GDK didn't allow pointer
    warping and we had an X11-specific solution.

 gtk/gtkcolorsel.c |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 81229e737a5d1e8262ce9360beaee6b8aa878c44
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Sun Feb 13 04:53:59 2011 +0900

    Update Korean translation

 po/ko.po |  312
 ++++++++++++++++++++++++++++++++++++++++++++++----------------
 1 files changed, 231 insertions(+), 81 deletions(-)

commit 9f12cc3dcd7e56cb7f500c24b302e158dc47bea5
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Feb 12 09:12:36 2011 -0500

    Protect x11-specific functions in gtktypefuncs.c

    This is just a bandaid fix, we really need to systematically collect
    type functions for all backends.

 gtk/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 3138c3ddcbe9b2566cd1921711d44b9ecaadcc97
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Feb 12 08:26:21 2011 -0500

    No GTK_ENABLE_BROKEN anymore

    We stopped shipping broken stuff...

 gtk/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 799c3e4e57a4d7c17a6998d8fafb1cfc988389f6
Author: danigm <danigm@wadobo.com>
Date:   Fri Feb 11 00:59:19 2011 +0100

    gail: Fixing little bug, gail_misc_add_attribute returns the new
    attrib_set

     Some calls to gail_misc_add_attribute doesn't assing the return
     valute to attrib_set, so the attrib_set never get modified.

 modules/other/gail/libgail-util/gailmisc.c |   48
 ++++++++++++++--------------
 1 files changed, 24 insertions(+), 24 deletions(-)

commit d05d92451604f7fd24c390571d1df6cdc9f31400
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Feb 12 07:59:25 2011 -0500

    Silence more compiler warnings

 tests/testcombo.c         |    2 --
 tests/testexpand.c        |   10 ----------
 tests/testfilechooser.c   |    3 +--
 tests/testgtk.c           |   15 +++++++--------
 tests/testnouiprint.c     |   12 ++++--------
 tests/testrecentchooser.c |    3 +--
 6 files changed, 13 insertions(+), 32 deletions(-)

commit bfd66fe3a38353508a4b084610b6e06608619162
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Feb 11 23:59:42 2011 -0500

    Quell compiler warnings

 tests/simple.c |   33 +++++++++++++++------------------
 1 files changed, 15 insertions(+), 18 deletions(-)

commit 086f266767ad06ebca7cf1487de8e29d4eddf61a
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sat Feb 12 13:44:48 2011 +0100

    Updated Norwegian bokmål translation.

 po/nb.po |  106
 +++++++++++++++++++++++++++++--------------------------------
 1 files changed, 50 insertions(+), 56 deletions(-)

commit c526c1bf76882a88c2ae3a8a92e0b0278c4e4761
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Sat Feb 12 11:39:17 2011 +0200

    Updated Hebrew translation

 po/he.po |  767
 +++++++++++++++++++++++++++++++++++++-------------------------
 1 files changed, 454 insertions(+), 313 deletions(-)

commit 5a86445538dab067b18ebdda7592e3ca2ef4d0cd
Author: Abduxukur Abdurixit <abdurixit@gmail.com>
Date:   Sat Feb 12 08:18:25 2011 +0100

    Added UG translation

 po/ug.po | 1015
 +++++++++++++++++++++++++++++++++++---------------------------
 1 files changed, 577 insertions(+), 438 deletions(-)

commit 10ebea8c037ffa921e4eb0a29e5d61633e93eb8e
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Feb 11 23:53:39 2011 -0500

    Use standard icon names

 tests/teststatusicon.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 728a45fc1fbdf5417c6b9c82ac9418e2b5d8d0ca
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Feb 11 23:30:01 2011 -0500

    Remove confusion over XI2 defines

    Some places were using XINPUT_2, others XINPUT_XI2. Since configure
    defines XINPUT_2, use that throughout.

 gdk/x11/gdkdevice-xi2.c        |    4 ++--
 gdk/x11/gdkdevicemanager-xi2.c |   10 +++++-----
 gdk/x11/gdkprivate-x11.h       |    4 ++--
 3 files changed, 9 insertions(+), 9 deletions(-)

commit de9a082ddbc9a0107ef677e9f18a01966d3aa10f
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Feb 12 01:27:40 2011 +0100

    x11: Make headers identical no matter if we run with or without XI2

    Previously we weren't installing the device headers when compiling
    without XINPUT support. But we would include them from gdkx.h, so
    essentially the build was broken.

    With this patch the types will exist but not do anything.

 gdk/x11/Makefile.am            |   30 ++++++++-------------------
 gdk/x11/gdkdevice-xi.c         |   25 +++++++++++++++++++++-
 gdk/x11/gdkdevice-xi2.c        |   24 ++++++++++++++++++++-
 gdk/x11/gdkdevicemanager-xi.c  |   34 +++++++++++++++++++++++++++----
 gdk/x11/gdkdevicemanager-xi2.c |   43
 +++++++++++++++++++++++++++++++--------
 5 files changed, 117 insertions(+), 39 deletions(-)

commit 30abd4d8b5be924e3de5bb3d70aad87d8e17e017
Author: Benjamin Otte <otte@redhat.com>
Date:   Sat Feb 12 00:16:03 2011 +0100

    x11: Fix struct definition for GdkDeviceManagaerXI2

 gdk/x11/gdkdevicemanager-xi2.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ac6c6b03d9fcaadfa52f64c23ca8ca4e0a5e669e
Author: Benjamin Otte <otte@redhat.com>
Date:   Fri Feb 11 23:53:48 2011 +0100

    gtk: Fix warnings for dnd code without XInput

 gtk/gtkdnd.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit e9ff457a402022b12bea2158e61cef5b1921577b
Author: Benjamin Otte <otte@redhat.com>
Date:   Fri Feb 11 23:53:14 2011 +0100

    x11: Make the device manager struct actually subclass the correct
    device

 gdk/x11/gdkdevicemanager-xi2.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ccc3679a6221f99e85648ec05e818a4437f911f5
Author: Benjamin Otte <otte@redhat.com>
Date:   Wed Feb 9 14:40:04 2011 +0100

    stylecontext: Use the common approach for priate pointers

    Has two advantages:
    1) consistency
    2) "print *context->priv" actually works in gdb

 gtk/gtkstylecontext.c |    3 +--
 gtk/gtkstylecontext.h |    3 ++-
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 0bd0854d4d48695a671a1e12f36b77ef9e3ed23f
Author: Benjamin Otte <otte@redhat.com>
Date:   Thu Feb 10 13:58:07 2011 +0100

    icontheme: constify arguments to gtk_icon_theme_load_symbolic()

 gtk/gtkicontheme.c |   16 ++++++++--------
 gtk/gtkicontheme.h |    8 ++++----
 2 files changed, 12 insertions(+), 12 deletions(-)

commit b1f2e5bfa315872250550593fbe8c8a00397ca31
Author: Benjamin Otte <otte@redhat.com>
Date:   Fri Feb 11 23:19:25 2011 +0100

    x11: Fix build without Xinput

    Missing ifdefs

 gdk/x11/gdkprivate-x11.h |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit 63b415df92b6bf976006330ad21f0244c49bccc2
Author: Colin Walters <walters@verbum.org>
Date:   Fri Feb 11 12:39:07 2011 -0500

    docs: Link to all versions of both GTK3 and GTK2

    Now that library supports both cleanly, fix the links so that
    the user can go from the online doc to any version better.

 docs/reference/gdk/gdk-docs.sgml |    8 +++-----
 docs/reference/gtk/gtk-docs.sgml |    8 +++-----
 2 files changed, 6 insertions(+), 10 deletions(-)

commit d847f489f04fc8343b364b9e66129f40b248f523
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Feb 11 18:41:22 2011 +0800

    Win32 Visual C++ Support: Some more clean-ups

    Update gtk+.vsprops...

    Since gdkconfig.h should now reside in gdk/, there
    is no longer need to create a lib/gtk-3.0/include folder.

 build/win32/vs9/gtk+.vsprops |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 7cb41b65617a34b12148094a32bcfb2854d97ba6
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Feb 11 18:05:16 2011 +0800

    gdk/gdkconfig.h.win32: Make it more up-to-date

    Make this pre-configured file to be more like the one used by the
    existing
    X11 version, but using GDK_WINDOWING_WIN32 for obvious reasons.

 gdk/gdkconfig.h.win32 |   33 ++++++++++++---------------------
 1 files changed, 12 insertions(+), 21 deletions(-)

commit 1865011b7fe884ecef4bbca93de6fd0d34bd9209
Author: Michael Natterer <mitch@gimp.org>
Date:   Fri Feb 11 10:35:25 2011 +0100

    gtk: don't send BUTTON_RELEASE to unrealized widgets

    which happened when the source widget was hidden or destroyed while a
    drag was going on, like when dragging from a popup that got a grab
    broken as result of the dnd operation.

 gtk/gtkdnd.c |   47 +++++++++++++++++++++++++----------------------
 1 files changed, 25 insertions(+), 22 deletions(-)

commit bba7a98cc63162b694ee6d0eff3e81a83ab90b88
Author: Chun-wei Fan <fanchunwei@src.gnome.org>
Date:   Fri Feb 11 17:45:32 2011 +0800

    Visual C++ support: Fix the gdk-win32 Project

    Apparently I previously had one of the source files wrong here...
    Update this to reflect the correct file.
    My fault for not seeing this earlier-sorry.  DOH.

 build/win32/vs9/gdk-win32.vcproj |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d4ac3c8561a8ccff2f0588ddaa272c7aa117cb1b
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Feb 10 15:27:54 2011 -0500

    Bump version to 3.0.1

 configure.ac |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit edf592024bd75605309437b540b474130c90531e
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Feb 10 15:02:33 2011 -0500

    Correct sonames appearing in the docs

 docs/reference/gtk/compiling.sgml |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 10b7f70bb20da90b6b24d88a4f13246374a0033c
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Feb 10 15:00:20 2011 -0500

    Mention library soname change

 NEWS |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 524ce69bcb7e58f9f5bdf70f1e8a733c63c096f9
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Feb 10 14:41:02 2011 -0500

    Bump the version to 3.0.0

    At the same time, change the library sonames for -3.0 to just -3.
    This is necessary since the 2.99 releases installed libraries like
    libgtk-3.0.so.0.9903.0, and we want to prevent the library version
    number from jumping back. So 3.0 will have libgtk-3.so.0.0.0.

 README.in                                   |    5 ++
 configure.ac                                |    6 +-
 demos/Makefile.am                           |    6 +-
 demos/gtk-demo/Makefile.am                  |    6 +-
 docs/reference/gdk/Makefile.am              |    2 +-
 docs/reference/gtk/Makefile.am              |    2 +-
 docs/tools/Makefile.am                      |   10 ++--
 examples/Makefile.am                        |    4 +-
 gail-3.0-uninstalled.pc.in                  |    2 +-
 gail-3.0.pc.in                              |    2 +-
 gdk-3.0.pc.in                               |    2 +-
 gdk/Makefile.am                             |   32 ++++++------
 gdk/abicheck.sh                             |    2 +-
 gdk/tests/Makefile.am                       |    2 +-
 gtk+-3.0-uninstalled.pc.in                  |    2 +-
 gtk+-3.0.pc.in                              |    2 +-
 gtk/Makefile.am                             |   30 ++++++------
 gtk/abicheck.sh                             |    2 +-
 gtk/tests/Makefile.am                       |    6 +-
 modules/engines/ms-windows/Makefile.am      |    4 +-
 modules/engines/pixbuf/Makefile.am          |    6 +-
 modules/input/Makefile.am                   |    4 +-
 modules/other/gail/Makefile.am              |    4 +-
 modules/other/gail/libgail-util/Makefile.am |   18 ++++----
 modules/other/gail/tests/Makefile.am        |   70
 +++++++++++++-------------
 modules/printbackends/cups/Makefile.am      |    2 +-
 modules/printbackends/file/Makefile.am      |    2 +-
 modules/printbackends/lpr/Makefile.am       |    2 +-
 modules/printbackends/papi/Makefile.am      |    2 +-
 modules/printbackends/test/Makefile.am      |    2 +-
 perf/Makefile.am                            |    6 +-
 tests/Makefile.am                           |    8 ++--
 32 files changed, 130 insertions(+), 125 deletions(-)

commit c7d41ac54f5aff5e7dec95132308ff791c279151
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Feb 10 14:37:31 2011 -0500

    Minor formatting tweak

 INSTALL.in |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 9455ce96ca5dc8865a6844af9a00467fbc3ed9cb
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Thu Feb 10 14:31:31 2011 -0500

    Remove a long-unsupported script that does nothing

 gtk-config-2.0.in |    4 ----
 1 files changed, 0 insertions(+), 4 deletions(-)

commit b91549a38a0bd5b70436d79eb0148d6db5b62e3b
Author: Murray Cumming <murrayc@murrayc.com>
Date:   Thu Feb 10 10:02:06 2011 +0100

    Add "extern C" declarations around AppChooser headers.

    This is necessary to allow linking from code compiled as C++.

 gtk/gtkappchooserbutton.h |    3 +++
 gtk/gtkappchooserdialog.h |    4 ++++
 gtk/gtkappchooserwidget.h |    4 ++++
 3 files changed, 11 insertions(+), 0 deletions(-)

commit 3f1c95de8d411b956c6e51aa3bcc9baed1ab4558
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Feb 9 17:32:05 2011 -0500

    Don't try to modify readonly strings

    This was an oversight in the recent accel label improvement.
    When we get an untranslated string back from gettext(), it is
    not ok to replace '_' by ' ' in-place. Instead, do it while
    appending to the GString.
    https://bugzilla.gnome.org/show_bug.cgi?id=641912

 gtk/gtkaccellabel.c |   44 ++++++++++++++++++++++----------------------
 1 files changed, 22 insertions(+), 22 deletions(-)

commit 981cadb578a0f60e941b2ed942c5f9df5d1faa58
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Feb 9 16:54:19 2011 -0500

    Make online references point to the right place

 docs/reference/gdk/gdk-docs.sgml |    6 +++---
 docs/reference/gtk/gtk-docs.sgml |    6 +++---
 2 files changed, 6 insertions(+), 6 deletions(-)

commit 13d249ae19aac90cc6ef251b0e1f352b5e1d1aba
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Feb 9 16:44:19 2011 -0500

    Change the title of the GDK docs to mention '3'

    This is necessary in preparation for having 2.x and 3 docs
    listed next to each other on library.gnome.org.

 docs/reference/gdk/gdk-docs.sgml |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e1dbc871fee564b31c9d1ad309687f9228f6c3c3
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Wed Feb 9 20:08:35 2011 +0100

    Change required glib version from "2.28" to "2.28.0"

    Fixes the recent configure error:
      checking for GLIB - version >= 2.28... 2.28, bad version string

    introduced by 95446c311

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d1632f87d1daff448514e4394d22fe39b4fab64f
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Wed Feb 9 17:00:49 2011 +0100

    Avoid the need for cairo_push_group() in gtk_render_background()

    This operation is potentially expensive, so the code has been
    refurbished so avoid the cases it was needed for. Antialiased
    cairo_clip() has been also reduced to transitions with surface
    patterns involved.

 gtk/gtkthemingengine.c |  147
 ++++++++++++++++++++++++++++++-----------------
 1 files changed, 94 insertions(+), 53 deletions(-)

commit f2ff2138dbbd5b73bbbb2671438f1c493d7f5cef
Author: Tristan Van Berkom <tristan.van.berkom@gmail.com>
Date:   Thu Feb 10 04:04:31 2011 +0900

    Added padding to GtkTextLineDisplay struct for an addition of GdkRGBA
    pointer comming soon.

 gtk/gtktextlayout.h |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 95446c311dc7f25efbfa660582478404dc3e4cac
Author: Javier Jardón <javier.jardon@codethink.co.uk>
Date:   Tue Feb 8 19:02:29 2011 +0000

    configure.ac: Depend on stable versions of other libraries

 configure.ac |    7 +++----
 1 files changed, 3 insertions(+), 4 deletions(-)

commit f0fabcd9e48ecf1f14c7386ba3a92c2e9ef5982e
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Feb 9 09:25:31 2011 -0500

    Quell another warning

 docs/reference/gtk/migrating-2to3.xml |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 69745041f80a579991d630a590ac8b2bae9fb757
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Feb 9 09:01:16 2011 -0500

    Add some more info for desktop app info

    Small gotchas that can easily be avoided.

 docs/reference/gtk/migrating-2to3.xml |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit 8291530abfc3f74b105d377beb2afc4687c7ffd1
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Feb 9 02:43:07 2011 -0500

    More GDK documentation tweaks

 gdk/gdkcairo.c           |  226
 +++++++++++++++++++++++-----------------------
 gdk/gdkcairo.h           |   46 +++++-----
 gdk/gdkcolor.c           |  100 +++++++++++---------
 gdk/gdkcolor.h           |   32 ++++---
 gdk/gdkpixbuf-drawable.c |   94 ++++++++++---------
 gdk/gdkpixbuf.h          |   23 +++---
 gdk/gdkrgba.c            |   89 ++++++++++--------
 gdk/gdkrgba.h            |   17 ++--
 gdk/gdkwindow.c          |   12 ++--
 9 files changed, 333 insertions(+), 306 deletions(-)

commit adef25626e5a5fdc9d56d554fd0477ecdc54ebc0
Author: Garrett Regier <alias301@gmail.com>
Date:   Tue Feb 8 17:36:16 2011 -0800

    Fix annotation that broke the docs

    It was added in 0e795b67c33400dcff78500a3fa0861af3ff0111
    and removed in f6cc08fa57137232c567c6ddd2ed1da8f865e110.

 gdk/gdkwindow.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1f4bb70bac14f69edc69336627008c37a1c47f4c
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Feb 9 01:32:24 2011 -0500

    Give the GDK docs some love

    Reorganize some sections, drop the largely redundant multihead
    section, add some more information about multiple backends.

 docs/reference/gdk/Makefile.am    |    3 +-
 docs/reference/gdk/gdk-docs.sgml  |   15 +++--
 docs/reference/gdk/multihead.sgml |  128
 -------------------------------------
 gdk/gdk.c                         |   26 ++------
 gdk/gdkdevice.c                   |    4 +-
 gdk/gdkdisplay.c                  |   34 ++++++----
 gdk/gdkdisplaymanager.c           |   43 ++++++++++++-
 gdk/gdkscreen.c                   |   17 +++--
 8 files changed, 87 insertions(+), 183 deletions(-)

commit 7e7eaf315b25417252304d7fc53faeaaf3945e67
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Feb 9 00:21:37 2011 -0500

    Documentation tweaks

 docs/reference/gtk/building.sgml               |   21 ++++++++++++---
 docs/reference/gtk/gtk-docs.sgml               |   10 +++++--
 docs/reference/gtk/gtk-query-immodules-3.0.xml |   15 ++++++-----
 docs/reference/gtk/gtk-update-icon-cache.xml   |   32
 ++++++++++++-----------
 docs/reference/gtk/question_index.sgml         |   10 +++---
 docs/reference/gtk/running.sgml                |    4 +-
 6 files changed, 56 insertions(+), 36 deletions(-)

commit 5ada6ac197fb96dfeab1bc8d6fdbbaf3c4b8163d
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Feb 8 23:19:47 2011 -0500

    Remove no-longer exported symbols from the symbol list

 gtk/gtk.symbols |    8 --------
 1 files changed, 0 insertions(+), 8 deletions(-)

commit 49433673fcda54322feb11c710081b234bb481bc
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Feb 8 23:19:21 2011 -0500

    Don't export GtkModifierStyle symbols

    This is not public API, so don't export it.

 gtk/gtkmodifierstyle.c |   42 +++++++++++++++++++-------------------
 gtk/gtkmodifierstyle.h |   36 ++++++++++++++++----------------
 gtk/gtkwidget.c        |   52
 ++++++++++++++++++++++++++++++-----------------
 3 files changed, 72 insertions(+), 58 deletions(-)

commit 861ba00166d0b54877db2192612b3f726e0a07b5
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Feb 8 23:18:22 2011 -0500

    Don't export gtk_cell_area_box_init_groups

    That function can't be meant to be public, since it take
    a GtkCellAreaBoxContext argument, which is not a public type.

 gtk/gtkcellareabox.c               |    4 +-
 gtk/gtkcellareabox.h               |    6 ++--
 gtk/gtkcellareaboxcontext.c        |   62
 ++++++++++++++++++------------------
 gtk/gtkcellareaboxcontextprivate.h |    4 +-
 4 files changed, 38 insertions(+), 38 deletions(-)

commit 394ae46ec08857405e4e5b3dad3782c9d9c59651
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Feb 8 23:14:46 2011 -0500

    Add some missing symbols to the docs

 docs/reference/gtk/gtk3-sections.txt |    5 +++++
 gtk/gtkappchooserbutton.c            |    7 ++++---
 gtk/gtkborder.h                      |   12 ++++++------
 gtk/gtkcellarea.c                    |    4 +++-
 gtk/gtkcomboboxtext.c                |    9 +++++----
 gtk/gtkicontheme.c                   |   18 ++++++++----------
 gtk/gtkmenu.c                        |   13 ++++++++-----
 gtk/gtkmenuitem.c                    |   33
 ++++++++++++++++++++++++++++++---
 gtk/gtkmenuitem.h                    |    6 +++---
 gtk/gtkprintbackend.c                |    2 +-
 gtk/gtkprintjob.c                    |    5 ++---
 gtk/gtkstyle.c                       |   10 ++++++++++
 12 files changed, 85 insertions(+), 39 deletions(-)

commit 32398f11fab5e0abc88bf77ec76668d24af3e659
Author: Javier Jardón <jjardon@gnome.org>
Date:   Wed Feb 9 01:10:38 2011 +0000

    README.in: Fix link to the migration guide

 README.in |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit f6cc08fa57137232c567c6ddd2ed1da8f865e110
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Feb 8 20:00:27 2011 -0500

    Remove annotation that breaks the docs

    Before adding annotations, please check that gtk-doc can handle
    them. Else they will be stripped out again.

 gdk/gdkwindow.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 57d5328685a0e0ae1f8e4088ee1f9c1d8fd820d8
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Feb 8 19:07:46 2011 -0500

    Add links to the migration guide

 README.in |   14 ++++++++++++++
 1 files changed, 14 insertions(+), 0 deletions(-)

commit 83478ae3a306d1e72b985e04a863af25f1b82c98
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Feb 8 18:40:08 2011 -0500

    Define the required introspection version in configure.ac

 INSTALL.in   |    6 +++---
 configure.ac |    8 ++++++--
 2 files changed, 9 insertions(+), 5 deletions(-)

commit e56de510c0a275f6e1c4a94a2c7d1ef78f197d51
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Feb 8 18:32:45 2011 -0500

    Update NEWS

 NEWS |   29 +++++++++++++++++++++++++++++
 1 files changed, 29 insertions(+), 0 deletions(-)

commit a189d1e4a023d446a3180df0d97da232639338c0
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Tue Feb 8 21:01:05 2011 +0100

    Updated Spanish translation

 po/es.po |  757
 +++++++++++++++++++++++++++++++++++++-------------------------
 1 files changed, 450 insertions(+), 307 deletions(-)

commit d2bdd50a0b1f754540fe4038862c7c983513875c
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Feb 8 13:49:16 2011 -0500

    Extend the mixed-dependency check to modules as well

    This helps prevent accidents with GTK_PATH.

 gtk/gtkmain.c        |   29 ++++++++++++++++++++---------
 gtk/gtkmainprivate.h |    2 ++
 gtk/gtkmodules.c     |   27 +++++++++++++++++++++------
 3 files changed, 43 insertions(+), 15 deletions(-)

commit 99b5af11e4047181626f44987a2716d694b6babe
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Feb 8 13:09:52 2011 -0500

    Add warnings about environment variables

    These variables all get read by GTK 2.x as well, which makes
    them dangerous at best.

 docs/reference/gtk/running.sgml |   18 +++++++++++++++++-
 1 files changed, 17 insertions(+), 1 deletions(-)

commit 6a40c0f865b446cd25a561a817446026c5414489
Author: Johan Dahlin <johan@gnome.org>
Date:   Tue Feb 8 13:30:24 2011 -0200

    introspection: Remove redundant include

    Gdk-3.0 is already included above via --include-uninstalled, so
    don't also specify it in INCLUDES.  Doing so breaks if it isn't
    installed already, since we try to find the gdk-3.0.pc.

 gtk/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 358a2b86758f411c839b303fedc143135e8f3f3e
Author: Johan Dahlin <johan@gnome.org>
Date:   Tue Feb 8 13:29:57 2011 -0200

    Rename time to time_ to avoid a scanner warning

 gtk/gtkdnd.c |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit 60e0acfc112186384e0c284b3840a8c6499f3a32
Author: Johan Dahlin <johan@gnome.org>
Date:   Tue Feb 8 13:20:11 2011 -0200

    Remove tab as it confused g-ir-scanner

 gdk/gdkdisplay.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 7711f9fad42096198ef23e8b4e33dc3e33c30c2b
Author: Colin Walters <walters@verbum.org>
Date:   Tue Feb 8 10:16:55 2011 -0500

    introspection: Remove redundant include

    Gdk-3.0 is already included above via --include-uninstalled, so
    don't also specify it in INCLUDES.  Doing so breaks if it isn't
    installed already, since we try to find the gdk-3.0.pc.

 gdk/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 14831458063db477286851dbf4f8995e912a6eb5
Author: Benjamin Otte <otte@redhat.com>
Date:   Tue Feb 8 08:55:25 2011 +0100

    API: image: Move private struct definitions into private header

    They weren't privatized because the dnd code used them, too. But a
    private header can allow the dnd code to be nasty, so go dnd code!

 gtk/Makefile.am       |    1 +
 gtk/gtkdnd-quartz.c   |    2 +-
 gtk/gtkdnd.c          |    2 +-
 gtk/gtkimage.c        |    2 +-
 gtk/gtkimage.h        |   43 -------------------------
 gtk/gtkimageprivate.h |   82
 +++++++++++++++++++++++++++++++++++++++++++++++++
 6 files changed, 86 insertions(+), 46 deletions(-)

commit c1f8330a2824a494e1d27be2337d0ff8dc14fea3
Author: Benjamin Otte <otte@redhat.com>
Date:   Tue Feb 8 08:51:17 2011 +0100

    gdk: Fix typo in documentation string

 gdk/gdkdevice.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 15fdf9026516485a344ea732fc628e8f95566e3a
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Mon Feb 7 21:20:54 2011 +0100

    doc: Add a note about prioritization of GtkStyleProviders

    It was unclear in the docs what happened if
    gtk_style_context_add_provider() and
    gtk_style_context_add_provider_for_screen()
    were used with the same priority.

 gtk/gtkstylecontext.c |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit 3a50b460c6c64377d7402248e55b192d5c27ae2a
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Feb 7 20:37:09 2011 -0500

    Update the context direction when emitting ::direction-changed

    This makes the flipping example in testgtk work as expected again.
    https://bugzilla.gnome.org/show_bug.cgi?id=632775

 gtk/gtkwidget.c |   16 +++++++---------
 1 files changed, 7 insertions(+), 9 deletions(-)

commit 208974636f6286a0c2fe6814c2ffc28419ecd694
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Feb 7 20:36:46 2011 -0500

    Set the correct initial value for the direction property

 gtk/gtkstylecontext.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2be692687f159f9e571678c36babd7c3ca48a8da
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Mon Feb 7 19:56:17 2011 +0100

    Fix color style properties lookup when the color resolution fails

    The cached GValue ended up with a GtkSymbolicColor type, so
    the contained value was bogus. Noticed by Mitch.

 gtk/gtkstylecontext.c |   19 +++++++++++--------
 1 files changed, 11 insertions(+), 8 deletions(-)

commit 23f9bdd586e0b0aac11d9fbcaeaf81c056d2a036
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Feb 7 11:23:43 2011 -0500

    Fix problems with state propagation

    Sensitivity changes were not properly propagated down the
    hierarchy. There were two issues here:

    a) correctly identifying when a state change request affects
       sensitivity
    b) not filtering out sensitivity in gtk_widget_propagate_state(),
      since gtk_widget_set_sensitivity() uses that to do its work

    https://bugzilla.gnome.org/show_bug.cgi?id=641431

 gtk/gtkwidget.c |   14 ++++++++------
 1 files changed, 8 insertions(+), 6 deletions(-)

commit 1c20c93423069c8805cf61381486cbdf607f6efd
Author: Tristan Van Berkom <tristan.van.berkom@gmail.com>
Date:   Mon Feb 7 16:55:25 2011 +0900

    Optimize queue_resize_on_widget()

    Optimized GtkSizeGroup code that is invoked for every queued resize
    and every request that is not previously cached by trading qdata on
    widgets for 3 extra bitfields on the GtkWidgetPrivate structure.

 gtk/gtksizegroup.c     |  113
 +++++++++++------------------------------------
 gtk/gtkwidget.c        |   70 +++++++++++++++++++++++++++++
 gtk/gtkwidgetprivate.h |   12 +++++
 3 files changed, 109 insertions(+), 86 deletions(-)

commit db97f8660abd2e386d1dbedf14fc615f1d52acac
Author: Javier Jardón <jjardon@gnome.org>
Date:   Sat Feb 5 17:54:02 2011 +0000

    Use faster new G_VALUE_COLLECT_INIT variant instead G_VALUE_COLLECT

    Fixes https://bugzilla.gnome.org/show_bug.cgi?id=641621

 gtk/gtkcellarea.c        |    4 ++--
 gtk/gtkcontainer.c       |    5 +++--
 gtk/gtkliststore.c       |    4 ++--
 gtk/gtkstyleproperties.c |    5 ++---
 gtk/gtktreestore.c       |    4 ++--
 5 files changed, 11 insertions(+), 11 deletions(-)

commit beb8c290d1c7a7b5307dfd9e4c446a91ad48a507
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Feb 7 07:30:37 2011 -0500

    Always chain up in ::style-updated

    This was not handled consistently, but the default handler
    does useful things, so we should always chain up.

 gtk/gtkassistant.c     |    2 ++
 gtk/gtkbutton.c        |    2 ++
 gtk/gtkcombobox.c      |    2 ++
 gtk/gtkdialog.c        |    2 ++
 gtk/gtkentry.c         |    2 ++
 gtk/gtkfontsel.c       |    2 ++
 gtk/gtkhandlebox.c     |    2 ++
 gtk/gtkiconview.c      |    2 ++
 gtk/gtkimage.c         |    6 +-----
 gtk/gtkinfobar.c       |    2 ++
 gtk/gtklabel.c         |    2 ++
 gtk/gtklinkbutton.c    |    4 ++--
 gtk/gtkmenu.c          |    2 ++
 gtk/gtkmessagedialog.c |    2 +-
 gtk/gtktextview.c      |    2 ++
 gtk/gtktoolbar.c       |    4 +++-
 gtk/gtktoolbutton.c    |    2 ++
 gtk/gtktreeview.c      |    2 ++
 gtk/gtkviewport.c      |    4 +++-
 gtk/gtkwindow.c        |    2 ++
 20 files changed, 40 insertions(+), 10 deletions(-)

commit 14eb34874a63719c77db36f10c615c70f9179e49
Author: Javier Jardón <jjardon@gnome.org>
Date:   Sun Feb 6 22:22:19 2011 +0000

    configure.ac: Remove some more obsolete macros

    AC_TYPE_SIGNAL: obsolete when assuming C89 or better
    AC_HEADER_SYS_WAIT: current systems are compatible with POSIX

 configure.ac |    4 ----
 1 files changed, 0 insertions(+), 4 deletions(-)

commit 8a965b97867e12f4c08da14b43582faddc36b94e
Author: Javier Jardón <jjardon@gnome.org>
Date:   Sun Feb 6 01:35:42 2011 +0000

    configure.ac: Use AC_COMPILE_IFELSE instead deprecated AC_TRY_COMPILE

 configure.ac |   64
 +++++++++++++++++++++++++++------------------------------
 1 files changed, 30 insertions(+), 34 deletions(-)

commit c734bb8e833ba24b7a6ad0db6e67d7b36bd1815a
Author: Javier Jardón <jjardon@gnome.org>
Date:   Sun Feb 6 00:52:37 2011 +0000

    configure.ac: Use AS_HELP_STRING instead deprecated AC_HELP_STRING

 configure.ac |   65
 +++++++++++++++++++++++++++------------------------------
 1 files changed, 31 insertions(+), 34 deletions(-)

commit 899019d56ac87e631f1f1e2e592aa58047c109d3
Author: Javier Jardón <jjardon@gnome.org>
Date:   Sun Feb 6 00:38:38 2011 +0000

    configure.ac: Remove some obsolescent macros

    AC_C_CONST: current C compilers support const
    AC_TYPE_SYGNAL: obsolete when assuming C89 or better
    AC_HEADER_STDC: current systems have conforming header files

 configure.ac |    7 -------
 1 files changed, 0 insertions(+), 7 deletions(-)

commit 9bd175536b349a5ee95c91191112119a0abe7ee1
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Feb 6 14:12:05 2011 -0500

    Add a testcase for state propagation problems

 tests/Makefile.am     |    6 ++-
 tests/testsensitive.c |  111
 +++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 116 insertions(+), 1 deletions(-)

commit 24c37e966ca31be2101c5b58e456c4992662d495
Author: Kjartan Maraas <kmaraas@gnome.org>
Date:   Sun Feb 6 19:14:53 2011 +0100

    Updated Norwegian bokmål translation.

 po/nb.po |  731
 +++++++++++++++++++++++++++++++++++++-------------------------
 1 files changed, 436 insertions(+), 295 deletions(-)

commit 733731e80b97cebd189dc15fb166dbfdab66483b
Author: Hans Breuer <hans@breuer.org>
Date:   Sun Feb 6 15:05:35 2011 +0100

    No more gtk_plug_*/gtk_socket_* symbols on win32

 gtk/gtk.symbols |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit b41ee31a166a5408e76e2dd8a0a5af119129087e
Author: Hans Breuer <hans@breuer.org>
Date:   Sun Feb 6 15:03:32 2011 +0100

    win32: no more GdkNativeWindow and related changes

     - replace GdkNativeWindow with HWND, remove type casts
     - no more GdkDisplayClass::get_drag_protocol but
     GdkWindowImpl::get_drag_protocol
     - remove *_client_message*()

 gdk/win32/gdkdevice-win32.c    |    6 ++--
 gdk/win32/gdkdisplay-win32.c   |    3 --
 gdk/win32/gdkdnd-win32.c       |   33 ++++++++---------
 gdk/win32/gdkevents-win32.c    |   79
 ++++------------------------------------
 gdk/win32/gdkprivate-win32.h   |   18 ++-------
 gdk/win32/gdkscreen-win32.c    |    1 -
 gdk/win32/gdkselection-win32.c |   10 +++---
 gdk/win32/gdkwin32.h           |    6 ++--
 gdk/win32/gdkwin32id.c         |    2 +-
 gdk/win32/gdkwindow-win32.c    |   14 +++++---
 10 files changed, 48 insertions(+), 124 deletions(-)

commit f55ccce2d9907c92e2f6a0ad820cc5d3f79db242
Author: Hans Breuer <hans@breuer.org>
Date:   Sun Jan 30 22:06:52 2011 +0100

    win32: msvc build update

 gtk/makefile.msc.in |   23 +++++++++++------------
 tests/makefile.msc  |    3 +--
 2 files changed, 12 insertions(+), 14 deletions(-)

commit e39e8acd6754a865d904737bb6d2679891e3a660
Author: Michael Natterer <mitch@gimp.org>
Date:   Sun Feb 6 14:47:58 2011 +0100

    gtk: gtk_cell_renderer_get_state(): check the widget's effective
    sensitivity

 gtk/gtkcellrenderer.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1c0f85a813b89327c01de568f16b1ffd598e0131
Author: Michael Natterer <mitch@gimp.org>
Date:   Sun Feb 6 14:43:55 2011 +0100

    gtk: gtk_cell_renderer_get_state(): a row can be both selected
    and insensitive

    so pull the SELECTED state flag out of the !sensitive branch. Also,
    don't make FOCUSED depend on SELECTED here, it's up to the widget to
    decide whether or not that is possible.

 gtk/gtkcellrenderer.c |   18 +++++++++---------
 1 files changed, 9 insertions(+), 9 deletions(-)

commit 1aaed01d4ffc38ae3eec1ca1070c1fea03c41833
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Sun Feb 6 14:11:57 2011 +0100

    Updated Polish translation

 po/pl.po |  265
 +++++++++++++++++++++++++++++++++++++++++++++++--------------
 1 files changed, 204 insertions(+), 61 deletions(-)

commit 330158977dea09cb82ba851ddbbdcb6ab9d8f469
Author: Michael Natterer <mitch@gimp.org>
Date:   Sun Feb 6 13:48:42 2011 +0100

    gtk: make the .trough background-color darker() as it was in GTK+ 2.x

 gtk/gtkcssprovider.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 42778894c081e40889b83f123f1b2f74113fa9ed
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Sun Feb 6 02:52:51 2011 +0100

    s/state_changed/state_flags_changed/ in GtkComboBox

 gtk/gtkcombobox.c |   10 +++++-----
 1 files changed, 5 insertions(+), 5 deletions(-)

commit baa634323362e483d634a7f1921ff9d8066db60f
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Sun Feb 6 02:51:20 2011 +0100

    Handle insensitive cell renderer flags in
    gtk_cell_renderer_get_state()

 gtk/gtkcellrenderer.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 217d3fd796c29c01dac9420b5ff599d2a55d9d73
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Sun Feb 6 02:40:06 2011 +0100

    GtkStyleContext is meant to have a GdkScreen

    It is used to get the default providers, without them
    the style context can't do much. A check for NULL screen
    is done before any sensitive call to
    gtk_style_context_set_screen(), in the hope that any widget
    will open the display before doing anything related to
    styling. Fixes bug #641429, reported by Bastien Nocera.

 gtk/gtkstyle.c        |    1 +
 gtk/gtkstylecontext.c |    2 +-
 gtk/gtkwidget.c       |   16 ++++++++++++----
 3 files changed, 14 insertions(+), 5 deletions(-)

commit f23585b7bb96d3da3844337aa8a99609ddbb89d4
Author: Michael Natterer <mitch@gimp.org>
Date:   Sun Feb 6 11:13:42 2011 +0100

    gtk: bail out in render_background_internal() if the extents are <= 0

    otherwise we run into scaling the cairo_t into a borken state that's
    not fixable by cairo_restore().

 gtk/gtkthemingengine.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit 858ba35873608426d16bf68c7514c2a7a0e4e0e3
Author: Michael Natterer <mitch@gimp.org>
Date:   Sat Feb 5 23:52:19 2011 +0100

    gtk: remove function gtk_entry_queue_draw() and call
    gtk_widget_queue_draw()

    the old function was a leftover from when GtkEntry had a window
    and was now invalidating the entire toplevel on each entry change.

 gtk/gtkentry.c |   19 +++++--------------
 1 files changed, 5 insertions(+), 14 deletions(-)

commit c1bc521e92488a99855db770deee0ea2f6c2f70a
Author: Michael Natterer <mitch@gimp.org>
Date:   Sat Feb 5 23:42:37 2011 +0100

    gtk: get rid of two cases of invalidating the spinbutton when
    not needed

 gtk/gtkspinbutton.c |   20 +++++++++++---------
 1 files changed, 11 insertions(+), 9 deletions(-)

commit 69e4a3f2359ae5bda69f1eb39c670f61397be266
Author: Fran Diéguez <fran.dieguez@mabishu.com>
Date:   Sun Feb 6 00:26:36 2011 +0100

    Updated Galician translations

 po-properties/gl.po | 1435
 +++++++++++++++++++++++++--------------------------
 po/gl.po            |  745 ++++++++++++++++-----------
 2 files changed, 1157 insertions(+), 1023 deletions(-)

commit bfaf472e703a5378fe8e6b59e116e28dea7ccace
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Feb 5 11:21:21 2011 -0500

    Avoid tons of warnings from stylecontext initialization without screen

    This reverts part of commit 4dc9b29.

 gtk/gtkwidget.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2e093cdc207ced887081c9ae92cababb35b21e93
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Feb 5 02:17:00 2011 -0500

    Demonstrate the problem with a workaround

 tests/testtreepos.c |   19 ++++++++++++++++++-
 1 files changed, 18 insertions(+), 1 deletions(-)

commit c0ba1c96d4c2470f1d92664b6bd6ede88d8389de
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Sat Feb 5 13:53:04 2011 +0100

    Ensure gtk_render_background()/frame() yield the same shape

    On rounded boxes the background and the frame wouldn't fit in
    perfectly, leaving some visual noise in the corners. This is now
    gone.

 gtk/gtkthemingengine.c |   58
 ++++++++++++++++++++++++++++++++++-------------
 1 files changed, 42 insertions(+), 16 deletions(-)

commit 4c40349b920c8b175a118fcca378b6e76e34180c
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Sat Feb 5 13:44:30 2011 +0100

    Use cairo_push_group() to mix backgrounds during transitions

    It also helps remove the cairo_clip() call to achieve the rounded
    shape.

 gtk/gtkthemingengine.c |   14 ++++++++++----
 1 files changed, 10 insertions(+), 4 deletions(-)

commit c99069992207fd93847f5fb1adf12fb28bb36d15
Author: Michael Natterer <mitch@gimp.org>
Date:   Sat Feb 5 14:10:18 2011 +0100

    gtk: don't style GtkLabel:selected's color separately

    or labels in selected state will not have a different color. Reviewed
    by Carlos.

 gtk/gtkcssprovider.c |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit ceeb50be9a46553ced77824e9284ffaed1ba4702
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Feb 5 02:03:35 2011 -0500

    Don't leak a cell area context

 gtk/gtktreeviewcolumn.c |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit ab66ac50cf5328612b537b0e9aba425584e31ddd
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Feb 5 01:56:19 2011 -0500

    Migration guide additions

    Some information about plugs and sockets, and event filters.

 docs/reference/gtk/migrating-2to3.xml |   78
 +++++++++++++++++++++++++++++++++
 1 files changed, 78 insertions(+), 0 deletions(-)

commit 19092fe44f6eabbea8d1a6aaa5f8d2463963c91d
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sat Feb 5 01:24:21 2011 -0500

    Add a testcase for cell positions

 tests/Makefile.am   |    5 ++-
 tests/testtreepos.c |  123
 +++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 127 insertions(+), 1 deletions(-)

commit 8f870ddcdcad57e0f03070d50f2ae4279012c274
Author: Bastien Nocera <hadess@hadess.net>
Date:   Sat Feb 5 02:22:17 2011 +0000

    gtk-demo: Use symbolic icon that exists

    For the Images test.

 demos/gtk-demo/images.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 5f04bf6429ef46d4214a404f624c6b64105b03ed
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Feb 4 22:06:25 2011 -0500

    Simple test for display-less widget creation

 tests/Makefile.am    |    5 ++++-
 tests/testnoscreen.c |   47
 +++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 51 insertions(+), 1 deletions(-)

commit 4dc9b294d8a5bd822828964930b834f4b8999cff
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Feb 4 22:01:40 2011 -0500

    Don't assume a screen exists before realize()

    Fix for https://bugzilla.gnome.org/show_bug.cgi?id=641429

 gtk/gtkstyle.c        |    9 +++++----
 gtk/gtkstylecontext.c |    2 +-
 gtk/gtkwidget.c       |    2 +-
 gtk/gtkwindow.c       |   20 +++++++++++---------
 4 files changed, 18 insertions(+), 15 deletions(-)

commit 2b2e6074925d875133c6e3294de34e3f84fbf694
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Feb 4 21:21:14 2011 -0500

    Improve GtkApplication migration guide

    As pointed out in bug 641517, the examples did not actually
    do the same.

 docs/reference/gtk/migrating-GtkApplication.xml |   16 +++++++++++++---
 1 files changed, 13 insertions(+), 3 deletions(-)

commit 3c1ff82b21807825ba73a5f3e88a299e5cbf74e3
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Feb 4 21:13:56 2011 -0500

    Fix a memory leak in GtkCSSProvider

    Found by Felix Riemann
    https://bugzilla.gnome.org/show_bug.cgi?id=641558

 gtk/gtkcssprovider.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit eaba2cd46852d5f331f22f4272afb5bcc6645870
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Feb 4 21:08:41 2011 -0500

    XI2: translate group state back into core state

    This is necessary to make the key event translation work
    as expected.

    https://bugzilla.gnome.org/show_bug.cgi?id=641367

 gdk/x11/gdkdevice-xi2.c |   12 ++++++++++++
 1 files changed, 12 insertions(+), 0 deletions(-)

commit d4c1dbe3d72df9a6a9cd10ed61987ac25dd6dc57
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Feb 4 21:01:52 2011 -0500

    Pass group state to _gdk_x11_device_xi2_translate_state

    This will be necessary to make groups work with XI2.

 gdk/x11/gdkdevice-xi2.c        |    7 ++++---
 gdk/x11/gdkdevicemanager-xi2.c |   10 +++++-----
 gdk/x11/gdkprivate-x11.h       |    3 ++-
 3 files changed, 11 insertions(+), 9 deletions(-)

commit 2c352f51a0e5578d300d34211ef20ead6dd793e7
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Feb 4 20:58:41 2011 -0500

    Share code to fill GdkEventKey.string

    This code was duplicated between the core and XI2 device manager
    implementations.

 gdk/x11/gdkdevicemanager-core-x11.c |  126
 ++++++++++++++++++-----------------
 gdk/x11/gdkdevicemanager-xi2.c      |   66 +------------------
 gdk/x11/gdkprivate-x11.h            |    2 +
 3 files changed, 69 insertions(+), 125 deletions(-)

commit 4960a810828cf4d9d87d26396be173b1125c6a45
Author: Khaled Hosny <khaledhosny@eglug.org>
Date:   Sat Feb 5 00:31:14 2011 +0200

    Updated Arabic translation

 po/ar.po |  605
 ++++++++++++++++++++++++++++++++++++++------------------------
 1 files changed, 372 insertions(+), 233 deletions(-)

commit 3cb758a7b91893535906ef2d41fb0a519b9ef967
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Feb 4 17:18:24 2011 -0500

    Add an empty English translation for properties

    Otherwise the build is unhappy about en in LINGUAS

 po-properties/en.po | 7393
 +++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 7393 insertions(+), 0 deletions(-)

commit 9a7708952ce147d3643039ece99655a9deace9a3
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Feb 4 15:35:44 2011 -0500

    Add an English translation

    Currently, this just includes translations for keysyms.

 po/LINGUAS |    1 +
 po/en.po   | 4405
 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 4406 insertions(+), 0 deletions(-)

commit b6783933c9dbf6bf29c8177f2d0d1eec09119f3b
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Feb 4 15:34:36 2011 -0500

    Strip XF86 prefix from untranslated keysyms

    When we don't have translations, at least remove the
    ugly XF86 prefix.

 gtk/gtkaccellabel.c |   19 +++++++++++++++++--
 1 files changed, 17 insertions(+), 2 deletions(-)

commit 08f90b71a28b317944407675d57321c628201994
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Feb 4 15:33:36 2011 -0500

    Add translation entries for more common keysyms

    In particular, the XF86 keysyms can benefit from a translation
    that strips the prefix.

 gdk/keyname-table.h |   39 +++++++++++++++++++++++++++++++++++++++
 1 files changed, 39 insertions(+), 0 deletions(-)

commit 9ba009a8eb6f1ead1da56856e4e16ccea88640ce
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Feb 4 14:05:22 2011 -0500

    Remove debug spew

 gdk/x11/gdkdevicemanager-xi2.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 272aa7bc55db3ba841d39c68e30408c4bb5886bd
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Feb 4 12:51:46 2011 -0500

    XI2: don't translate button releases as scroll events

    This fixes scroll-by-2 sympoms seen in combo boxes.
    https://bugzilla.gnome.org/show_bug.cgi?id=639846

 gdk/x11/gdkdevicemanager-xi2.c |   61
 +++++++++++++++++++++------------------
 1 files changed, 33 insertions(+), 28 deletions(-)

commit 03df034684934778135cb11d50d8ec42c15ca342
Author: Javier Jardón <javier.jardon@codethink.co.uk>
Date:   Fri Feb 4 16:58:59 2011 +0000

    Remove latest bits of GtkItemFactory

 docs/reference/gtk/objects_grouped.sgml |    1 -
 examples/menu/Makefile                  |    9 +-
 examples/menu/itemfactory.c             |  176
 -------------------------------
 gtk/gtkaccelgroup.c                     |    7 +-
 gtk/gtkaccellabel.c                     |    2 +-
 5 files changed, 7 insertions(+), 188 deletions(-)

commit 012bc98936c9e179117392d248d1445c42fd54d6
Author: Tristan Van Berkom <tristan.van.berkom@gmail.com>
Date:   Sat Feb 5 00:58:40 2011 +0900

    Fixed gtk_recent_chooser_menu_set_current_filter to update the
    local pointer.

    Before this patch, unsetting the filter manually before disposing
    the recent chooser menu (or unsetting the filter twice), would cause
    warnings (or invalid memory accesses).

 gtk/gtkrecentchoosermenu.c |    9 ++++-----
 1 files changed, 4 insertions(+), 5 deletions(-)

commit 86b5252a9317ba5441e20565f0c27ede04aae4db
Author: Yaron Shahrabani <sh.yaron@gmail.com>
Date:   Fri Feb 4 09:10:23 2011 +0200

    Updated Hebrew translation.

 po-properties/he.po | 1400
 ++++++++++++++++++++++++++-------------------------
 1 files changed, 701 insertions(+), 699 deletions(-)

commit 99691ab7aa61fd7aa702b90f181e9793c1ea2947
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Feb 2 23:54:38 2011 -0500

    Protect against tree_view being NULL

    This apparently happens when setting the "visible" property
    from ui files.
    https://bugzilla.gnome.org/show_bug.cgi?id=640801

 gtk/gtktreeviewcolumn.c |    9 +++++----
 1 files changed, 5 insertions(+), 4 deletions(-)

commit b51f3ffffcd61527714c6fab40c40ef8e68eaeac
Author: Tristan Van Berkom <tristan.van.berkom@gmail.com>
Date:   Thu Feb 3 23:50:10 2011 +0900

    Added set_transient_for() implementation for GdkOffscreenWindow

    Just a noop that is better than crashing in the case this is called
    (it can be called for a toplevel GtkWindow that is parented into
    another widget by setting gtk_widget_set_parent_window to an offscreen
    window).

 gdk/gdkoffscreenwindow.c |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletions(-)

commit 395b13bbcef1e4b9cda2fb2c3883998f6457ea66
Author: Laszlo Pandy <lpandy@src.gnome.org>
Date:   Thu Feb 3 15:20:23 2011 +0100

    [GI] Add method annotation for gtk_grab_add and gtk_grab_remove.

 gtk/gtkmain.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 295c2fe8d157d67e390fa3819856c7d2d4c4e7a1
Author: Laszlo Pandy <lpandy@src.gnome.org>
Date:   Thu Feb 3 15:09:08 2011 +0100

    [GI] Add method annotations to remaining gtk_drag_* functions.

    https://bugzilla.gnome.org/show_bug.cgi?id=639945

 gtk/gtkdnd.c |   86
 +++++++++++++++++++++++++--------------------------------
 1 files changed, 38 insertions(+), 48 deletions(-)

commit d799d6d4f055a743e97d2a07d91bf373c582da7a
Author: Tristan Van Berkom <tristan.van.berkom@gmail.com>
Date:   Thu Feb 3 23:02:15 2011 +0900

    Fixing GtkColorButton to redraw itself when
    gtk_color_button_set_rgba() is called.

 gtk/gtkcolorbutton.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit b01fc35c189c8f934e0a63d09691ce1a6d7e01db
Author: Tristan Van Berkom <tristan.van.berkom@gmail.com>
Date:   Thu Feb 3 19:03:49 2011 +0900

    Added default implementations of various GtkCellArea vfuncs.

    Having default implementations on abstract classes that do nothing
    or print errors make life easier for language bindings implementors,
    inside GTK+ this makes little or no difference.

 gtk/gtkcellarea.c |  258
 +++++++++++++++++++++++++++++++----------------------
 1 files changed, 152 insertions(+), 106 deletions(-)

commit ce000db7f65a2066ea2c7e1806ec5830a37ee27f
Author: Tristan Van Berkom <tristan.van.berkom@gmail.com>
Date:   Thu Feb 3 19:01:55 2011 +0900

    Added default implementation of
    GtkCellRendererClass.get_request_mode()

    Having default implementations on abstract classes that do nothing
    or print errors make life easier for language bindings implementors,
    inside GTK+ this makes little or no difference.

 gtk/gtkcellrenderer.c |   18 ++++++++++--------
 1 files changed, 10 insertions(+), 8 deletions(-)

commit 7894ff4bcbdb4c19c4f52d1d5e043377355e0e52
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Feb 2 22:05:26 2011 -0500

    Don't g_object_unref cairo surfaces

    This was causing warnings when dragging text from labels.

 gtk/gtklabel.c |   22 ++++++++++++----------
 1 files changed, 12 insertions(+), 10 deletions(-)

commit a7a606e61a61f71ec6e347055d5251b604ffa93c
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Feb 2 18:00:19 2011 +0100

    Updated Polish translation

 po-properties/pl.po | 5522
 ++++++++++++++++++++++++++-------------------------
 1 files changed, 2769 insertions(+), 2753 deletions(-)

commit 0c2e2b17e473053c5a7f57e1aaa8f2db10669de2
Author: Piotr Drąg <piotrdrag@gmail.com>
Date:   Wed Feb 2 17:59:47 2011 +0100

    Updated Polish translation

 po/pl.po | 2777
 +++++++++++++++++++++++---------------------------------------
 1 files changed, 1021 insertions(+), 1756 deletions(-)

commit 1bd36ce72365408ed768ba2d4ec50edd9321283f
Author: Martin Pitt <martin.pitt@ubuntu.com>
Date:   Wed Feb 2 17:51:48 2011 +0100

    [GI] Annotate gtk_drag_{dest,source}* as methods

    As these do not start with gtk_widget_*, the GI scanner does not
    recognize them
    as methods. With the recently added (method) annotation [1] it is
    now possible
    to mark them as proper methods of GtkWidget.

    https://bugzilla.gnome.org/show_bug.cgi?id=639945

    [1]
    http://git.gnome.org/browse/gobject-introspection/commit/?id=09bca85dd4

 gtk/gtkdnd.c |   58
 ++++++++++++++++++++++++++++------------------------------
 1 files changed, 28 insertions(+), 30 deletions(-)

commit a1d5901e801b5d7db6a684357db2c572318e756a
Author: Changwoo Ryu <cwryu@debian.org>
Date:   Thu Feb 3 00:28:37 2011 +0900

    Updated Korean translation

 po-properties/ko.po | 4969
 ++++++++++++++++++++++++++-------------------------
 po/ko.po            | 2760 +++++++++++------------------
 2 files changed, 3521 insertions(+), 4208 deletions(-)

commit 0e795b67c33400dcff78500a3fa0861af3ff0111
Author: Martin Pitt <martin.pitt@ubuntu.com>
Date:   Wed Feb 2 15:11:06 2011 +0100

    [GI] Mark mis-detected constructors as such

    constructors which take an object of the same class as its first
    argument are
    mis-detected as method call with "self" argument by the GIR
    scanner. Using the
    new (constructor) annotation from bug 561264, mark some of them
    as proper
    constuctors, so that you can call them with NULL as first argument
    from
    bindings; in particular, this fixes gdk_window_new() and the
    gtk_radio_button_new_with*() constructors.

 gdk/gdkwindow.c      |    2 +-
 gtk/gtkradiobutton.c |    4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit 3067ef4a9b9fd51441dafcf05b6e0513d709df40
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Feb 2 01:30:21 2011 -0500

    Fix the build with --enable-gtk2-dependency

 gtk/Makefile.am |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 2e34842b1ab81f5f0fc8caf3a797f1cf05fea42e
Author: Tristan Van Berkom <tristan.van.berkom@gmail.com>
Date:   Wed Feb 2 15:20:42 2011 +0900

    Fixed GtkCellLayout buildable implementation to set cell properties
    explicitly set to "" (i.e. explicitly set to nothing).

 gtk/gtkcelllayout.c |   52
 ++++++++++++++++++++++++--------------------------
 1 files changed, 25 insertions(+), 27 deletions(-)

commit fb3e221559c518d0ac1dfa41f14ffd8e4cdea9e8
Author: Tristan Van Berkom <tristan.van.berkom@gmail.com>
Date:   Wed Feb 2 15:19:39 2011 +0900

    Fixed GtkContainer buildable implementation to set packing properties
    explicitly set to "" (i.e. explicitly set to nothing).

 gtk/gtkcontainer.c |   38 ++++++++++++++++++--------------------
 1 files changed, 18 insertions(+), 20 deletions(-)

commit 8a2a148649e810bf56c3974d74ce7b27333786ab
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Feb 2 01:00:51 2011 -0500

    Don't build pixbuf engine, still

    This was accidentally re-enabled together with the wimp.

 modules/engines/Makefile.am |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 54c97f3ba2358c60fcc32404b67716e44384fb52
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Feb 2 00:40:02 2011 -0500

    Fix another GtkFixed regression, in gtk_fixed_forall()

    b3f6f67c changed the loop from while() to for() in gtk_fixed_forall(),
    but that's wrong since the callback can have side-effects on the list,
    in case the current child gets removed. And that's the case when the
    widget is destroyed.

    Patch by Vincent Untz
    https://bugzilla.gnome.org/show_bug.cgi?id=641196

 gtk/gtkfixed.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 0ade265a69caf25ea5e008f016290d0e3115513b
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Wed Feb 2 00:36:41 2011 -0500

    Bump version

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit cfaed624be94bb6fc636269ec9d044ca99170a3c
Author: John Ralls <jralls@ceridwen.us>
Date:   Tue Feb 1 13:53:00 2011 -0800

    Update quartz to reflect deletion of GdkNativeWindow and
    client_message functions.

 gdk/quartz/gdkdisplay-quartz.c   |    4 ----
 gdk/quartz/gdkdnd-quartz.c       |   10 ----------
 gdk/quartz/gdkevents-quartz.c    |   19 -------------------
 gdk/quartz/gdkprivate-quartz.h   |   20 --------------------
 gdk/quartz/gdkselection-quartz.c |   11 -----------
 5 files changed, 0 insertions(+), 64 deletions(-)

commit 24de7cd86fb65fa77c6a66e1f558ed9a7eb4e314
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Feb 1 14:11:20 2011 -0500

    Add another bug ref

 NEWS |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 62d7593fc2961966c93912cacc8059158194949c
Author: Vincent Untz <vuntz@gnome.org>
Date:   Tue Feb 1 20:01:49 2011 +0100

    Fix crash in gtk_fixed_remove()

    b3f6f67c changed the loop from while() to for(), but the line to
    move to
    the next child was kept, so we could go past the end of the list.

    https://bugzilla.gnome.org/show_bug.cgi?id=641176

 gtk/gtkfixed.c |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 1b25489cba70f6552a491ed9a931b6906336dc0d
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Feb 1 13:54:27 2011 -0500

    Remove accidentally exported symbol

 gtk/gtk.symbols |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit b0d48f66a10a2b7ee9a7251df957eb46a5d30cf9
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Feb 1 13:39:41 2011 -0500

    Updates for 2.99.3

 NEWS |  139
 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 1 files changed, 138 insertions(+), 1 deletions(-)

commit 5f594b613eba0fca08e3866be3756e3afe798fc0
Author: Benjamin Otte <otte@redhat.com>
Date:   Tue Feb 1 18:31:44 2011 +0100

    API: gdk: Get rid of GdkNativeWindow

    Also get rid of the GDK_NATIVE_WINDOW_POINTER define.

 configure.ac                         |    1 -
 docs/reference/gdk/gdk3-sections.txt |    1 -
 gdk/gdkconfig.h.win32                |    2 --
 gdk/gdktypes.h                       |   18 ------------------
 4 files changed, 0 insertions(+), 22 deletions(-)

commit 7b5ad65e714c6b42ae79b0f4e2cdcbc2d6a599f2
Author: Benjamin Otte <otte@redhat.com>
Date:   Tue Feb 1 18:29:20 2011 +0100

    x11: Use Window isntead of GdkNativeWindow

 gdk/x11/gdkdnd-x11.c     |   14 +++++++-------
 gdk/x11/gdkprivate-x11.h |    8 ++++----
 2 files changed, 11 insertions(+), 11 deletions(-)

commit 44c02fcbb19da4a270622cdd73ed85f19c9f8fbe
Author: Benjamin Otte <otte@redhat.com>
Date:   Tue Feb 1 18:11:35 2011 +0100

    API: gdk: Change get_drag_window() API

    The previous function gdk_drag_get_protocol_for_display() took native
    window handles, so it had to be changed. Because it didn't do what it
    was named to do (it didn't return a protocol even though it was named
    get_protocol) and because it doesn't operate on the display anymore
    but
    on the actual window, it's now called gdk_window_get_drag_protocol().

 docs/reference/gdk/gdk3-sections.txt |    2 +-
 gdk/gdk.symbols                      |    2 +-
 gdk/gdkdisplay.c                     |   22 ----------------------
 gdk/gdkdisplayprivate.h              |    4 ----
 gdk/gdkdnd.h                         |    4 ----
 gdk/gdkwindow.c                      |   22 ++++++++++++++++++++++
 gdk/gdkwindow.h                      |    4 ++++
 gdk/gdkwindowimpl.h                  |    2 ++
 gdk/x11/gdkdisplay-x11.c             |    8 --------
 gdk/x11/gdkprivate-x11.h             |    6 ++++++
 gdk/x11/gdkwindow-x11.c              |   27 +++++++++++++++++++++++++++
 gtk/gtksocket.c                      |    8 ++++----
 12 files changed, 67 insertions(+), 44 deletions(-)

commit 9210347600c640becebe19ac12de5bdf332acaa5
Author: Benjamin Otte <otte@redhat.com>
Date:   Tue Feb 1 17:29:33 2011 +0100

    API: gdk: Make GDK_DRAG_PROTOCOL_NONE equal to 0

    THis way, we can do comparisons like "if (protocol)"

 gdk/gdkdnd.h |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 5bc04bc07be16732e0ec2ddecbb0fcfc46a929c7
Author: Benjamin Otte <otte@redhat.com>
Date:   Tue Feb 1 17:22:04 2011 +0100

    API: gdk: Make GdkEventSelection.requestor a GdkWindow

    instead of a GdkNativeWindow. Also change gdk_selection_notify()
    API to
    take a GdkWindow to match this change.

 gdk/gdkdisplayprivate.h    |    2 +-
 gdk/gdkevents.c            |   15 +++++++++++++++
 gdk/gdkevents.h            |    4 ++--
 gdk/gdkselection.c         |    6 +++---
 gdk/gdkselection.h         |    6 ++----
 gdk/x11/gdkdisplay-x11.c   |    6 +++++-
 gdk/x11/gdkprivate-x11.h   |    2 +-
 gdk/x11/gdkselection-x11.c |    6 +++---
 gdk/x11/gdkwindow-x11.c    |    4 +++-
 gtk/gtkselection.c         |   10 +---------
 10 files changed, 36 insertions(+), 25 deletions(-)

commit c2a5d715d5cded5eeb0f284208d49c9e8773ed1b
Author: Benjamin Otte <otte@redhat.com>
Date:   Tue Feb 1 16:36:23 2011 +0100

    x11: Use gdk_x11_window_foreign_new_for_display() unconditionally

    gdk_x11_window_lookup_window() calls are done by this function
    alreayd,
    so no need to do them manually.

 gdk/x11/gdkdnd-x11.c |   36 +++++++++---------------------------
 1 files changed, 9 insertions(+), 27 deletions(-)

commit 5441ecd35026c4d1eca35e366b62f7b6b6862e45
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Feb 1 09:48:32 2011 -0500

    Fix a warning

 gdk/x11/gdkdevicemanager-xi2.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 38045e789cfe17cee97566a168151369f3e5aeee
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Feb 1 09:44:33 2011 -0500

    Remove a dead member

    The client_pointer field in GdkX11DeviceManagerXI2 is not used
    anywhere.

 gdk/x11/gdkdevicemanager-xi2.c |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit c79413a1dfcd6979a0c16fada34b0e7a98899f96
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Feb 1 09:42:53 2011 -0500

    Make xim work with XI2

    We cannot totally ignore core key events, since XFilterEvent generates
    those at times and relies on them having an effect.
    https://bugzilla.gnome.org/show_bug.cgi?id=640965

 gdk/x11/gdkdevicemanager-xi2.c |   28 +++++++++++++++++++++++++++-
 1 files changed, 27 insertions(+), 1 deletions(-)

commit 8448780a6c9fa2bcdd06af996bddb8bd720bd5e6
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Tue Feb 1 01:28:45 2011 -0500

    Make treeview expanders work reliably

    It turns out that the gtk_grab_remove() can trigger a do_prelight()
    call, which may end up changing prelight_node, and then the state
    gets messed up. Moving the grab removal until after we're done with
    button_pressed_node and prlight_node makes expanders work reliably.

    One thing that is still not right is that the expander doesn't get
    prelight again after the animation is done, if you manage to release
    without any additional motion events.

    https://bugzilla.gnome.org/show_bug.cgi?id=641039

 gtk/gtktreeview.c |    4 +---
 1 files changed, 1 insertions(+), 3 deletions(-)

commit c332ac207ab4cac8f4c32aa85cdf6406157340af
Author: Benjamin Otte <otte@redhat.com>
Date:   Tue Feb 1 06:30:27 2011 +0100

    gdk: Remove GdkEventClient

    ... and all APIs making use of it.

    That code like it hasn't been touched in years, Google codesearch
    didn't find any users and most importantly it's a horrendous API, so
    let's just make it die instead of having to port it over to
    non-GdkNativeWindow usage, which would be required for multi-backend
    GDK.

    http://mail.gnome.org/archives/gtk-devel-list/2011-January/msg00049.html

 docs/reference/gdk/gdk3-sections.txt |    9 ---
 gdk/gdk.symbols                      |    6 --
 gdk/gdkdisplay.c                     |  112
 ----------------------------------
 gdk/gdkdisplay.h                     |    5 --
 gdk/gdkdisplayprivate.h              |    7 --
 gdk/gdkevents.h                      |   41 ------------
 gdk/gdkscreen.c                      |   26 --------
 gdk/gdkscreen.h                      |    3 -
 gdk/x11/gdkdisplay-x11.c             |   99
 ++----------------------------
 gdk/x11/gdkdisplay-x11.h             |    3 -
 gdk/x11/gdkscreen-x11.c              |   87 --------------------------
 11 files changed, 5 insertions(+), 393 deletions(-)

commit 040b21e7d7b97db426027dd80fa0269506542e57
Author: Benjamin Otte <otte@redhat.com>
Date:   Tue Feb 1 06:29:51 2011 +0100

    tests: Remove refreh button from testtoolbar test

    It didn't work and did that by using APIs that are about to go away.

 tests/testtoolbar.c |   23 -----------------------
 1 files changed, 0 insertions(+), 23 deletions(-)

commit cf940705869f4d75d81095771f0dbb9fd00a2341
Author: Benjamin Otte <otte@redhat.com>
Date:   Tue Feb 1 06:27:46 2011 +0100

    testgtk: Remove ability to reload all rc files

    That ability didn't work for a while anyway, so removing client
    messages
    doesn't hurt.

 tests/testgtk.c |   26 --------------------------
 1 files changed, 0 insertions(+), 26 deletions(-)

commit 9e401bef684197271d5572301c87a9e93e010722
Author: Benjamin Otte <otte@redhat.com>
Date:   Tue Feb 1 06:25:57 2011 +0100

    tests: Remove clientmessage test

    Client messages will not be handled by GDK3 anymore, so no need
    to test
    them.

 tests/Makefile.am         |    3 -
 tests/testclientmessage.c |  122
 ---------------------------------------------
 2 files changed, 0 insertions(+), 125 deletions(-)

commit 8ecd420ede894b904a5c6598f075f0cf74bebc2e
Author: Benjamin Otte <otte@redhat.com>
Date:   Tue Feb 1 06:12:51 2011 +0100

    x11: Do dnd event handling via gdk_window_add_filter()

 gdk/x11/gdkdisplay-x11.c |    1 -
 gdk/x11/gdkdnd-x11.c     |   26 ++++++++++++++++++++------
 gdk/x11/gdkmain-x11.c    |    3 +++
 gdk/x11/gdkprivate-x11.h |    5 ++++-
 4 files changed, 27 insertions(+), 8 deletions(-)

commit 180cd853fc8d32a26fa8d9cddd9dfa2e8e9198fe
Author: Benjamin Otte <otte@redhat.com>
Date:   Tue Feb 1 06:04:01 2011 +0100

    x11: Use macros for byte order to set byte order

    No need to run sophisticated functions to guess it.

 gdk/x11/gdkdnd-x11.c |   14 +++++---------
 1 files changed, 5 insertions(+), 9 deletions(-)

commit 609ddee632b336232b5a9768a98459e48d15d242
Author: Benjamin Otte <otte@redhat.com>
Date:   Tue Feb 1 05:31:41 2011 +0100

    x11: Register wm_protocols function with gdk_window_add_filter()

    The client message code is about to go away, so we need to use a
    different way to get at ClientMessage output.

 gdk/x11/gdkdisplay-x11.c |   26 ++++++++++++++------------
 gdk/x11/gdkdisplay-x11.h |    4 ++++
 gdk/x11/gdkmain-x11.c    |    4 ++++
 3 files changed, 22 insertions(+), 12 deletions(-)

commit e67347a3c8c57f4bf507724d66a298ddc7799ea0
Author: Benjamin Otte <otte@redhat.com>
Date:   Tue Feb 1 05:55:10 2011 +0100

    x11: Fill in event->any.window before calling filter functions

    a) We advertise it for GdkFilterFunc
    b) It's necessary to differentiate between different event types with
       multi-backend GTK.

 gdk/x11/gdkeventsource.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit d217f4d09e7d63c5e7d687e1d217e6b4a10d36c3
Author: Benjamin Otte <otte@redhat.com>
Date:   Tue Feb 1 04:35:49 2011 +0100

    x11: Handle motif client message filter just like xdnd filters

 gdk/x11/gdkdnd-x11.c |   19 ++++++++-----------
 1 files changed, 8 insertions(+), 11 deletions(-)

commit 14cb485d2240a54ded0c900d3f61bbc7d77f5de5
Author: Benjamin Otte <otte@redhat.com>
Date:   Tue Feb 1 03:53:21 2011 +0100

    x11: Use event->any.window instead of any random member

 gdk/x11/gdkdevicemanager-core-x11.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit fac914d70cba9745379bfafd3b0298ed5aafb138
Author: Benjamin Otte <otte@redhat.com>
Date:   Mon Jan 31 23:18:47 2011 +0100

    API: gtk: Remove client_event vfunc from GtkWidget

    Also remove the (de-facto unused) implementation from GtkWindow
    that was
    only used for sockets/plugs.

 gtk/gtkicontheme.c     |   17 -------
 gtk/gtksocket.c        |   13 ------
 gtk/gtkwidget.c        |   27 ------------
 gtk/gtkwidget.h        |    2 -
 gtk/gtkwindow.c        |  109
 ------------------------------------------------
 gtk/gtkwindowprivate.h |    9 ----
 6 files changed, 0 insertions(+), 177 deletions(-)

commit b52db73f59dc72dd81a01a323893a738303a775d
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jan 31 19:35:51 2011 -0500

    Deal gracefully with unowned selections

    If a selection looses its owner without a replacement, owner is
    None, which we did not handle very well.

    https://bugzilla.gnome.org/show_bug.cgi?id=641042

 gdk/gdkevents.c          |    7 +++++--
 gdk/gdkevents.h          |   14 +++++++-------
 gdk/x11/gdkdisplay-x11.c |    7 +++++--
 3 files changed, 17 insertions(+), 11 deletions(-)

commit fc43e42bf2d755d675ffe9214fdcceb2351ca2aa
Author: Dan Winship <danw@gnome.org>
Date:   Mon Jan 31 19:13:29 2011 -0500

    Fix several bugs handling GtkTrayIcon symbolic colors

    https://bugzilla.gnome.org/show_bug.cgi?id=641059

 gtk/gtkstatusicon.c   |   20 ++++++++++++++------
 gtk/gtktrayicon-x11.c |    4 ----
 2 files changed, 14 insertions(+), 10 deletions(-)

commit 6d218084c3c6cfc134e5b99dddbc1d0c88bff0fc
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jan 31 18:49:20 2011 -0500

    Clarify models vs callbacks in entry completion docs

    See https://bugzilla.gnome.org/show_bug.cgi?id=641073

 gtk/gtkentrycompletion.c |   19 +++++++++++++++++++
 1 files changed, 19 insertions(+), 0 deletions(-)

commit 9dcdca250106c4b42f3839ad91073b294be5b42c
Author: Kristian Rietveld <kris@gtk.org>
Date:   Tue Feb 1 00:26:04 2011 +0100

    Don't use GTK_IS_PLUG for non-X11 backends

 gtk/gtkwidget.c |    9 ++++++++-
 gtk/gtkwindow.c |    8 +++++++-
 2 files changed, 15 insertions(+), 2 deletions(-)

commit 73afbc954a21c9454a45372c3cabb50077645a24
Author: Kristian Rietveld <kris@gtk.org>
Date:   Mon Jan 31 23:30:56 2011 +0100

    Check whether mask is NULL

 gdk/quartz/gdkdevice-core-quartz.c |    3 ++-
 1 files changed, 2 insertions(+), 1 deletions(-)

commit 119d29dcb9490c541b9f5f22d1c4380508021b68
Author: Kristian Rietveld <kris@gtk.org>
Date:   Mon Jan 31 23:10:49 2011 +0100

    Only include gtktrayicon.h when building for X11

    GtkTrayIcon depends on GtkPlug which is X11-specific.  This fixes the
    build for Quartz.

 gtk/gtkstatusicon.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 726b0d8736a9d5ac8d7f2395f234662b204290fc
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jan 31 17:34:37 2011 -0500

    Bandaid fix for icon view subclassing

    I've decided that it is isn't feasible to make cell areas
    runtime-settable
    in the time we have left before 3.0, therefore, I'm going with the
    approach to allow init() functions to instantiate the default
    cell area
    and issue a warning if a construct property is ignored.

    This is not ideal, but it keeps existing icon view and combo box
    subclasses working.

    https://bugzilla.gnome.org/show_bug.cgi?id=639139

 gtk/gtkcelllayout.c      |   49 +++
 gtk/gtkcellview.c        |   53 +++-
 gtk/gtkcellview.h        |    6 +-
 gtk/gtkcombobox.c        |   46 ++-
 gtk/gtkentrycompletion.c |   24 +-
 gtk/gtkiconview.c        |   79 +++--
 gtk/gtktreeviewcolumn.c  |   86 ++++--
 gtk/tests/Makefile.am    |    4 +
 gtk/tests/cellarea.c     |  855
 ++++++++++++++++++++++++++++++++++++++++++++++
 9 files changed, 1111 insertions(+), 91 deletions(-)

commit 1f3a5a8d92927ce9ce22bc8dcd8fe990e6f8431f
Author: Stefan Kost <ensonic@users.sf.net>
Date:   Mon Jan 31 23:07:34 2011 +0200

    Clarify key-{press,release}-event docs.

    Mention key-repeat in key-press and fix a copy'n'paste in key-release
    docs.

 gtk/gtkwidget.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit a37976dae05b6a7833b77025568848f329d67af8
Author: Tristan Van Berkom <tristan.van.berkom@gmail.com>
Date:   Tue Feb 1 04:57:05 2011 +0900

    Fixed GtkToolPalette ->forall implementation to be gtk_widget_destroy
    friendly

    The forall() loop was buggy as it was skipping items in the list when
    the current item gets removed from the groups array as a result of
    calling the callback (causing memory leaks).

 gtk/gtktoolpalette.c |   10 ++++++++--
 1 files changed, 8 insertions(+), 2 deletions(-)

commit ddb4b3ebe2fca5eb5da6bc6a70549885df10faaf
Author: Tristan Van Berkom <tristan.van.berkom@gmail.com>
Date:   Sat Jan 29 20:06:25 2011 +0900

    Added "shift" modifier versions of keybings for GtkFileChooser
    "folder-up"/"folder-down" bindings.

    Also updated documentation, closes bug 322926

 gtk/gtkfilechooser.c        |   15 ++++++++++---
 gtk/gtkfilechooserdefault.c |   46
 ++++++++++++++++++++++++++++---------------
 2 files changed, 41 insertions(+), 20 deletions(-)

commit c01c018fde470a75e77207c5e012ea1a7467b923
Author: Daniel Mustieles <daniel.mustieles@gmail.com>
Date:   Mon Jan 31 19:33:55 2011 +0100

    Updated Spanish translation

 po-properties/es.po |  592
 +++++++++++++++++++++++++--------------------------
 1 files changed, 295 insertions(+), 297 deletions(-)

commit 30958ea8ad1a60449eb6ad47eb679a2de70d96ed
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jan 31 11:32:19 2011 -0500

    Fix a segfault in gtk_statusbar_remove_all

    https://bugzilla.gnome.org/show_bug.cgi?id=640487

 gtk/gtkstatusbar.c  |    5 ++++-
 gtk/tests/testing.c |   21 +++++++++++++++++++++
 2 files changed, 25 insertions(+), 1 deletions(-)

commit d51c617e13b0999f95bffba7567cb5e235055cf4
Author: Emmanuele Bassi <ebassi@linux.intel.com>
Date:   Wed Dec 29 03:09:14 2010 +0000

    css-provider: Fix up the Switch style

    As it was with the old style, when the Switch is in the "on" state the
    trough should be using the selected background color.

 gtk/gtkcssprovider.c |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit cb498c21014ea6c938bf8d327c2d26d3ccf68baa
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jan 31 10:51:09 2011 -0500

    Speed up expander animation

    Go back to 200ms, which is what we had in GTK+ 2.x.
    Themes can change this, of course.

 gtk/gtkcssprovider.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 38f6065b2bcf439cb07adcf855cffd3bdf2b66eb
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jan 31 10:48:40 2011 -0500

    Make GtkEntryCompletion::match-selected arguments consistent

    For keynav, we were still passing it the filter model.
    https://bugzilla.gnome.org/show_bug.cgi?id=640698

 gtk/gtkentry.c |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit fb860a9527e2eed805222568fed50294cdc49e3b
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jan 31 10:26:28 2011 -0500

    Add a note to ::fill and ::expand docs

 gtk/gtkbox.c |    8 ++++++++
 1 files changed, 8 insertions(+), 0 deletions(-)

commit a26ffdc740beedddf36f64fcc09f435b22fe8aee
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jan 31 10:17:21 2011 -0500

    Prevent a segfault in GtkPlug

    The grabbed_keys might be NULL, so deal with that.
    https://bugzilla.gnome.org/show_bug.cgi?id=641023

 gtk/gtkplug.c |   27 +++++++++++++--------------
 1 files changed, 13 insertions(+), 14 deletions(-)

commit 0208539c4bea013ee1e0e2297305a1f8b7c601f1
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jan 31 09:34:46 2011 -0500

    Remove RC file references from docs where appropriate

 gtk/gtkwidget.c |   28 +++++++++++++---------------
 1 files changed, 13 insertions(+), 15 deletions(-)

commit 677c8c218952fa38b83425f8204c628bac107757
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jan 31 09:29:40 2011 -0500

    Remove references to RC files in the env var docs

 docs/reference/gtk/running.sgml |   17 ++++++++++++-----
 1 files changed, 12 insertions(+), 5 deletions(-)

commit 6a8d494ba193cd855d3c5850b75e2061d4806a0b
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jan 31 07:38:37 2011 -0500

    Fix GTK_SPINNER_CLASS macro

    https://bugzilla.gnome.org/show_bug.cgi?id=640999

 gtk/gtkspinner.h |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 09a52de4785b4db0e65d9d7c919d693f1a34fb5a
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Mon Jan 31 07:37:36 2011 -0500

    Add a missing id to the docs

 gtk/gtkcssprovider.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 430f53bb523e65d119d233cc471d3a91941e8646
Author: Baurzhan Muftakhidinov <baurthefirst@gmail.com>
Date:   Mon Jan 31 16:22:38 2011 +0600

    Updated Kazakh translation

 po/kk.po | 1161
 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 627 insertions(+), 534 deletions(-)

commit 9864445b1f9a320318ef59f14beb907b925f747a
Author: Benjamin Otte <otte@redhat.com>
Date:   Mon Jan 31 06:43:18 2011 +0100

    API: gdk: Change GdkEventOwnerChange to not take GdkNativeWindow

    Use GdkWindow instead. This requires calling
    gdk_x11_window_foreign_new_for_display(), so might cause a slight
    performance penalty, but is required to be portable.

 gdk/gdkevents.c          |    8 ++++++++
 gdk/gdkevents.h          |    2 +-
 gdk/x11/gdkdisplay-x11.c |    3 ++-
 3 files changed, 11 insertions(+), 2 deletions(-)

commit cfa6505504fab38107f40f42fcdc06f27f2c8439
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jan 30 23:53:19 2011 -0500

    Mention key themes in the migration guide

 docs/reference/gtk/migrating-GtkStyleContext.xml |   10 +++++++++-
 1 files changed, 9 insertions(+), 1 deletions(-)

commit 175c57ebd7d1f31aba855b8af491859f9203fa78
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jan 30 22:51:21 2011 -0500

    Small optimization

    We can use the fact that all involved strings are interned; also
    deprecate gtk_binding_set_add_path() in the headers, too.

 gtk/gtkbindings.c |   41 +++++++++++++++++++++++------------------
 gtk/gtkbindings.h |    2 ++
 2 files changed, 25 insertions(+), 18 deletions(-)

commit f67ab808fd91a2ce27b8b2a21761c756bae09c60
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jan 30 23:34:52 2011 -0500

    doc fixes

 docs/reference/gtk/tmpl/gtkrc.sgml |    4 ++--
 gtk/gtkbindings.c                  |   23 ++++++++++++-----------
 gtk/gtkcssprovider.c               |   12 ++++++++++--
 gtk/gtksettings.c                  |    4 ++--
 gtk/gtkstyle.c                     |   22 ++++++++++++----------
 5 files changed, 38 insertions(+), 27 deletions(-)

commit b448bb81cea589e6da9b6b61eb8dace7b6509598
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jan 30 22:37:30 2011 -0500

    Move GtkBindings docs inline

 docs/reference/gtk/tmpl/.gitignore       |    1 +
 docs/reference/gtk/tmpl/gtkbindings.sgml |  296
 ------------------------------
 gtk/gtkbindings.c                        |  244 +++++++++++++++++--------
 gtk/gtkbindings.h                        |   53 ++++++
 4 files changed, 225 insertions(+), 369 deletions(-)

commit dcf3430e17d3706285e07496f3105df896977e52
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jan 30 21:50:54 2011 -0500

    Add a gtkbindingsprivate.h header

 gtk/Makefile.am          |    1 +
 gtk/gtkbindings.c        |    6 +-
 gtk/gtkbindings.h        |  162
 +++++++++++++++++++++-------------------------
 gtk/gtkbindingsprivate.h |   37 +++++++++++
 4 files changed, 114 insertions(+), 92 deletions(-)

commit 8bb0d552f1be1313cbb9e37607b21d8274ae5ff1
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Jan 28 19:36:24 2011 -0500

    Improve binding-set parser

    Make gtk_binding_entry_add_signal_from_string() return the expected
    token in case of parsing error, so that we can return a GError
    instead of spewing. Also, add a separate scope for binding-set,
    since allowing {} in identifiers in SCOPE_VALUE breaks the fact
    that the ; after the last assignment in a rule is optional.

 gtk/gtkbindings.c    |   19 ++++++++++---------
 gtk/gtkbindings.h    |    4 ++--
 gtk/gtkcssprovider.c |   23 +++++++++++++++++++----
 3 files changed, 31 insertions(+), 15 deletions(-)

commit a04e721473a6afc45dba8bc9f95256375968edb4
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Jan 28 19:35:54 2011 -0500

    Add binding-set tests

 gtk/tests/stylecontext.c |   19 +++++++++++++++++++
 1 files changed, 19 insertions(+), 0 deletions(-)

commit 2ea010bca048eeefb9a90465d0079e44a55fc94f
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Jan 28 18:42:15 2011 -0500

    Convert remaining rc files to css

 gtk/Makefile.am          |   20 ++++++++------------
 gtk/gtk-keys.css.default |    3 +++
 gtk/gtk.css.raleigh      |    3 +++
 3 files changed, 14 insertions(+), 12 deletions(-)

commit f16dbe0db34eb4cbbdb8f01baacbbc5b2d04f0f6
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Jan 28 18:35:21 2011 -0500

    Convert the mac key theme to css

 gtk/Makefile.am      |    8 +-
 gtk/gtk-keys.css.mac |  205
 ++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 210 insertions(+), 3 deletions(-)

commit c770f441ca208e3ce784d109b46e7b1e67663834
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Jan 28 18:16:56 2011 -0500

    Convert the Emacs key theme to css

 gtk/Makefile.am        |    2 +
 gtk/gtk-keys.css.emacs |  123
 ++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 125 insertions(+), 0 deletions(-)

commit bf9e59e3923560d9583eaa7c21ad28bc40b149f2
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Fri Jan 28 18:08:57 2011 -0500

    Make documentation match behaviour

 gtk/gtkcssprovider.c |   10 ++++++----
 1 files changed, 6 insertions(+), 4 deletions(-)

commit c0b80530890663631f653e81e8e013e67f776b2e
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Fri Jan 28 20:19:30 2011 +0100

    Move key/theme CSS providers to GtkSettingsPrivate

 gtk/gtksettings.c |   98
 ++++++++++++++++++++++-------------------------------
 1 files changed, 41 insertions(+), 57 deletions(-)

commit a03e33b10b5989ce8644f234a1564e73a42e1e59
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Fri Jan 28 19:34:36 2011 +0100

    Parse the gtk-keys.css file in the GtkSettings::gtk-key-theme-name
    theme path

 gtk/gtksettings.c |   48 +++++++++++++++++++++++++++++++++++++++++++++++-
 1 files changed, 47 insertions(+), 1 deletions(-)

commit 081d5b14da4a35858fb14bd2dae3bc4d2dc28201
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Fri Jan 28 11:05:01 2011 +0100

    Add some bindings to testgtk.css for testing

 tests/testgtk.css |    9 +++++++++
 1 files changed, 9 insertions(+), 0 deletions(-)

commit c70b65f0eb651cfbb4154f2b1b35cc1359db3e91
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Fri Jan 28 10:25:17 2011 +0100

    Document @binding-set and the gtk-key-bindings css parser property

 gtk/gtkcssprovider.c |   29 +++++++++++++++++++++++++++++
 1 files changed, 29 insertions(+), 0 deletions(-)

commit b5bee0a827598baf1570b455c36b6d25fa30b244
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Fri Jan 28 10:25:00 2011 +0100

    Remove unneeded code from GtkBindingSet

 gtk/gtkbindings.c |  114
 -----------------------------------------------------
 1 files changed, 0 insertions(+), 114 deletions(-)

commit 9a3466832cc73ae29b704547747b8699132c1250
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Fri Jan 28 10:06:42 2011 +0100

    Hook up key bindings in CSS with key propagation.

    This is done in the same place than it was done before the switch
    to GtkStyleContext, the GtkBindingEntry has been slightly simplified
    since it's now the GtkStyleContext which hands us the list
    of binding sets applying to a widget, so no need to use the older
    matching mechanisms.

 gtk/gtkbindings.c |   99
 ++++++++++++++++++++++++++++++++++++++++++-----------
 1 files changed, 79 insertions(+), 20 deletions(-)

commit d39f0411bea8a04d5ed8af6ca48a843133b4e2c4
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Fri Jan 28 09:59:02 2011 +0100

    Add the gtk-key-bindings CSS parser property.

    This property takes a list of binding set names to have these
    stored as a GPtrArray containing GtkBindingSets. this property
    is handled so merging GtkStyleProperties will merge both
    GtkBindingSet lists.

 gtk/gtkcssprovider.c     |   32 ++++++++++++++++++++++++++++++++
 gtk/gtkstyleproperties.c |   22 ++++++++++++++++++++++
 2 files changed, 54 insertions(+), 0 deletions(-)

commit dbff92fd9f4f4ba2af5f0db9ddee8641c559bc7d
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Fri Jan 28 01:52:03 2011 +0100

    Add @binding-set rules to the CSS parser

    these custom rules can be used to define key themes
    as in the RC files, a series of bind/unbind rules
    may be added then:

    @binding foo-bar {
      bind "<alt>1" { "move-cursor" (visual-positions, 1, 0) };
      unbind "<ctl>d"
    }

 gtk/gtkcssprovider.c |   57
 +++++++++++++++++++++++++++++++++++++++++++++++++-
 1 files changed, 56 insertions(+), 1 deletions(-)

commit 53ca6eb0b5b821bde2d96b873f0e02588aa2a7fb
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Fri Jan 28 01:50:14 2011 +0100

    Add gtk_binding_entry_add_signal_from_string()

    This function rescues part of the old parser (which
    is now standalone) to load a bind/unbind definition
    string into a GtkBindingSet.

 docs/reference/gtk/gtk3-sections.txt |    1 +
 gtk/gtk.symbols                      |    1 +
 gtk/gtkbindings.c                    |  321
 ++++++++++++++++++++++++++++++++++
 gtk/gtkbindings.h                    |    4 +
 4 files changed, 327 insertions(+), 0 deletions(-)

commit b98caf938594504508dfc4546d6f606e6edeab9d
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Jan 31 00:30:00 2011 +0000

    GtkCssProvider: Take into account variant

    When loading a theme, make sure we take into account the variant
    so we don't use the plain version when the theme changes.

    Also make sure to fallback to the plain theme when loading a variant
    fails.

    https://bugzilla.gnome.org/show_bug.cgi?id=640983

 gtk/gtkcssprovider.c |   31 +++++++++++++++++++++----------
 gtk/gtksettings.c    |   12 +++++++-----
 2 files changed, 28 insertions(+), 15 deletions(-)

commit 7f3aa920862bf18e23216d4bce975e805c7461e4
Author: Bastien Nocera <hadess@hadess.net>
Date:   Mon Jan 31 00:28:46 2011 +0000

    GtkSettings: Fix theme not updating for dark theme

    The theme was not updated when the "gtk-application-prefer-dark-theme"
    GtkSettings property changed.

    https://bugzilla.gnome.org/show_bug.cgi?id=640983

 gtk/gtksettings.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit c4cafd67c3fc7432905967631054f32bb7a0a25b
Author: Jakob Kramer <jakob.kramer@gmx.de>
Date:   Sun Jan 30 20:49:34 2011 +0100

    [l10n] Updated German translation

 po/de.po | 1773
 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 945 insertions(+), 828 deletions(-)

commit 23ac7efe0389fa8835b2386117abbf2562f944f0
Author: David Planella <david.planella@gmail.com>
Date:   Sun Jan 30 11:27:40 2011 +0100

    Updated Catalan translation

 po/ca.po | 1934
 +++++++++++++++++++++++++++++++++-----------------------------
 1 files changed, 1030 insertions(+), 904 deletions(-)

commit ec37512f64555af6e4fdd7e61a649ead564d53a2
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jan 30 03:17:05 2011 -0500

    Add a gtkscaleprivate.h header

 gtk/Makefile.am       |    1 +
 gtk/gtkscale.c        |    2 +-
 gtk/gtkscale.h        |    7 -------
 gtk/gtkscaleprivate.h |   38 ++++++++++++++++++++++++++++++++++++++
 4 files changed, 40 insertions(+), 8 deletions(-)

commit 4a0aa41742a8830aae7e813f2e7b0386e394ada6
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jan 30 03:12:49 2011 -0500

    Add gtkorientableprivate.h header

 gtk/Makefile.am            |    1 +
 gtk/gtkcellview.c          |    2 +-
 gtk/gtkgrid.c              |    2 +-
 gtk/gtkorientable.c        |    2 +-
 gtk/gtkorientable.h        |    3 ---
 gtk/gtkorientableprivate.h |   31 +++++++++++++++++++++++++++++++
 gtk/gtkprogressbar.c       |    2 +-
 gtk/gtkrange.c             |    2 +-
 gtk/gtkseparator.c         |    2 +-
 gtk/gtktoolpalette.c       |    1 +
 10 files changed, 39 insertions(+), 9 deletions(-)

commit d463bbfdcd8f9769ab9aadc6b23df79d2c17d63d
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jan 30 02:57:59 2011 -0500

    Some updates

 HACKING |   16 ++++++++--------
 1 files changed, 8 insertions(+), 8 deletions(-)

commit d4b218131d06fe9ca0fa0c56f0a7048a0af0cba1
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jan 30 02:52:55 2011 -0500

    Drop 2.x release notes

 README.in |  433
 -------------------------------------------------------------
 1 files changed, 0 insertions(+), 433 deletions(-)

commit 4b5b1ab43ac76af09ca747310eadde58d8763174
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jan 30 02:49:31 2011 -0500

    Fix build

    We must build gtk before gtk/tests

 gtk/Makefile.am |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit b71134fc77630c20b2b8a0d19a855a7b665b9403
Author: Matthias Clasen <mclasen@redhat.com>
Date:   Sun Jan 30 02:46:59 2011 -0500

    Drop unused theme-bits

 configure.ac                             |    1 -
 gtk/Makefile.am                          |   10 +--
 gtk/theme-bits/Makefile.am               |   15 ---
 gtk/theme-bits/README                    |   29 -----
 gtk/theme-bits/check-13-inconsistent.png |  Bin 197 -> 0 bytes
 gtk/theme-bits/check-13.png              |  Bin 267 -> 0 bytes
 gtk/theme-bits/decompose-bits.c          |  177
 ------------------------------
 gtk/theme-bits/radio-13-inconsistent.png |  Bin 335 -> 0 bytes
 gtk/theme-bits/radio-13.png              |  Bin 317 -> 0 bytes
 9 files changed, 2 insertions(+), 230 deletions(-)

